commit 97a8c024941ad9674696fd2bcb97966f0962a060
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Oct 19 21:12:58 2016 +0200

    release 1.17.0

 NEWS | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit c6116a89f30208140ebdabeee2fefb918c2c763b
Author: monsta <monsta@inbox.ru>
Date:   Tue Oct 18 15:50:11 2016 +0300

    sync with Transifex

 po/bg.po | 41 +++++++++++++++++++++--------------------
 po/ca.po |  6 +++---
 po/gl.po | 33 +++++++++++++++++----------------
 po/lt.po | 28 ++++++++++++++--------------
 po/nb.po |  8 ++++----
 po/ro.po | 42 +++++++++++++++++++++---------------------
 po/sv.po |  7 ++++---
 po/vi.po | 61 +++++++++++++++++++++++++++++++------------------------------
 8 files changed, 115 insertions(+), 111 deletions(-)

commit 9081b8d96936b625c3c83b88282ad7437f8ef462
Author: emanuele-f <black.silver@hotmail.it>
Date:   Mon Oct 17 15:51:20 2016 +0200

    Fix disabled controls when recursively processing directories

 libcaja-private/caja-file-operations.c | 49 ++++++++++++++++++----------------
 libcaja-private/caja-progress-info.c   |  4 +--
 2 files changed, 28 insertions(+), 25 deletions(-)

commit eee44838ba7ec3c4f4c1da5ab5abfbd41c03481d
Author: emanuele-f <black.silver@hotmail.it>
Date:   Sun Oct 16 16:33:44 2016 +0200

    Operations window fixes and control improvements

 libcaja-private/caja-file-operations.c | 82 ++++++++++++++++++++++++++--------
 libcaja-private/caja-progress-info.c   | 60 ++++++++++++++++++++-----
 libcaja-private/caja-progress-info.h   |  4 +-
 3 files changed, 114 insertions(+), 32 deletions(-)

commit 6d3be95e22b6f4da4a5ab5bd516fe1e8b5ec5282
Author: emanuele-f <black.silver@hotmail.it>
Date:   Fri Oct 14 12:40:16 2016 +0200

    Start immediately some ops

 libcaja-private/caja-file-operations.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 38f379c9984dfe1151af0f791768f5f2ad8969df
Author: emanuele-f <black.silver@hotmail.it>
Date:   Fri Sep 30 19:54:44 2016 +0200

    Fix bad indentation

 libcaja-private/caja-progress-info.c | 146 +++++++++++++++++------------------
 1 file changed, 73 insertions(+), 73 deletions(-)

commit 6c7306277dc831b34f5058081ff6b023d26039a4
Author: emanuele-f <black.silver@hotmail.it>
Date:   Mon Sep 26 02:29:50 2016 +0200

    Anticipate progress window creation to provide immediate op start

 libcaja-private/caja-file-operations.c |  20 +++---
 libcaja-private/caja-progress-info.c   | 116 ++++++++++++++++-----------------
 libcaja-private/caja-progress-info.h   |   2 +-
 3 files changed, 68 insertions(+), 70 deletions(-)

commit 57d2b8e5a0f62cec23a21ddd5e97b5ec853f0b06
Author: emanuele-f <black.silver@hotmail.it>
Date:   Sun Jun 12 19:40:40 2016 +0200

    add GtkStock compatibility

 libcaja-private/caja-progress-info.c | 30 +++++++++++++++++++++++++-----
 1 file changed, 25 insertions(+), 5 deletions(-)

commit 17d85e2115d87e6470731c1ac7b4e026ed0a3f28
Author: emanuele-f <black.silver@hotmail.it>
Date:   Sun Jun 12 12:03:42 2016 +0200

    typos and little changes

 libcaja-private/caja-progress-info.c | 46 +++++++++++++++++-------------------
 1 file changed, 22 insertions(+), 24 deletions(-)

commit b33833f44adbfaa9e4b188e56af20c9a189b2664
Author: emanuele-f <black.silver@hotmail.it>
Date:   Sun Jun 12 01:08:39 2016 +0200

    fix GSource leak and little changes

 libcaja-private/caja-progress-info.c | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit a17a2a6f28d6c5c3b3726879d12eabafe5ad98a2
Author: emanuele-f <black.silver@hotmail.it>
Date:   Sat Jun 11 23:30:06 2016 +0200

    operations can now specify to start immediately

 libcaja-private/caja-file-operations.c | 48 +++++++++++++++++-----------------
 libcaja-private/caja-progress-info.c   | 12 +++++----
 libcaja-private/caja-progress-info.h   |  3 ++-
 3 files changed, 33 insertions(+), 30 deletions(-)

commit afb7f9deb2337b6e4775fb9bc02b01d4a3fdb852
Author: emanuele-f <black.silver@hotmail.it>
Date:   Sat Jun 11 21:47:21 2016 +0200

    add image unref and use localized messages

 libcaja-private/caja-progress-info.c | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit a7666d0dbe10b0ea5210b8133ead48da0ebc0b0e
Author: emanuele-f <black.silver@hotmail.it>
Date:   Sat Jun 11 21:05:20 2016 +0200

    extend to all the operations

 libcaja-private/caja-file-operations.c | 14 ++++++++++++++
 libcaja-private/caja-progress-info.c   | 24 ++++++++++++------------
 2 files changed, 26 insertions(+), 12 deletions(-)

commit 402392c68e3d55bb0ebb400557796cde563ad452
Author: emanuele-f <black.silver@hotmail.it>
Date:   Sat Jun 11 20:19:03 2016 +0200

    fix queue button sensitive on start

 libcaja-private/caja-progress-info.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit c6e6b300e21b7d9bb6092bcad76ddd39915e9fc4
Author: emanuele-f <black.silver@hotmail.it>
Date:   Sat Jun 11 20:12:47 2016 +0200

    implement queue sort order

 libcaja-private/caja-progress-info.c | 290 ++++++++++++++++++++++++++++-------
 1 file changed, 237 insertions(+), 53 deletions(-)

commit ed0674af03dede9edfac2b81169599fc954df2a0
Author: emanuele-f <black.silver@hotmail.it>
Date:   Fri Jun 10 23:28:35 2016 +0200

    thread synchronization to implement pause resume

 libcaja-private/caja-file-operations.c |  1 +
 libcaja-private/caja-progress-info.c   | 97 ++++++++++++++++++++++++++++++----
 2 files changed, 89 insertions(+), 9 deletions(-)

commit 1139acac5eb56c8430ef635edc1b4d49fae1473a
Author: emanuele-f <black.silver@hotmail.it>
Date:   Fri Jun 10 01:26:38 2016 +0200

    begin state machine implementation

 libcaja-private/caja-progress-info.c | 178 ++++++++++++++++++++++++++++++-----
 1 file changed, 153 insertions(+), 25 deletions(-)

commit c5a64f18b716926254b9593d9316aebd2c670784
Author: emanuele-f <black.silver@hotmail.it>
Date:   Thu Jun 9 02:31:45 2016 +0200

    add start and enqueue buttons

 libcaja-private/caja-progress-info.c | 28 +++++++++++++++++++++++++---
 1 file changed, 25 insertions(+), 3 deletions(-)

commit 89058ed86d271f22cd9359c66e42ff9e8cfd4715
Author: emanuele-f <black.silver@hotmail.it>
Date:   Thu Jun 9 02:10:20 2016 +0200

    move cancel button before the bar

 libcaja-private/caja-progress-info.c | 25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)

commit 986490bbb94b33047453a4a82909088862435fbe
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Oct 16 07:59:32 2016 +0200

    GTK+2: use eel helper again to set adjustment values
    
    This reverts https://github.com/mate-desktop/caja/commit/1f7ab5d for gtk2
    
    Fixes https://github.com/mate-desktop/caja/issues/659

 libcaja-private/caja-icon-container.c | 36 +++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

commit a79bec599478cf32134105c75e73775ba74f9013
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Oct 16 07:36:03 2016 +0200

    Gtk+-2: add eel_gtk_adjustment* functions again
    
    This reverts https://github.com/mate-desktop/caja/commit/f02d495 for gtk2
    
    fixes https://github.com/mate-desktop/caja/issues/659

 eel/eel-gtk-extensions.c | 34 ++++++++++++++++++++++++++++++++++
 eel/eel-gtk-extensions.h |  7 ++++++-
 2 files changed, 40 insertions(+), 1 deletion(-)

commit 625a06c0a0781025693a6299b721b6bc7a065c1a
Author: Martin Matuska <martin@matuska.org>
Date:   Fri Aug 5 14:58:37 2016 +0200

    support back and forward mouse buttons to navigate
    
    Fixes https://github.com/mate-desktop/caja/issues/78
    
    Co-Authored-By: Oliver Joos <oliver.joos@hispeed.ch>
    Co-Authored-By: Nelson Benitez Leon <nbenitezl@gmail.com>

 eel/eel-canvas.c                      |  6 ++++++
 libcaja-private/caja-icon-container.c | 10 ++++++++++
 src/caja-navigation-window.c          |  4 ++++
 src/caja-navigation-window.h          |  4 ++++
 src/file-manager/fm-list-view.c       | 30 ++++++++++++++++++++++++++++++
 5 files changed, 54 insertions(+)

commit dffb0850e530855fe67a4a6e8768c4b9ecf17a62
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Oct 15 09:29:32 2016 +0200

    Gtk+-3 css: Consider GtkGrid changes

 data/caja.css | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 682877311e273282314ce40fc925209cd719a5af
Merge: c27cc57 a4822f6
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Oct 14 19:08:08 2016 -0400

    Merge pull request #661 from lukefromdc/dev-gtk2fix-maybe
    
    Fix GTK2 builds

commit a4822f6221c000f4db2a38a8b63e22ff64f6ee7e
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Oct 14 16:28:27 2016 -0400

    GTK2: Use emanuele-f 's patch for build failure, fix build w/o libunique
    
    Apply
    
    https://github.com/mate-desktop/caja/pull/658/commits/4b36a91af42d8efe0f594a95d28ab8448fd73b31
    
    then fix the selectors in source files to use the boolean selectors for libunique

 configure.ac                             |  6 ++-
 src/caja-application.c                   | 80 ++++++++++++++++----------------
 src/caja-application.h                   | 15 +++---
 src/caja-bookmarks-window.c              |  2 +-
 src/caja-connect-server-dialog-nonmain.c |  2 +-
 src/caja-location-bar.c                  |  2 +-
 src/caja-main.c                          | 10 ++--
 src/caja-navigation-window-menus.c       |  4 +-
 src/caja-navigation-window.c             |  2 +-
 src/caja-places-sidebar.c                |  4 +-
 src/caja-spatial-window.c                |  2 +-
 src/caja-window-manage-views.c           |  8 ++--
 src/caja-window.c                        | 10 ++--
 13 files changed, 75 insertions(+), 72 deletions(-)

commit 15a9e9a073a799341c18ace6b568e5317135056c
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Oct 14 15:57:06 2016 -0400

    Fix missed selector change for separating GTK3 and libunique build options
    
    One selector was not updated in caja-location-bar.c to follow use or nonuse of libunique in GTK3 builds. Fixing this revealed need for a 3-way selector in one place in caja-application.c

 src/caja-application.c  | 2 ++
 src/caja-location-bar.c | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit c27cc572f8f33bdfbbc3dfea8786d05a1818b910
Author: Luke Yelavich <themuso@ubuntu.com>
Date:   Tue Oct 11 19:53:55 2016 +1100

    EelLabeledImageButton classes do not need a custom accessible object under GKT 3

 eel/eel-labeled-image.c | 32 +++-----------------------------
 1 file changed, 3 insertions(+), 29 deletions(-)

commit 99a9c6e7c6a67484c029518bdb31160469627701
Author: Luke Yelavich <themuso@ubuntu.com>
Date:   Sat Oct 8 12:22:45 2016 +1100

    Fix accessible object inherritance when used with GTK 3
    
    Also disable eel accessibility code that is not needed.
    
    Fixes https://github.com/mate-desktop/caja/issues/590

 eel/eel-accessibility.c               |  5 ++-
 eel/eel-accessibility.h               |  2 +
 eel/eel-canvas.c                      | 84 +++++++++++++++++++++++++++++++++--
 eel/eel-canvas.h                      | 20 +++++++++
 eel/eel-editable-label.c              | 55 ++++++++++++++++++++++-
 eel/eel-labeled-image.c               | 77 ++++++++++++++++++++++++++++++++
 libcaja-private/caja-icon-container.c | 57 ++++++++++++++++++++++++
 src/caja-zoom-control.c               | 48 ++++++++++++++++++++
 8 files changed, 343 insertions(+), 5 deletions(-)

commit 6e142d59d7408e53ab1e579dba62517b6f59e307
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat Oct 8 16:00:16 2016 -0400

    Fix hashtable warnings on close
    As in Nautilus, use g_hash_table_new rather than eel_g_hash_table_new_free_at_exit

 eel/eel-string.c                 | 3 +--
 libcaja-private/caja-directory.c | 7 ++-----
 libcaja-private/caja-file.c      | 3 +--
 3 files changed, 4 insertions(+), 9 deletions(-)

commit be0f17ff55061ab43636449f4d15a89e418d1f3c
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sun Oct 9 16:30:21 2016 -0400

    GtkApplication: Disable session management when root/not in MATE
    
    Limit session management to non-root sessions within MATE to stop restart loops in root sessions and inablity to kill off Caja in non-mate sessions such as XFCE. Also remove the autostarted hold-in previously used to stop restart loops.
    
    egg_sm_client_set_mode only works when called before the main loop starts, thus it cannot be used in GtkApplication startup functions or otherwise later in the program.
    
    Note that this commit restores the Caja 3.16 and earlier restart loop in normal mate sessions if a user disables icons on the desktop, then sets exit_with_last_window. The combination is the default for root/not in mate sessions though, so without the ability to set "no restart" later than the start of the main loop, session management outside of MATE and in root sessions has to be disabled.

 cut-n-paste-code/libegg/eggsmclient.c | 20 ++++++++++++++++++++
 src/caja-application.c                | 10 ----------
 2 files changed, 20 insertions(+), 10 deletions(-)

commit 9e5ea15d104720cfee752c193b77f8b03558c6b9
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat Oct 8 15:01:44 2016 -0400

    GTK3: port libunique ->GtkApplication as build time option
    Add --disable-libunique configuration option for GTK3 builds. This builds a port from libunique to GtkApplication. keep GTK2 builds unchanged
    
    Caja can now be build with GTK2 and libunique, GTK3 and libunique, or GTK3 without libunique using GtkApplication instead
    
    GtkApplication port  Based on cherrypicked nautilus commits from
    https://github.com/GNOME/nautilus/commit/a8481ee4bd8d34e792d63598fa5efb47736f9de4
    main: adapt to GtkApplication changes
    through
    https://github.com/GNOME/nautilus/commit/c3382e0415d51082545f277c380d37be160e8d2d
    application: move nautilus_application_new() to its own function
    
    GTK3/GtkApplication builds:  add --force-desktop option
    This is useful for other DE's
    
    All: StartupNotify=false in .desktop files, as caja never connects to notification daemons and in GtkApplication builds this causes busy spinning curors

 configure.ac                             |   47 +-
 data/caja-browser.desktop.in.in          |    2 +-
 data/caja-folder-handler.desktop.in.in   |    2 +-
 data/caja.desktop.in.in                  |    2 +-
 src/Makefile.am                          |   93 ++-
 src/caja-application.c                   | 1093 +++++++++++++++++++++++++++---
 src/caja-application.h                   |   34 +-
 src/caja-bookmarks-window.c              |    2 +
 src/caja-connect-server-dialog-nonmain.c |    2 +
 src/caja-location-bar.c                  |    4 +
 src/caja-main.c                          |   77 ++-
 src/caja-navigation-window-menus.c       |   16 +-
 src/caja-navigation-window.c             |    2 +
 src/caja-places-sidebar.c                |    4 +
 src/caja-spatial-window.c                |    2 +
 src/caja-window-manage-views.c           |   15 +-
 src/caja-window.c                        |   18 +-
 17 files changed, 1293 insertions(+), 122 deletions(-)

commit 24bb72b321c044479728fd1d43c941afc0309f18
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Oct 7 00:02:56 2016 -0400

    Stop warnings on window-close and 3 warnings on exit
    
    Fix the gsignal warnings on window-close
    
    based on https://github.com/mate-desktop/atril/commit/fda33fbeedc0aab64d9479850047d0817d0b38be
    "Check if handler_id is connected before disconnect" from Atril
    
    Also Fix "Source ID XXX was not found..." warnings on closing Caja
    
    These three gsources are already gone when Caja exits, their ID's still exist but they cannot be found to remove. The warnings indicate double removal so this code block is just a source of errors. Leave it in place but commented out for now.

 libcaja-private/caja-desktop-link-monitor.c | 3 ++-
 libcaja-private/caja-desktop-link.c         | 7 +++++--
 src/caja-sidebar-title.c                    | 5 ++++-
 src/caja-window-menus.c                     | 5 ++++-
 4 files changed, 15 insertions(+), 5 deletions(-)

commit 19ce563886e21fec980d9a697b98d2881f14d308
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Oct 8 18:37:44 2016 +0200

    pre-bump version

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 97d8937817c7e6e653a7da4cfe646af7f74714f6
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Oct 4 23:23:51 2016 -0400

    GTK3: fix warnings cause by GtkGrid
    
    Apply https://github.com/itzexor/nemo/commit/2c60a3edaef10e9ef331740d55d3c45dd366c5db
    window: remove custom get_preferred_width/height implementation
    We already take care of the default size when we create the window, and these only break assumptions of the default GtkWindow's handlers.
    
    in turn from
    https://github.com/GNOME/nautilus/commit/da06dfc438e578405d616c48e8e3809d37c908bb
    
    Nautilus commit is from Feb 17, 2014 prior to release of GTK 3.14. Could not build against GTK 3.14 over GTK 3.22 system due to mate-desktop errors but should work as Nautilus used it with 3.14. Test builds with GTK 3.16 and 3.22 worked fine, no issues with saved or command line geometry

 src/caja-window.c | 55 +++----------------------------------------------------
 1 file changed, 3 insertions(+), 52 deletions(-)

commit 904a1be8fbc2d39aa1fb07113407b537db6720e5
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Sep 19 13:41:24 2016 +0200

    release 1.16.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d3fcfe2ec0ef2bedd544fde6f22f883b0a2c6762
Author: monsta <monsta@inbox.ru>
Date:   Mon Sep 19 14:17:50 2016 +0300

    update NEWS for 1.16

 NEWS | 110 +++++++++----------------------------------------------------------
 1 file changed, 14 insertions(+), 96 deletions(-)

commit affaeda6dd69137d77f8c8fc4a7163201aeb776b
Author: monsta <monsta@inbox.ru>
Date:   Mon Sep 19 13:48:18 2016 +0300

    sync with Transifex

 po/af.po          | 1053 +++++++++++++-------------
 po/am.po          | 1053 +++++++++++++-------------
 po/ar.po          | 1058 +++++++++++++--------------
 po/as.po          | 1053 +++++++++++++-------------
 po/ast.po         | 1053 +++++++++++++-------------
 po/az.po          | 1053 +++++++++++++-------------
 po/be.po          | 1055 +++++++++++++--------------
 po/bg.po          | 1053 +++++++++++++-------------
 po/bn.po          | 1053 +++++++++++++-------------
 po/bn_IN.po       | 1053 +++++++++++++-------------
 po/br.po          | 1053 +++++++++++++-------------
 po/bs.po          | 1170 +++++++++++++++--------------
 po/ca.po          | 1075 ++++++++++++++-------------
 po/ca@valencia.po | 2108 ++++++++++++++++++++++++++---------------------------
 po/cmn.po         | 1053 +++++++++++++-------------
 po/crh.po         | 1053 +++++++++++++-------------
 po/cs.po          | 1056 +++++++++++++--------------
 po/cy.po          | 1053 +++++++++++++-------------
 po/de.po          | 1057 +++++++++++++--------------
 po/dz.po          | 1053 +++++++++++++-------------
 po/el.po          | 1076 ++++++++++++++-------------
 po/en_AU.po       | 1056 +++++++++++++--------------
 po/en_CA.po       | 1053 +++++++++++++-------------
 po/en_GB.po       | 1059 +++++++++++++--------------
 po/eo.po          | 1053 +++++++++++++-------------
 po/es.po          | 1058 +++++++++++++--------------
 po/es_AR.po       | 1053 +++++++++++++-------------
 po/es_CO.po       | 1053 +++++++++++++-------------
 po/es_MX.po       | 1053 +++++++++++++-------------
 po/et.po          | 1053 +++++++++++++-------------
 po/eu.po          | 1053 +++++++++++++-------------
 po/fa.po          | 1053 +++++++++++++-------------
 po/fi.po          | 1053 +++++++++++++-------------
 po/fr.po          | 1056 +++++++++++++--------------
 po/frp.po         | 1053 +++++++++++++-------------
 po/fur.po         | 1053 +++++++++++++-------------
 po/fy.po          | 1053 +++++++++++++-------------
 po/ga.po          | 1053 +++++++++++++-------------
 po/gl.po          | 1053 +++++++++++++-------------
 po/gu.po          | 1053 +++++++++++++-------------
 po/ha.po          | 1053 +++++++++++++-------------
 po/he.po          | 1053 +++++++++++++-------------
 po/hi.po          | 1053 +++++++++++++-------------
 po/hr.po          | 1065 +++++++++++++--------------
 po/hu.po          | 1057 +++++++++++++--------------
 po/hy.po          | 1053 +++++++++++++-------------
 po/ia.po          | 1053 +++++++++++++-------------
 po/ig.po          | 1053 +++++++++++++-------------
 po/is.po          | 1053 +++++++++++++-------------
 po/it.po          | 1058 +++++++++++++--------------
 po/ja.po          | 1053 +++++++++++++-------------
 po/ka.po          | 1053 +++++++++++++-------------
 po/kk.po          | 1053 +++++++++++++-------------
 po/kn.po          | 1053 +++++++++++++-------------
 po/ko.po          | 1055 +++++++++++++--------------
 po/ku.po          | 1053 +++++++++++++-------------
 po/ky.po          | 1053 +++++++++++++-------------
 po/li.po          | 1053 +++++++++++++-------------
 po/lt.po          | 1057 +++++++++++++--------------
 po/lv.po          | 1053 +++++++++++++-------------
 po/mai.po         | 1053 +++++++++++++-------------
 po/mg.po          | 1053 +++++++++++++-------------
 po/mi.po          | 1053 +++++++++++++-------------
 po/mk.po          | 1053 +++++++++++++-------------
 po/ml.po          | 1053 +++++++++++++-------------
 po/mn.po          | 1053 +++++++++++++-------------
 po/mr.po          | 1053 +++++++++++++-------------
 po/ms.po          | 1059 +++++++++++++--------------
 po/nb.po          | 1053 +++++++++++++-------------
 po/nds.po         | 1053 +++++++++++++-------------
 po/ne.po          | 1053 +++++++++++++-------------
 po/nl.po          | 1058 +++++++++++++--------------
 po/nn.po          | 1053 +++++++++++++-------------
 po/nso.po         | 1053 +++++++++++++-------------
 po/oc.po          | 1053 +++++++++++++-------------
 po/or.po          | 1053 +++++++++++++-------------
 po/pa.po          | 1053 +++++++++++++-------------
 po/pl.po          | 1058 +++++++++++++--------------
 po/pms.po         | 1053 +++++++++++++-------------
 po/ps.po          | 1053 +++++++++++++-------------
 po/ro.po          | 1056 +++++++++++++--------------
 po/ru.po          | 1053 +++++++++++++-------------
 po/rw.po          | 1053 +++++++++++++-------------
 po/sc.po          | 1053 +++++++++++++-------------
 po/si.po          | 1053 +++++++++++++-------------
 po/sk.po          | 1057 +++++++++++++--------------
 po/sl.po          | 1058 +++++++++++++--------------
 po/sq.po          | 1053 +++++++++++++-------------
 po/sr@latin.po    | 1053 +++++++++++++-------------
 po/sv.po          | 1053 +++++++++++++-------------
 po/ta.po          | 1053 +++++++++++++-------------
 po/te.po          | 1053 +++++++++++++-------------
 po/th.po          | 1304 ++++++++++++++++-----------------
 po/tk.po          | 1053 +++++++++++++-------------
 po/tr.po          | 1059 +++++++++++++--------------
 po/ug.po          | 1053 +++++++++++++-------------
 po/uk.po          | 1055 +++++++++++++--------------
 po/ur.po          | 1053 +++++++++++++-------------
 po/vi.po          | 1053 +++++++++++++-------------
 po/wa.po          | 1053 +++++++++++++-------------
 po/xh.po          | 1053 +++++++++++++-------------
 po/yi.po          | 1053 +++++++++++++-------------
 po/yo.po          | 1053 +++++++++++++-------------
 po/zh_HK.po       | 1053 +++++++++++++-------------
 po/zh_TW.po       | 1055 +++++++++++++--------------
 po/zu.po          | 1053 +++++++++++++-------------
 106 files changed, 55697 insertions(+), 57485 deletions(-)

commit 887c8e8608f51f59bf520ba691e9eb9077d8e92d
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Fri Aug 19 17:16:48 2016 -0400

    Fix for #492

 src/caja-navigation-window-pane.c | 3 +++
 1 file changed, 3 insertions(+)

commit 3394cacdc1a97909c64c603314a728c51047ee47
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Sep 6 15:37:11 2016 -0400

    GTK3.20:fix statusbar deprecation warning

 src/caja-window.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit f9527fae54c6e8e9c0835c44aeb8062e7113137a
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Sep 6 14:19:40 2016 -0400

    GTK3: Fix last pathbar warning
    
    Replace size request code with padding code borrowed from Nemo. For some reason gtk_widget_set_margin_start(or end) does not throw GTK warnings when called on GTK_WIDGET(button_date->label) while  gtk_widget_set_size_request does throw warnings. Neither generates a build warning.

 src/caja-pathbar.c | 45 ++++++++++++++++++---------------------------
 1 file changed, 18 insertions(+), 27 deletions(-)

commit adcd1fba4c7d42ca2a0190887937c7ea17a26204
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Sep 5 23:52:06 2016 -0400

    GTK3: Fix pathbar "w/o calling gtk_widget get preferred width" warnings
    
    Stop the "allocating size of GtkButton <xxxx> without calling gtk_widget get preferred width/height()" warnings from caja-pathbar's slider buttons

 src/caja-pathbar.c | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit adabb4340bdcd1fe4dc58614690631bc69937fc5
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Sep 5 23:44:09 2016 -0400

    GTK3: fix pathbar pango warnings
    Fix gtk_widget_create_pango_layout: assertion 'GTK_IS_WIDGET (widget)' failed warning and those descending from it. This does NOT fix the  gtk_widget_set_size_request: assertion 'GTK_IS_WIDGET (widget)' failed, which occurs because recent GTK3 versions warn that button_data is not a GtkWidget but still succeed in setting the size. Since GTK 3.22 will be the LAST version of GTK3 this won't break until GTK4 if ever.
    Taking this out caused the pathbar buttons to jump on bold text so it had to be retained

 src/caja-pathbar.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit b6dc8005f32c50bb3eb37f8fe17bdebf2f296e81
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Aug 31 21:01:49 2016 -0400

    GTK3: stop warning spew from sidebar, pathbar
    
    The button underallocation warnings came from pathbar sliders picking up padding from themes, then being forced to render to a smaller size in the code.
    
    The GTK_ICON_LOOKUP_GENERIC_FALLBACK warnings came from the sidebar icons, this flag is now a source of errors. Unfortunately NULL does not work, so set GTK_ICON_LOOKUP_FORCE_SIZE, which does not create errors and ensures the icon size we actually want in the sidebar is used anyway.
    
    Stops all but two of the warnings listed in
    https://github.com/mate-desktop/caja/issues/561

 data/caja.css                    | 5 +++++
 libcaja-private/caja-icon-info.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit b833d3c4ce84f4a4d8644dd290e0a7b9480c722e
Author: bkerlin <me@brentkerlin.com>
Date:   Sat Aug 27 19:10:22 2016 -0400

    Update caja-actions.h
    
    Duplicate define of "CAJA_ACTION_UP_ACCEL" removed.

 src/caja-actions.h | 1 -
 1 file changed, 1 deletion(-)

commit 54302390fc59a898dec1d4aad5daa84ff73059d1
Author: monsta <monsta@inbox.ru>
Date:   Tue Aug 23 21:12:00 2016 +0300

    libcaja-extension: don't call get_widget if it's NULL

 libcaja-extension/caja-location-widget-provider.c | 1 +
 1 file changed, 1 insertion(+)

commit 79c4312462e705cd4ee0dae7ce84949306e67fff
Author: monsta <monsta@inbox.ru>
Date:   Tue Aug 23 21:11:21 2016 +0300

    libcaja-extension: remove duplicated code line

 libcaja-extension/caja-info-provider.c | 1 -
 1 file changed, 1 deletion(-)

commit fafdebc5741aef1b6eb64db0a0447eb0210ee186
Author: monsta <monsta@inbox.ru>
Date:   Tue Aug 23 16:02:36 2016 +0300

    libcaja-extension: fix docs generation and fix some indent
    
    docs are still far from perfect, but most build warnings are gone

 .../libcaja-extension/libcaja-extension-docs.xml   |   1 +
 .../libcaja-extension-sections.txt                 |  47 +++--
 libcaja-extension/caja-column-provider.c           |  17 +-
 libcaja-extension/caja-column-provider.h           |  36 ++--
 libcaja-extension/caja-column.c                    |  25 ++-
 libcaja-extension/caja-column.h                    |  56 +++--
 libcaja-extension/caja-extension-types.c           |   7 +-
 libcaja-extension/caja-extension-types.h           |  75 ++++---
 libcaja-extension/caja-file-info.c                 |  21 +-
 libcaja-extension/caja-file-info.h                 | 232 ++++++++++++---------
 libcaja-extension/caja-info-provider.c             |  35 ++--
 libcaja-extension/caja-info-provider.h             |  92 ++++----
 libcaja-extension/caja-location-widget-provider.c  |  22 +-
 libcaja-extension/caja-location-widget-provider.h  |  43 ++--
 libcaja-extension/caja-menu-item.c                 |  41 ++--
 libcaja-extension/caja-menu-provider.c             |  65 +++---
 libcaja-extension/caja-menu-provider.h             |  76 ++++---
 libcaja-extension/caja-menu.c                      |  17 +-
 libcaja-extension/caja-menu.h                      | 143 ++++++-------
 libcaja-extension/caja-property-page-provider.c    |  16 +-
 libcaja-extension/caja-property-page-provider.h    |  40 ++--
 libcaja-extension/caja-property-page.c             |  43 ++--
 libcaja-extension/caja-property-page.h             |  48 ++---
 23 files changed, 663 insertions(+), 535 deletions(-)

commit 3b62e6d5d6fe861e8be862b0a20ba32fdf05e701
Author: monsta <monsta@inbox.ru>
Date:   Tue Aug 23 13:33:57 2016 +0300

    po: update POTFILES.* after latest changes and fix sorting a bit

 po/POTFILES.in   | 4 +---
 po/POTFILES.skip | 3 +--
 2 files changed, 2 insertions(+), 5 deletions(-)

commit 2d8ba15b3905be710036bb729b7acaa7e8e62814
Author: monsta <monsta@inbox.ru>
Date:   Mon Aug 22 19:53:53 2016 +0300

    thumbnails: port from raw pthread API to GTask and GMutex
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=050d031250970b55bbb0e4a58dfaded84c89b354
    https://git.gnome.org/browse/nautilus/commit/?id=b2ee410dc353a871992eebcbdbb4399daa59d57b

 libcaja-private/caja-thumbnails.c | 52 +++++++++++++++++++--------------------
 1 file changed, 25 insertions(+), 27 deletions(-)

commit 3c6122df79f4d6e86d7afa0e6c4b64403de7bc44
Author: monsta <monsta@inbox.ru>
Date:   Sun Aug 21 03:29:50 2016 +0300

    drop a large amount of completely unused code

 eel/Makefile.am                             |   2 -
 eel/eel-art-gtk-extensions.c                | 280 ------------------
 eel/eel-art-gtk-extensions.h                |  21 --
 eel/eel-background.c                        |   1 -
 eel/eel-canvas-rect-ellipse.c               | 225 ---------------
 eel/eel-canvas-rect-ellipse.h               |  32 ---
 eel/eel-canvas-util.c                       | 426 ----------------------------
 eel/eel-canvas-util.h                       | 110 -------
 eel/eel-debug.c                             |  28 --
 eel/eel-debug.h                             |   1 -
 eel/eel-gdk-extensions.c                    |  38 ---
 eel/eel-gdk-extensions.h                    |   6 -
 eel/eel-gtk-extensions.h                    |   2 -
 eel/eel-mate-extensions.c                   |   6 -
 eel/eel-mate-extensions.h                   |   1 -
 eel/eel-stock-dialogs.c                     |  36 ---
 eel/eel-stock-dialogs.h                     |   7 -
 eel/eel-string.c                            | 216 --------------
 eel/eel-string.h                            |  16 --
 eel/eel-xml-extensions.c                    |  73 -----
 eel/eel-xml-extensions.h                    |   6 -
 libcaja-private/caja-desktop-link-monitor.c |  64 -----
 libcaja-private/caja-desktop-link-monitor.h |   3 -
 libcaja-private/caja-entry.c                |  11 -
 libcaja-private/caja-entry.h                |   1 -
 libcaja-private/caja-file-utilities.c       | 193 -------------
 libcaja-private/caja-file-utilities.h       |  11 -
 libcaja-private/caja-file.c                 |  29 --
 libcaja-private/caja-file.h                 |   2 -
 libcaja-private/caja-icon-canvas-item.c     |   1 -
 libcaja-private/caja-icon-names.h           |   8 -
 libcaja-private/caja-mime-actions.c         |  37 ---
 libcaja-private/caja-mime-actions.h         |   1 -
 libcaja-private/caja-trash-monitor.c        |   6 -
 libcaja-private/caja-trash-monitor.h        |   2 -
 src/caja-file-management-properties.c       |   1 -
 src/caja-navigation-window.c                |  16 --
 src/caja-window-menus.c                     |   4 -
 src/file-manager/fm-list-model.c            |  26 --
 src/file-manager/fm-list-model.h            |   2 -
 40 files changed, 1951 deletions(-)

commit 6f295db45ebcb52c6e9ad39f8d639e35f88c5ef5
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Aug 12 23:02:19 2016 +0200

    release 1.15.4

 NEWS         | 9 +++++++++
 configure.ac | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit b2c2efdcaa0be600e32f4228db4ddca79c516c42
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Aug 12 23:01:21 2016 +0200

    sync with transiflex

 po/da.po    |  6 +++---
 po/id.po    |  6 +++---
 po/lt.po    | 12 ++++++------
 po/pt.po    |  7 ++++---
 po/pt_BR.po |  8 ++++----
 po/sr.po    |  7 ++++---
 po/uz.po    | 50 +++++++++++++++++++++++++-------------------------
 po/zh_CN.po |  7 ++++---
 8 files changed, 53 insertions(+), 50 deletions(-)

commit a6b29d8fd0297323256bf4cc96697e254d3b6e91
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Aug 9 16:04:39 2016 +0200

    GTK+-3 property-browser: port GtkTable to GtkGrid

 src/caja-property-browser.c | 62 ++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 61 insertions(+), 1 deletion(-)

commit f7308f8d78c839411b76b6e45868156dd3543506
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Aug 9 12:22:45 2016 +0200

    GTK+-3 window: port GtkTable to GtkGrid

 src/caja-navigation-window.c | 15 +++++++++++++--
 src/caja-spatial-window.c    | 18 ++++++++++++++++++
 src/caja-window-private.h    |  4 ++++
 src/caja-window.c            | 18 ++++++++++++++++++
 4 files changed, 53 insertions(+), 2 deletions(-)

commit f5164f75918a8e65ccde9565c4fd9f366064172e
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Aug 10 13:41:53 2016 -0400

    Fix background change crash
    
    Apply https://gist.github.com/raveit65/51b40a20f8836562369fc155a828edc4 to add a "finalize" function to the desktop window and stop background-change crashes after turning icons off-or off and back on.
    
    Also match tab styling to that in rest of file, the one difference here from the patchfile.

 src/caja-desktop-window.c | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit e5cb35ed5701a28b7a91cf2919f8695f9c8776af
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Tue Aug 9 14:15:17 2016 -0400

    Bring back part of caja.css needed for compositing
    
    Composited case still requires desktop, desktop window to be set transparent. Changes in last commit only affected noncomposited case

 data/caja.css | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit c7daae8ae33f89e99573f6303b707ff1475b34c8
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Aug 9 19:46:45 2016 +0200

    Revert "caja.css: include GTK 3.21 desktop selectors"
    
    This reverts commit 8d658fa4f3790972c38e04df23eaa7b88b5066d8.
    
    No need of this after latest commit.

 data/caja.css | 9 ---------
 1 file changed, 9 deletions(-)

commit 8c926115c99100a581abfd20dced5dfbe4922792
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Aug 8 02:57:55 2016 -0400

    Fix background rendering in noncomposited case
    
    Apply Alberts Muktupāvels' https://bugzilla.gnome.org/attachment.cgi?id=332444&action=diff to Caja, it just plain works.
    Remove previous fallback background code.
    Add GTK 3.21 selectors missed in caja_desktop_window_class_init, clean up a couple tabs

 src/caja-desktop-window.c               | 152 ++++++++++++++++++++++++++------
 src/file-manager/fm-desktop-icon-view.c |  10 ---
 2 files changed, 126 insertions(+), 36 deletions(-)

commit 3eb928b92af5be2fb19e6c975d124a289c5c2787
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Aug 4 15:55:58 2016 +0200

    release 1.15.3

 NEWS         | 19 ++++++++++++++++---
 configure.ac |  2 +-
 2 files changed, 17 insertions(+), 4 deletions(-)

commit f05cf3dab9239bd3f845267563bf5d95485dfe39
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Aug 4 15:49:55 2016 +0200

    sync with transiflex

 po/af.po          | 290 +++++++++++++++++++++++++--------------------------
 po/am.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/ar.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/as.po          | 290 +++++++++++++++++++++++++--------------------------
 po/ast.po         | 290 +++++++++++++++++++++++++--------------------------
 po/az.po          | 290 +++++++++++++++++++++++++--------------------------
 po/be.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/bg.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/bn.po          | 290 +++++++++++++++++++++++++--------------------------
 po/bn_IN.po       | 290 +++++++++++++++++++++++++--------------------------
 po/br.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/bs.po          | 290 +++++++++++++++++++++++++--------------------------
 po/ca.po          | 293 ++++++++++++++++++++++++++--------------------------
 po/ca@valencia.po | 290 +++++++++++++++++++++++++--------------------------
 po/cmn.po         | 290 +++++++++++++++++++++++++--------------------------
 po/crh.po         | 290 +++++++++++++++++++++++++--------------------------
 po/cs.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/cy.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/da.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/de.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/dz.po          | 290 +++++++++++++++++++++++++--------------------------
 po/el.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/en_AU.po       | 294 ++++++++++++++++++++++++++--------------------------
 po/en_CA.po       | 290 +++++++++++++++++++++++++--------------------------
 po/en_GB.po       | 292 ++++++++++++++++++++++++++--------------------------
 po/eo.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/es.po          | 302 +++++++++++++++++++++++++++---------------------------
 po/es_AR.po       | 292 ++++++++++++++++++++++++++--------------------------
 po/es_CO.po       | 294 ++++++++++++++++++++++++++--------------------------
 po/es_MX.po       | 294 ++++++++++++++++++++++++++--------------------------
 po/et.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/eu.po          | 290 +++++++++++++++++++++++++--------------------------
 po/fa.po          | 290 +++++++++++++++++++++++++--------------------------
 po/fi.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/fr.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/frp.po         | 292 ++++++++++++++++++++++++++--------------------------
 po/fur.po         | 290 +++++++++++++++++++++++++--------------------------
 po/fy.po          | 290 +++++++++++++++++++++++++--------------------------
 po/ga.po          | 290 +++++++++++++++++++++++++--------------------------
 po/gl.po          | 290 +++++++++++++++++++++++++--------------------------
 po/gu.po          | 290 +++++++++++++++++++++++++--------------------------
 po/ha.po          | 290 +++++++++++++++++++++++++--------------------------
 po/he.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/hi.po          | 290 +++++++++++++++++++++++++--------------------------
 po/hr.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/hu.po          | 295 ++++++++++++++++++++++++++--------------------------
 po/hy.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/ia.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/id.po          | 295 ++++++++++++++++++++++++++--------------------------
 po/ig.po          | 290 +++++++++++++++++++++++++--------------------------
 po/is.po          | 290 +++++++++++++++++++++++++--------------------------
 po/it.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/ja.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/ka.po          | 290 +++++++++++++++++++++++++--------------------------
 po/kk.po          | 290 +++++++++++++++++++++++++--------------------------
 po/kn.po          | 290 +++++++++++++++++++++++++--------------------------
 po/ko.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/ku.po          | 290 +++++++++++++++++++++++++--------------------------
 po/ky.po          | 290 +++++++++++++++++++++++++--------------------------
 po/li.po          | 290 +++++++++++++++++++++++++--------------------------
 po/lt.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/lv.po          | 290 +++++++++++++++++++++++++--------------------------
 po/mai.po         | 290 +++++++++++++++++++++++++--------------------------
 po/mg.po          | 290 +++++++++++++++++++++++++--------------------------
 po/mi.po          | 290 +++++++++++++++++++++++++--------------------------
 po/mk.po          | 290 +++++++++++++++++++++++++--------------------------
 po/ml.po          | 290 +++++++++++++++++++++++++--------------------------
 po/mn.po          | 290 +++++++++++++++++++++++++--------------------------
 po/mr.po          | 290 +++++++++++++++++++++++++--------------------------
 po/ms.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/nb.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/nds.po         | 290 +++++++++++++++++++++++++--------------------------
 po/ne.po          | 290 +++++++++++++++++++++++++--------------------------
 po/nl.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/nn.po          | 290 +++++++++++++++++++++++++--------------------------
 po/nso.po         | 290 +++++++++++++++++++++++++--------------------------
 po/oc.po          | 290 +++++++++++++++++++++++++--------------------------
 po/or.po          | 290 +++++++++++++++++++++++++--------------------------
 po/pa.po          | 290 +++++++++++++++++++++++++--------------------------
 po/pl.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/pms.po         | 294 ++++++++++++++++++++++++++--------------------------
 po/ps.po          | 290 +++++++++++++++++++++++++--------------------------
 po/pt.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/pt_BR.po       | 292 ++++++++++++++++++++++++++--------------------------
 po/ro.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/ru.po          | 293 ++++++++++++++++++++++++++--------------------------
 po/rw.po          | 290 +++++++++++++++++++++++++--------------------------
 po/sc.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/si.po          | 290 +++++++++++++++++++++++++--------------------------
 po/sk.po          | 296 ++++++++++++++++++++++++++--------------------------
 po/sl.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/sq.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/sr.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/sr@latin.po    | 290 +++++++++++++++++++++++++--------------------------
 po/sv.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/ta.po          | 290 +++++++++++++++++++++++++--------------------------
 po/te.po          | 290 +++++++++++++++++++++++++--------------------------
 po/th.po          | 290 +++++++++++++++++++++++++--------------------------
 po/tk.po          | 290 +++++++++++++++++++++++++--------------------------
 po/tr.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/ug.po          | 290 +++++++++++++++++++++++++--------------------------
 po/uk.po          | 292 ++++++++++++++++++++++++++--------------------------
 po/ur.po          | 290 +++++++++++++++++++++++++--------------------------
 po/uz.po          | 294 ++++++++++++++++++++++++++--------------------------
 po/vi.po          | 290 +++++++++++++++++++++++++--------------------------
 po/wa.po          | 290 +++++++++++++++++++++++++--------------------------
 po/xh.po          | 290 +++++++++++++++++++++++++--------------------------
 po/yi.po          | 290 +++++++++++++++++++++++++--------------------------
 po/yo.po          | 290 +++++++++++++++++++++++++--------------------------
 po/zh_CN.po       | 292 ++++++++++++++++++++++++++--------------------------
 po/zh_HK.po       | 290 +++++++++++++++++++++++++--------------------------
 po/zh_TW.po       | 296 ++++++++++++++++++++++++++--------------------------
 po/zu.po          | 290 +++++++++++++++++++++++++--------------------------
 113 files changed, 16472 insertions(+), 16468 deletions(-)

commit 8d658fa4f3790972c38e04df23eaa7b88b5066d8
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 29 17:12:55 2016 -0400

    caja.css: include GTK 3.21 desktop selectors
    
    The selectors to hold the desktop transparent in GTK 3.21 or later builds seem to be ignored in GTK 3.20 or older builds where Caja draws the desktop. Ideally some makefile work and two raw files would apply this only in GTK 3.21 and later builds

 data/caja.css | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 190d8b70717fc2b91507ae7695acdeee894c11cd
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 29 17:10:22 2016 -0400

    GTK3.21:fix desktop redraw (caja-icon-container.c)

 libcaja-private/caja-icon-container.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 3d61fc43087764d2a99c8cdce4bebc697ba961bc
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 29 17:07:48 2016 -0400

    GTK3.21:fix desktop redraw (fm-list-view.c)

 src/file-manager/fm-list-view.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit c8ea6aafe576d204b4423c868754b4580c52d397
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 29 17:06:55 2016 -0400

    GTK3.21:fix desktop redraw (fm-icon-view.c)

 src/file-manager/fm-icon-view.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit b8f0f58e84776d828964dc0ecfd5604421222268
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 29 17:05:34 2016 -0400

    GTK3.21:fix desktop redraw (fm-directory-view.c)

 src/file-manager/fm-directory-view.c | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

commit 3fd59d25d213f53761691aa81095623fe5895e52
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 29 17:03:48 2016 -0400

    GTK3.21:fix desktop redraw (fm-desktop-icon-view.c)

 src/file-manager/fm-desktop-icon-view.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 6f3c1e4dd60264244be353b42293cd0995589e5e
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jul 29 17:02:30 2016 -0400

    GTK3.21:fix desktop redraw (caja-desktop-window.c)

 src/caja-desktop-window.c | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit 3a50eb19defa7416ae8857e6617b4d2beb375b02
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 30 21:02:36 2016 +0200

    use GtkAbout instead of MateAbout

 src/caja-file-management-properties.c | 22 ++++++++++------------
 src/caja-window-menus.c               |  5 ++---
 2 files changed, 12 insertions(+), 15 deletions(-)

commit fb2849550b6916b6d0399a163a756ec3b911d704
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Jul 14 16:55:06 2016 -0400

    GTK 3.21: stop properties window going full height
    
    Stop the properties window from ballooning to full screen height when built and run with GTK 3.21/22. In GTK 3.21 the "emblems" tab's scrolled window will expand to the entire height of the screen attempting to accomodate all icons unless this is explicitly limited using the new command gtk_scrolled_window_set_max_content_height().
    
    Unfortunately that command is GTK 3.21 and later only, so this forces GTK 3.21 builds to be run only with Gtk 3.21 and later.  Thus this is put behind a GTK 3.21 selector and packages built from it must depend on GTK 3.21 and later. Fortunately no distro is going to ship any file manager built with newer GTK 3 than they ship. A GTK 3.21 build of this will actually open in 3.20 but hit the undefined symbol and crash if you select "properties" on any item, exactly as I would expect it to so.

 src/file-manager/fm-properties-window.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit ee1dfee25ee5aefecfd987db05c830a40a290e34
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jul 20 13:53:18 2016 +0200

    release 1.15.2

 NEWS | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

commit ecb6c5d31ee19ac61ae621a4e683aea0dbe02e98
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jul 20 13:39:24 2016 +0200

    sync with transiflex

 po/af.po          |  814 ++++++------
 po/am.po          |  814 ++++++------
 po/ar.po          |  814 ++++++------
 po/as.po          |  814 ++++++------
 po/ast.po         |  814 ++++++------
 po/az.po          |  814 ++++++------
 po/be.po          |  814 ++++++------
 po/bg.po          |  814 ++++++------
 po/bn.po          |  814 ++++++------
 po/bn_IN.po       |  814 ++++++------
 po/br.po          |  814 ++++++------
 po/bs.po          |  814 ++++++------
 po/ca.po          |  826 ++++++------
 po/ca@valencia.po |  814 ++++++------
 po/cmn.po         |  814 ++++++------
 po/crh.po         |  814 ++++++------
 po/cs.po          |  814 ++++++------
 po/cy.po          |  814 ++++++------
 po/da.po          |  814 ++++++------
 po/de.po          |  814 ++++++------
 po/dz.po          |  814 ++++++------
 po/el.po          |  814 ++++++------
 po/en_AU.po       |  814 ++++++------
 po/en_CA.po       |  814 ++++++------
 po/en_GB.po       |  814 ++++++------
 po/eo.po          |  814 ++++++------
 po/es.po          |  820 ++++++------
 po/es_AR.po       |  814 ++++++------
 po/es_CO.po       | 3828 +++++++++++++++++++++++++++--------------------------
 po/es_MX.po       |  814 ++++++------
 po/et.po          |  814 ++++++------
 po/eu.po          |  814 ++++++------
 po/fa.po          |  814 ++++++------
 po/fi.po          |  843 ++++++------
 po/fr.po          |  814 ++++++------
 po/frp.po         |  814 ++++++------
 po/fur.po         |  814 ++++++------
 po/fy.po          |  814 ++++++------
 po/ga.po          |  814 ++++++------
 po/gl.po          |  814 ++++++------
 po/gu.po          |  814 ++++++------
 po/ha.po          |  814 ++++++------
 po/he.po          |  814 ++++++------
 po/hi.po          |  814 ++++++------
 po/hr.po          |  814 ++++++------
 po/hu.po          |  814 ++++++------
 po/hy.po          |  814 ++++++------
 po/ia.po          |  814 ++++++------
 po/id.po          |  814 ++++++------
 po/ig.po          |  814 ++++++------
 po/is.po          |  814 ++++++------
 po/it.po          |  814 ++++++------
 po/ja.po          |  814 ++++++------
 po/ka.po          |  814 ++++++------
 po/kk.po          |  814 ++++++------
 po/kn.po          |  814 ++++++------
 po/ko.po          |  814 ++++++------
 po/ku.po          |  814 ++++++------
 po/ky.po          |  814 ++++++------
 po/li.po          |  814 ++++++------
 po/lt.po          |  814 ++++++------
 po/lv.po          |  814 ++++++------
 po/mai.po         |  814 ++++++------
 po/mg.po          |  814 ++++++------
 po/mi.po          |  814 ++++++------
 po/mk.po          |  814 ++++++------
 po/ml.po          |  814 ++++++------
 po/mn.po          |  814 ++++++------
 po/mr.po          |  814 ++++++------
 po/ms.po          |  814 ++++++------
 po/nb.po          |  814 ++++++------
 po/nds.po         |  814 ++++++------
 po/ne.po          |  814 ++++++------
 po/nl.po          |  814 ++++++------
 po/nn.po          |  814 ++++++------
 po/nso.po         |  814 ++++++------
 po/oc.po          |  814 ++++++------
 po/or.po          |  814 ++++++------
 po/pa.po          |  814 ++++++------
 po/pl.po          |  814 ++++++------
 po/pms.po         |  814 ++++++------
 po/ps.po          |  814 ++++++------
 po/pt.po          |  814 ++++++------
 po/pt_BR.po       |  814 ++++++------
 po/ro.po          |  814 ++++++------
 po/ru.po          |  814 ++++++------
 po/rw.po          |  814 ++++++------
 po/sc.po          |  814 ++++++------
 po/si.po          |  814 ++++++------
 po/sk.po          |  814 ++++++------
 po/sl.po          |  814 ++++++------
 po/sq.po          |  814 ++++++------
 po/sr.po          |  814 ++++++------
 po/sr@latin.po    |  814 ++++++------
 po/sv.po          |  814 ++++++------
 po/ta.po          |  814 ++++++------
 po/te.po          |  814 ++++++------
 po/th.po          |  814 ++++++------
 po/tk.po          |  814 ++++++------
 po/tr.po          |  814 ++++++------
 po/ug.po          |  814 ++++++------
 po/uk.po          |  814 ++++++------
 po/ur.po          |  814 ++++++------
 po/uz.po          |  814 ++++++------
 po/vi.po          |  814 ++++++------
 po/wa.po          |  814 ++++++------
 po/xh.po          |  814 ++++++------
 po/yi.po          |  814 ++++++------
 po/yo.po          |  814 ++++++------
 po/zh_CN.po       |  814 ++++++------
 po/zh_HK.po       |  814 ++++++------
 po/zh_TW.po       |  814 ++++++------
 po/zu.po          |  814 ++++++------
 113 files changed, 47523 insertions(+), 47520 deletions(-)

commit ce7c14985b6517ee57752c5963de5d9559f39596
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 15 17:57:14 2016 +0200

    GTK+-3 eel: fix color definition pointed out by running distcheck with gtk3

 eel/eel-gdk-extensions.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit ed7ca3d198f8012e5d3c0bb6e89a5f02b583d50a
Author: monsta <monsta@inbox.ru>
Date:   Fri Jul 15 17:06:35 2016 +0300

    distcheck: explicitly use currently selected GTK+ version

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fc6dd078c7c1115770f589ac7c665a9f1bf889e6
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 14 17:39:20 2016 +0200

    fix stupid mistake

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dd3d19c1aba11ed772be6e56f776e9e612e674ca
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jul 14 16:19:15 2016 +0200

    pre-bump version

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 64b18d03b45160b0af841ffa4422e5dc59c9b537
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jun 29 11:33:23 2016 +0200

    GTK+-3 pathbar: always show the sliders
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/src?id=6f6bfde

 src/caja-pathbar.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6869e571b8c2d1c6185d4b24122a7e5fa88eaf30
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jun 29 01:18:58 2016 +0200

    GTK+-3 pathbar: add slider-button class to sliders
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/src?id=00257f2

 src/caja-pathbar.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 659f67fbb31496f531e1ab7ded63beafba7c0a33
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jun 29 00:28:49 2016 +0200

    GTK+-3 pathpar: add image-button class to iconic buttons
    
    taken from:
    https://git.gnome.org/browse/nautilus/patch/src?id=4b2753d

 src/caja-pathbar.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 016d9a8f06c2c852c61a690247cf614adae9de2f
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 28 23:53:27 2016 +0200

    GTK+-3 pathbar: use text-button style class for pathbar buttons
    
    This will give it more horizontal spacing, like we do for text buttons
    in main toolbars.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/src?id=fe45b63

 src/caja-pathbar.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 60dda66f9beda2f3d8e4782aaa4ee381294173b2
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 28 22:23:03 2016 +0200

    GTK+-3 pathbar: fix allocation offset for the down slider button
    
    We want the down slider button to be linked visually to the rest of the
    pathbar.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680916
    
    inspired from:
    https://git.gnome.org/browse/nautilus/commit/src?id=71db3de

 src/caja-pathbar.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 0c487078ad79809e60242a7cb4035756fce4b95e
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 28 18:11:24 2016 +0200

    GTK+-3 pathbar: do not use deprecated gtk_arrow_new
    
    use instead a symbolic icon
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/src?id=25c898b

 src/caja-pathbar.c | 33 ++++++++++++++++++++++++++-------
 1 file changed, 26 insertions(+), 7 deletions(-)

commit b6a3e80fcc696a941958e574716cd740c6667f65
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 28 21:05:32 2016 +0200

    GTK+-3 pathbar: do not use deprecated gtk_alignment_new
    
    inspired from:
    https://git.gnome.org/browse/nautilus/commit/src?id=d808c2d

 src/caja-pathbar.c | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 6247be1f934beaf7f5e523dd476df538385d9ae0
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 28 17:01:54 2016 +0200

    GTK+-3 pathbar: refresh label size request every time it changes
    
    Or we might end up with buttons having the wrong size if a folder on the
    pathbar changes name.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671865
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-6&id=7358824778

 src/caja-pathbar.c | 49 ++++++++++++++++++++++++++++++++++---------------
 1 file changed, 34 insertions(+), 15 deletions(-)

commit f3331893add1aca7fe85e1f3803000d17fec0c63
Author: monsta <monsta@inbox.ru>
Date:   Wed Jul 13 15:41:14 2016 +0300

    drop unneeded includes

 eel/eel-background.c                        | 2 --
 libcaja-private/caja-directory-background.c | 2 --
 2 files changed, 4 deletions(-)

commit 4bc07bbce1e9e612b908ddb6c0284f6b621492f5
Author: monsta <monsta@inbox.ru>
Date:   Tue Jul 12 16:06:52 2016 +0300

    remove some unused includes

 src/caja-spatial-window.c      | 1 -
 src/caja-window-manage-views.c | 1 -
 src/caja-window.c              | 1 -
 3 files changed, 3 deletions(-)

commit 87d1b9fd67ae60726f6bd7d842804bc4737143ad
Author: monsta <monsta@inbox.ru>
Date:   Tue Jul 12 15:55:20 2016 +0300

    libcaja-private: drop unused CajaIdleQueue code

 libcaja-private/Makefile.am              |   2 -
 libcaja-private/caja-directory-private.h |   1 -
 libcaja-private/caja-idle-queue.c        | 156 -------------------------------
 libcaja-private/caja-idle-queue.h        |  49 ----------
 4 files changed, 208 deletions(-)

commit 739bb5a7a24a6efd2bcd8208c5edd49e3c5ef5cc
Author: monsta <monsta@inbox.ru>
Date:   Tue Jul 12 15:14:34 2016 +0300

    eel: fix minor build warning

 eel/eel-image-table.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 867e7659adacb350b2fb5c20447affd5ef54db25
Author: monsta <monsta@inbox.ru>
Date:   Tue Jul 12 14:29:42 2016 +0300

    libcaja-private: drop some more unused code

 libcaja-private/caja-directory-notify.h  |   6 --
 libcaja-private/caja-directory-private.h |   2 -
 libcaja-private/caja-directory.c         | 111 -------------------------------
 libcaja-private/caja-directory.h         |   4 --
 libcaja-private/caja-dnd.c               |  46 -------------
 libcaja-private/caja-dnd.h               |   3 -
 libcaja-private/caja-file.c              |  17 -----
 libcaja-private/caja-file.h              |   1 -
 8 files changed, 190 deletions(-)

commit a1a90ed979fe7a93a95742c0ca911f13b68d46b9
Author: monsta <monsta@inbox.ru>
Date:   Tue Jul 12 14:12:20 2016 +0300

    libcaja-private: remove unused CajaMergedDirectory code

 libcaja-private/Makefile.am             |   2 -
 libcaja-private/caja-merged-directory.c | 731 --------------------------------
 libcaja-private/caja-merged-directory.h |  69 ---
 3 files changed, 802 deletions(-)

commit 1f212bb1c6aa5a7a294a40801c3f8c0dbf252671
Author: monsta <monsta@inbox.ru>
Date:   Tue Jul 12 14:00:05 2016 +0300

    fix minor build warning

 src/caja-freedesktop-dbus.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a81b01d93ce1b197d36a1b3be2799d63237287f5
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Jul 4 16:27:38 2016 +0200

    location-bar: don't pack an useless box in the bar
    
    The bar is an horizontal box already, no need to pack another hbox in
    it. This also fixes content not expanding in the available width, as
    noted in https://bugzilla.gnome.org/show_bug.cgi?id=654389.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-2&id=7596049

 src/caja-location-bar.c | 18 ++++--------------
 1 file changed, 4 insertions(+), 14 deletions(-)

commit f77ad856edec429eb91062d81ebf567f52a27346
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Jul 4 15:59:22 2016 +0200

    location-bar: fix deprecated GTK_TYPE_HBOX usage

 src/caja-location-bar.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit c75269f5b317ffa20142d640108ab64b85835e09
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Jul 4 13:27:22 2016 +0200

    navigation-bar: remove useless abstract class
    
    Merge the useful pieces into CajaLocationBar itself, which is the
    only implementor anyway.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-6&id=ca1fa0c
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=66c46dd

 src/Makefile.am                   |   2 -
 src/caja-location-bar.c           | 282 ++++++++++++++++++--------------------
 src/caja-location-bar.h           |  12 +-
 src/caja-navigation-bar.c         | 167 ----------------------
 src/caja-navigation-bar.h         |  77 -----------
 src/caja-navigation-window-pane.c |   9 +-
 src/caja-navigation-window.c      |   6 +-
 7 files changed, 152 insertions(+), 403 deletions(-)

commit 5968f6bb40c334a797175ebeeb946d76163ce288
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Jul 11 22:25:28 2016 +0200

    Revert "GTK+-3 spatial-window: avoid deprecated gtk_vbox_new"
    
    This reverts commit d866d7a3a5b778cbd413eaa67ad69c80e9277c6b.
    This commit breaks desktop drawing,
    revert fixes https://github.com/mate-desktop/caja/issues/591

 src/caja-spatial-window.c | 1 -
 1 file changed, 1 deletion(-)

commit 80d463a721ce9191efdada8f1b041baea1af1643
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jul 6 23:16:48 2016 +0200

    all: don't use deprecated GMutex/GThread API
    
    Also, threads area always enabled, so we can remove the
    G_THREADS_ENABLED conditionals.
    Require GLib 2.31 for this.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-4&id=0594aa1
    
    Note, this fixes a Wimplicit-function-declaration warning
    in caja-search-engine-simple

 libcaja-private/caja-file-changes-queue.c   | 65 +++--------------------------
 libcaja-private/caja-file-operations.c      | 13 +++---
 libcaja-private/caja-icon-info.c            | 12 +++---
 libcaja-private/caja-search-engine-simple.c |  6 ++-
 4 files changed, 21 insertions(+), 75 deletions(-)

commit d866d7a3a5b778cbd413eaa67ad69c80e9277c6b
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jul 6 15:06:52 2016 +0200

    GTK+-3 spatial-window: avoid deprecated gtk_vbox_new

 src/caja-spatial-window.c | 1 +
 1 file changed, 1 insertion(+)

commit b45ec539f95cba19409643725e17433e4efc7bf7
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jul 6 15:01:08 2016 +0200

    GTK+-3.20 view-as-action: avoid deprecated gtk_combo_box_set_focus_on_click

 src/caja-view-as-action.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 3a17de48f2892643c7d27829c24418554b9fadbf
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jul 8 15:42:26 2016 +0200

    editable-label: reduce ifdefine hell

 eel/eel-editable-label.c | 36 +++++++++++++++++++-----------------
 1 file changed, 19 insertions(+), 17 deletions(-)

commit 62ae31a8874cea0d8e8a4ad9547a164fa22db681
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Jun 26 17:52:35 2016 +0200

    GTK+-3 eel-editable-label: drop usage of GtkMisc
    
    and use halign and valign
    with help from Vlad Orlov

 eel/eel-editable-label.c | 41 +++++++++++++++++++++++++++++++++++++++++
 eel/eel-editable-label.h |  8 ++++++++
 2 files changed, 49 insertions(+)

commit 7c7eb8def5a6436e4d5105a7e5c45ea8361935dc
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jul 5 23:25:56 2016 +0200

    GTK+-3 connect-server-dialog: use widget properties instead of GtkAlignment

 src/caja-connect-server-dialog.c | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit 2a7321bebb76d5f0010f3111a2842e1f909d7ca4
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jul 5 21:29:18 2016 +0200

    GTK+-3 open-with-dialog: use widget properties instead of GtkAlignment

 libcaja-private/caja-open-with-dialog.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit d03daa940e87400b53bee9c065bac9dd0b1bbf41
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 28 13:34:51 2016 +0200

    GTK+-3 searchbar: use widget properties instead of GtkAlignment

 src/caja-search-bar.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit d3159246257fda50e908759c196db04e699bc475
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 28 11:37:56 2016 +0200

    GTK+-3 fm-properties-window: use widget properties instead of GtkAlignment
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=ba52f92

 src/file-manager/fm-properties-window.c | 23 ++++++++++++++++++-----
 1 file changed, 18 insertions(+), 5 deletions(-)

commit c5bcad96143a48b6c04107ec8e4d3d554297425c
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Jun 27 21:11:46 2016 +0200

    GTK+-3 fm-list-view: use widget properties instead of GtkAlignment
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=f81188e

 src/file-manager/fm-list-view.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 60efc5224fd7768ee100c248660338607f8ecf15
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Jun 27 19:54:07 2016 +0200

    GTK+-3 file-conflict-dialog: use widget properties instead of GtkAlignment
    
    GtkAlignment has been deprecated since GTK+ 3.14 and the use of
    halign, valign and margin properties is encouraged.
    
    This commit aligns widgets by use of said properties instead of the
    GtkAlignment widget.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=470235f

 libcaja-private/caja-file-conflict-dialog.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit f02d495258535739320e340f809f1e8392aca7af
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Jun 27 13:09:46 2016 +0200

    eel-gtk-extensions: remove eel_gtk_adjustment* functions
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=2b99456

 eel/eel-gtk-extensions.c | 32 --------------------------------
 eel/eel-gtk-extensions.h |  4 ----
 2 files changed, 36 deletions(-)

commit 1f7ab5dcbca155f331735a8483d768ea0c349c18
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Jun 27 13:06:38 2016 +0200

    icon-container: don't use eel helper to set adjustment values
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=3a9c6cd

 libcaja-private/caja-icon-container.c | 25 ++++++++++---------------
 1 file changed, 10 insertions(+), 15 deletions(-)

commit 32359d81ae57fdde06062ae857933b2c62bea628
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Jun 26 22:48:05 2016 +0200

    notebook: cleanup an old workaround
    
    There should be no need for all these roundtrips here. We can assume
    if we got an event on the notebook, it will be within a GtkNotebook.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/src?id=bbd77ce

 src/caja-notebook.c | 66 -----------------------------------------------------
 1 file changed, 66 deletions(-)

commit d886a6fa7e3c624d4b53e5d3346ab63a34a991bf
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Jun 27 12:12:51 2016 +0200

    GTK+-3 caja-icon-dnd: avoid deprecated gtk_drag_begin
    
    use gtk_drag_begin_with_coordinates instead

 libcaja-private/caja-icon-dnd.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 78f10df5adf757025070f864a92a1916c78593fb
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Jun 27 00:31:42 2016 +0200

    Gtk+-3.20 fm-desktop-icon-view: use GdkSeat operations

 src/file-manager/fm-desktop-icon-view.c | 32 +++++++++++++++++++++++++++++++-
 1 file changed, 31 insertions(+), 1 deletion(-)

commit fecfeff6c34c1ac11c4803cb3ffc0b6722bd93b7
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Jun 26 20:45:02 2016 +0200

    Gtk+-3.20 eel-canvas: use GdkSeat operations
    
    Some GdkDisplay operations have been deprecated in GDK 3.20.
    
    This commit replaces the deprecated code in eel_canvas_item_grab() and
    eel_canvas_item_ungrab() functions with new GdkSeat operations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762235
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=225f2cf

 eel/eel-canvas.c                      | 113 ++++++++++++++++++++++++++++++++--
 eel/eel-canvas.h                      |  18 ++++++
 libcaja-private/caja-icon-container.c |  39 ++++++++++++
 3 files changed, 164 insertions(+), 6 deletions(-)

commit 8e7097e89a04156ae0d2dc487f630e259ec6fb76
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Jun 26 21:36:17 2016 +0200

    GTK+-3.20 caja-tree-view-drag-dest: use GdkSeat operations
    
    Some GdkDisplay operations have been deprecated in GDK 3.20.
    
    This commit replaces the deprecated code with new GdkSeat
    operations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762235
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=38a811c

 libcaja-private/caja-tree-view-drag-dest.c | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit e8faf61c1af5de5e7a5292d4e637236800c97842
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Jun 26 21:18:38 2016 +0200

    GTK+-3.20 caja-dnd: use GdkSeat operations
    
    Some GdkDisplay operations have been deprecated in GDK 3.20.
    
    This commit replaces the deprecated code with new GdkSeat
    operations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762235
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=98dce7d

 libcaja-private/caja-dnd.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 461fab0bb7432a222577f74f5807fc830c192ba8
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Jun 26 21:07:26 2016 +0200

    GTK+-3.20 caja-icon-container:  use GdkSeat operations
    
    Some GdkDisplay operations have been deprecated in GDK 3.20.
    
    This commit replaces the deprecated code with new GdkSeat
    operations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762235
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=202a66f

 libcaja-private/caja-icon-container.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 18334383985b6379387b87c8e873562b36fb4bd0
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Jul 4 13:32:32 2016 +0200

    Revert "navigation-bar: fix deprecated GTK_TYPE_HBOX usage"
    
    This reverts commit a8bbcc7f391718b7220ef7bf55b1309b254a7051.

 src/caja-navigation-bar.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 22bdc10303a3e6a8b749bdb507e1cc38e47331f2
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon Jul 4 13:28:54 2016 +0200

    Revert "navigation-bar: fix typo in previous commit"
    
    This reverts commit f7c1b8e3bf55c5a342a217a662718044c7f34e06.
    
    This makes the locationbar smaller. The navigationbar is something
    like a container for the locationbar, so fixing here the deprecation is worse.

 src/caja-navigation-bar.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 679b3f901f7c702602f1ce9013b27a1a455d54ed
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 2 11:05:05 2016 +0200

    update to 1.15.1 release

 NEWS         | 19 +++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 20 insertions(+), 1 deletion(-)

commit fa6c3e36ac841bb6976807361e2f7e3ef06f65a9
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 2 11:00:06 2016 +0200

    configure: increase mate-desktop min. version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 46c30281d9cb920631cb907f283036de33322e8d
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jul 2 10:55:41 2016 +0200

    sync with transiflex

 po/af.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/am.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ar.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/as.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ast.po         | 1079 ++++++++++++++++++++++++-------------------------
 po/az.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/be.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/bg.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/bn.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/bn_IN.po       | 1079 ++++++++++++++++++++++++-------------------------
 po/br.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/bs.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ca.po          | 1155 +++++++++++++++++++++++++++--------------------------
 po/ca@valencia.po | 1079 ++++++++++++++++++++++++-------------------------
 po/cmn.po         | 1079 ++++++++++++++++++++++++-------------------------
 po/crh.po         | 1079 ++++++++++++++++++++++++-------------------------
 po/cs.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/cy.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/da.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/de.po          | 1087 ++++++++++++++++++++++++-------------------------
 po/dz.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/el.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/en_AU.po       | 1083 ++++++++++++++++++++++++-------------------------
 po/en_CA.po       | 1079 ++++++++++++++++++++++++-------------------------
 po/en_GB.po       | 1079 ++++++++++++++++++++++++-------------------------
 po/eo.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/es.po          | 1085 ++++++++++++++++++++++++-------------------------
 po/es_AR.po       | 1079 ++++++++++++++++++++++++-------------------------
 po/es_CO.po       | 1090 +++++++++++++++++++++++++-------------------------
 po/es_MX.po       | 1079 ++++++++++++++++++++++++-------------------------
 po/et.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/eu.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/fa.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/fi.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/fr.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/frp.po         | 1079 ++++++++++++++++++++++++-------------------------
 po/fur.po         | 1079 ++++++++++++++++++++++++-------------------------
 po/fy.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ga.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/gl.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/gu.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ha.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/he.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/hi.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/hr.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/hu.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/hy.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ia.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/id.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ig.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/is.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/it.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ja.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ka.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/kk.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/kn.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ko.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ku.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ky.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/li.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/lt.po          | 1139 ++++++++++++++++++++++++++--------------------------
 po/lv.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/mai.po         | 1079 ++++++++++++++++++++++++-------------------------
 po/mg.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/mi.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/mk.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ml.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/mn.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/mr.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ms.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/nb.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/nds.po         | 1079 ++++++++++++++++++++++++-------------------------
 po/ne.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/nl.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/nn.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/nso.po         | 1079 ++++++++++++++++++++++++-------------------------
 po/oc.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/or.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/pa.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/pl.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/pms.po         | 1079 ++++++++++++++++++++++++-------------------------
 po/ps.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/pt.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/pt_BR.po       | 1079 ++++++++++++++++++++++++-------------------------
 po/ro.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ru.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/rw.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/sc.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/si.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/sk.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/sl.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/sq.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/sr.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/sr@latin.po    | 1079 ++++++++++++++++++++++++-------------------------
 po/sv.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ta.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/te.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/th.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/tk.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/tr.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ug.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/uk.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/ur.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/uz.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/vi.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/wa.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/xh.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/yi.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/yo.po          | 1079 ++++++++++++++++++++++++-------------------------
 po/zh_CN.po       | 1079 ++++++++++++++++++++++++-------------------------
 po/zh_HK.po       | 1079 ++++++++++++++++++++++++-------------------------
 po/zh_TW.po       | 1079 ++++++++++++++++++++++++-------------------------
 po/zu.po          | 1079 ++++++++++++++++++++++++-------------------------
 113 files changed, 61103 insertions(+), 60989 deletions(-)

commit 3b8e0d41a7adca11014a3548f3ab19fd7e400c70
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jun 29 17:33:19 2016 +0200

    eel: make code better readable

 eel/eel-background.c     | 53 +++++++++++++++++++++++++++++++++++-------------
 eel/eel-gdk-extensions.c | 41 ++++++++++++++++++++-----------------
 2 files changed, 61 insertions(+), 33 deletions(-)

commit 0c08ec62529640df8e6c007af8ed3e4728d31e69
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Jun 26 12:59:43 2016 +0200

    GTK+-3 eel-labeled-image: port to GtkStyleContext

 eel/eel-labeled-image.c | 59 +++++++++++++++++++++++++++++++------------------
 1 file changed, 38 insertions(+), 21 deletions(-)

commit e983f64abd52242d96d9ed3825395f2e1f3dea5e
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jun 16 13:35:02 2016 +0200

    GTK+-3 eel: rename GdkRGBA functions

 eel/eel-background.c     | 21 +++++++++++++
 eel/eel-gdk-extensions.c | 78 ++++++++++++++++++++++++++++++++++--------------
 eel/eel-gdk-extensions.h |  9 +++---
 3 files changed, 81 insertions(+), 27 deletions(-)

commit d829c648eb20daa6ad487768195e1379a2ddb135
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jun 15 23:14:54 2016 +0200

    GTK+-3 eel-backgrounds: port to GtkStyleContext and GdkRGBA
    
    with help from Alexei Sorokin

 eel/eel-background.c | 61 +++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 58 insertions(+), 3 deletions(-)

commit 75659aa8d36813d4228949eeeafff317b71c5b93
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jun 15 23:14:23 2016 +0200

    GTK+-3 eel-gdk-extensions: port GtkColor to GdkRGBA
    
    with help from Alexei Sorokin

 eel/eel-gdk-extensions.c | 77 ++++++++++++++++++++++++++++++++++++++++++++++++
 eel/eel-gdk-extensions.h |  9 ++++++
 2 files changed, 86 insertions(+)

commit 36050c2e84626e52c11790cdc706079f6861c4a5
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue May 31 22:03:25 2016 +0200

    GTK+-3 eel-background: prepare code for GtkStyleContext port

 eel/eel-background.c | 41 ++++++++++++++++++++++++++++-------------
 1 file changed, 28 insertions(+), 13 deletions(-)

commit 6eb433420c347de2384dcfe3dbbd7b5fc97117da
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue May 31 21:24:24 2016 +0200

    GTK+3 eel-labeled-image: simplify code for port to GtkStyleContext

 eel/eel-labeled-image.c | 82 +++++++++++++++++++++++++++++++++++--------------
 1 file changed, 59 insertions(+), 23 deletions(-)

commit f03e84290b3d79198e8be486da31b5b1c90aa991
Author: monsta <monsta@inbox.ru>
Date:   Fri Jul 1 11:27:23 2016 +0300

    po: drop languages not present on Transifex (or present but empty)
    
    also en_US isn't a translation at all

 po/LINGUAS        |    8 -
 po/be@latin.po    | 6875 ----------------------------------------------
 po/en@shaw.po     | 7478 --------------------------------------------------
 po/en_US.po       | 7459 --------------------------------------------------
 po/gv.po          | 7811 -----------------------------------------------------
 po/io.po          | 5852 ---------------------------------------
 po/km.po          | 7546 ---------------------------------------------------
 po/sr@ije.po      | 7459 --------------------------------------------------
 po/uz@cyrillic.po | 6214 ------------------------------------------
 9 files changed, 56702 deletions(-)

commit f7c1b8e3bf55c5a342a217a662718044c7f34e06
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jun 30 16:43:44 2016 +0200

    navigation-bar: fix typo in previous commit

 src/caja-navigation-bar.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a8bbcc7f391718b7220ef7bf55b1309b254a7051
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jun 16 20:15:18 2016 +0200

    navigation-bar: fix deprecated GTK_TYPE_HBOX usage

 src/caja-navigation-bar.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 34a6f25919c43318c93e6f2a5fea3f7e0840a934
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jun 16 19:36:47 2016 +0200

    GTK+-3 eel-editable-label: do not use deprecated gtk_misc_get_padding

 eel/eel-editable-label.c | 25 +++++++++++++++++++++++--
 1 file changed, 23 insertions(+), 2 deletions(-)

commit fea3974cb430cd308faf6fa52c6dbd90007fca1e
Author: monsta <monsta@inbox.ru>
Date:   Tue Jun 21 17:06:04 2016 +0300

    po: actually add new languages from Transifex

 po/LINGUAS | 2 ++
 1 file changed, 2 insertions(+)

commit 41731a65ebb5b85efbefee0a97d3ec8802bd6da9
Author: monsta <monsta@inbox.ru>
Date:   Tue Jun 21 16:52:58 2016 +0300

    drop gnome leftover

 Makefile.am        | 1 -
 add-include-prefix | 1 -
 2 files changed, 2 deletions(-)

commit 262492b5ef82faf66b3b6b78aea7d304a52cf2e0
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat Jun 18 16:57:12 2016 -0400

    GTK3: Fix caja information panel
    
    The Caja information panel (information option in sidebar) was never fully ported to GTK3, probably still isn't. Set the .view style class on it, and exclude the rest of caja_information_panel_update_appearance as that code segfaults (at least with GTK 3.21) on dragging a background to the info panel.
    
    We now have a demo for background dragging in GTK3: A background can be dragged to the information sidebar and will be displayed. Won't be saved and won't appear in other Cajs navigation windows, something in the code that segfaulted no doubt needs to be fixed for that but that's for later. At least this widget finally works. It will follow any theme I have and no longer fails to update to  BlackMATE or my own theme.

 src/caja-information-panel.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit de50df2018498f9eefdf08efd22e6c9e371a2ea1
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue May 31 23:59:33 2016 +0200

    GTK+3: do not use deprecated gtk_widget_modify_font

 src/caja-sidebar-title.c | 4 ++++
 1 file changed, 4 insertions(+)

commit a6267ed3da8b579247d3a786c91c3da3ed729c6b
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue May 31 23:43:52 2016 +0200

    GTK+-3.20: do not use deprecated gtk_button_set_focus_on_click

 src/caja-notebook.c     |  4 ++++
 src/caja-pathbar.c      |  8 ++++++++
 src/caja-zoom-control.c | 12 ++++++++++++
 3 files changed, 24 insertions(+)

commit 0041a533fe63c8ccbe0881ab3fb9b3e9003d3ba6
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue May 31 23:00:56 2016 +0200

    GTK+3 pathbar: Do not use deprecate composite-child API

 src/caja-pathbar.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 3393126f95baeed3bebb21560c7548484475e935
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jun 8 13:20:36 2016 +0200

    release 1.15.0

 NEWS         | 13 +++++++++++++
 configure.ac |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 83cb35d9f9f298565ba540bdf4c007de70bc25cb
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Jun 8 13:09:30 2016 +0200

    sync with Transiflex

 po/ar.po |    7 +-
 po/ca.po |    6 +-
 po/el.po |    7 +-
 po/hr.po |   12 +-
 po/it.po |    7 +-
 po/sc.po | 7499 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/uz.po |   30 +-
 7 files changed, 7535 insertions(+), 33 deletions(-)

commit b74c8cda3f4accc94f086f6fcd09d33f39a8d313
Author: monsta <monsta@inbox.ru>
Date:   Fri Jun 3 15:23:24 2016 +0300

    remove old gnome files

 MAINTAINERS    |  23 ---
 Makefile.am    |   2 -
 README.commits |  68 -------
 THANKS         | 621 ---------------------------------------------------------
 TODO           |  19 --
 5 files changed, 733 deletions(-)

commit 5a17525f875b012385004f9b164e59edc5962ee3
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue May 31 20:16:09 2016 +0200

    GTK+-3 fm-icon-view: fix a Wincompatible-pointer-types build warning

 src/file-manager/fm-icon-view.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 64cc5f2eaaaf1f27a41f900113edde77ceb1210d
Author: monsta <monsta@inbox.ru>
Date:   Tue May 31 18:08:45 2016 +0300

    GTK+2: fix build errors after last commits

 src/caja-information-panel.c | 4 ++++
 src/caja-pathbar.c           | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit abec93de17fb483764ab27c5c781204cef561261
Author: raveit65 <chat-to-me@raveit.de>
Date:   Mon May 30 22:52:08 2016 +0200

    GTK+3 sidebars and caja-places: port style_set to style_updated

 src/caja-history-sidebar.c   | 11 +++++++----
 src/caja-information-panel.c |  7 +++----
 src/caja-pathbar.c           | 26 +++++++++++++++++---------
 src/caja-places-sidebar.c    | 13 ++++++++-----
 src/caja-sidebar-title.c     | 14 ++++++++++----
 5 files changed, 45 insertions(+), 26 deletions(-)

commit 469c6d88a8a37bf09b9b75d610f53cdf90629168
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat May 28 18:22:05 2016 -0400

    GTK3:caja-zoom-control.c GtkStyle>GtkStyleContext
    
    caja-zoom-control.c: label_style_set_callback to GtkStyleContext in GTK3 builds

 src/caja-zoom-control.c | 4 ++++
 1 file changed, 4 insertions(+)

commit a540850b3f69e384dd525d5f767541cf7d186454
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat May 28 18:19:27 2016 -0400

    GTK3: caja-places-sidebar.c use GtkStyleContext
    
    caja-places-sidebar.c: Port caja_places_sidebar_style_set to GtkStyleContext from GtkStyle in GTK3 builds

 src/caja-places-sidebar.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 9e97cf839b297dedccb1955603a02295a6292d87
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat May 28 18:13:13 2016 -0400

    GTK3:caja-pathbar remove GtkStyle vars
    
    caja-pathbar.c: GtkStyleContext is already used to style the pathbar, so removed GtkStyle variables and unneeded caja_path_bar_style_set function

 src/caja-pathbar.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 74a1a7a675fb265933a11b7cd01557caa72bf7a1
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat May 28 18:11:24 2016 -0400

    GTK3: caja-location-bar.c use GtkStyleContext
    
     Port one variable in style_set_handler to GtkStyleContext in GTK3 builds

 src/caja-location-bar.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 9f4ab08ded1b6a3ae4680c021fabd293fcf48cee
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat May 28 18:09:59 2016 -0400

    GTK3:caja-information-panel.c use GtkStyleContext
    
    caja-information-panel.c: Port caja_information_panel_style_set to GtkStyleContext in GTK3 builds

 src/caja-information-panel.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit aff48d2d6233db8c303a28f618b9f635a6a6b090
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Sat May 28 18:08:00 2016 -0400

    GTK3: port history sidebar to GtkStyleContext
    
    caja-history-sidebar.c: port caja_history_sidebar_style_set GtkStyleContext in GTK3 builds

 src/caja-history-sidebar.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit a6c32f442e7b86e97a741b3559d96e1f77bbe300
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri May 27 18:30:33 2016 -0400

    GTK3:  Fix two deprecations, stop 3.21 segfault
    
    In GTK 3.21, the use of GtkStyle in function style_set in caja-sidebar-title.c results in a segfault if the sidebar is showing, even though it is used only when the "information" sidebar is selected. GtkStyle also appears in update_title_font  in the same file.
    
    The second function resizes the bold headline label font in the information sidebar when either the length of the text or the width of the sidebar changes. Port it to GtkStyleContext and keep it.
    
    The first function (style_set) does two things: It invokes the second function when the style is set up, so port its second input variable (which seems to receive only NULL anyway) to GtkStyleContext. The rest of the function is supposed to set the font for the "more information" label, but mostly seems to block updating that font with the system font and cause the size of the font to be different between GTK 3.20 or earlier and GTK 3.21. Disable that portion entirely in GTK3 builds, as that way the font is consistant across GTK3 versions(an appropriate size in all cases tested), updates with changes in the system font, and cannot segfault in GTK 3.21. Porting it to GtkStyleContext has been tested and stops the segfaults but leaves the other two problems mentioned. Disable that portion of style_set in GTK3 and be done with it.

 src/caja-sidebar-title.c | 30 ++++++++++++++++++++++++++----
 1 file changed, 26 insertions(+), 4 deletions(-)

commit 4d51ac3789ffcc78088efae1a1724c2e9e70eba6
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat May 21 10:55:47 2016 +0200

    add fogotten language file

 po/pms.po | 7499 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 7499 insertions(+)

commit 59b2084029a164bddaa7036de060ccc9e9148b99
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat May 21 10:45:22 2016 +0200

    update to 1.14.1 release

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit f21c0af0033c2d9b0f813ebb2aa9f42991470cae
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat May 21 10:01:21 2016 +0200

    sync with transiflex

 po/ar.po    |  15 ++++----
 po/ca.po    |  32 ++++++++--------
 po/de.po    |  20 +++++-----
 po/es.po    |   6 +--
 po/es_MX.po | 121 ++++++++++++++++++++++++++++++------------------------------
 po/frp.po   |  24 ++++++------
 po/ko.po    |   4 +-
 po/nb.po    |  28 +++++++-------
 po/ru.po    |   2 +-
 po/sq.po    |   8 ++--
 po/sv.po    |  12 +++---
 po/uz.po    | 112 +++++++++++++++++++++++++++----------------------------
 12 files changed, 193 insertions(+), 191 deletions(-)

commit 7a3cf0e3ec05acd1aa5599a690263c757c6c3616
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue May 3 17:17:52 2016 +0200

    GTK+3 css: improve border settings for desktop window

 data/caja.css | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit eebcc7053f03ddd0d69cd7f1a5d21c8132e01af7
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Apr 28 00:24:11 2016 +0200

    css: don't allow borders on scrolledwindow

 data/caja.css | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 0b88f6fa5d043687c82a326dd5dcae4aed582644
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Apr 22 10:51:46 2016 +0200

    GTK3 css: set a fg color for EelEditableLabel and allow box-shadow

 data/caja.css | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit 9a86c2cbc0b1e75f9073461ead8bc2d917694921
Author: monsta <monsta@inbox.ru>
Date:   Thu Apr 21 17:15:34 2016 +0300

    prefs dialog: don't crash on toggling "Show hidden and backup files"
    
    adapted from:
    https://git.gnome.org/browse/nautilus/commit/?id=7428762ea6601abba086fcc5e57f443b2e2b40b5
    
    fixes https://github.com/mate-desktop/caja/issues/326

 src/caja-window-menus.c   | 25 ++++++++++++++-----------
 src/caja-window-private.h |  2 +-
 src/caja-window.c         |  2 +-
 3 files changed, 16 insertions(+), 13 deletions(-)

commit 355a7dc4209ab6b0ddfdd5597c99d9a2ae63c406
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 20 16:03:59 2016 +0200

    GTK+3: improve EelEditableLabel settings css file

 data/caja.css | 32 +++++++++++++++++++++++++++++++-
 1 file changed, 31 insertions(+), 1 deletion(-)

commit e8be955849664584f1fb697fd904ae9f85945a5e
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Apr 15 10:25:20 2016 +0200

    GTK+-3 theming: add a CSS file for caja, and initialize it at startup
    
    inspired by:
    https://git.gnome.org/browse/nautilus/commit/?id=dad5d12

 data/Makefile.am       |  2 ++
 data/caja.css          | 23 +++++++++++++++++++++++
 src/caja-application.c | 29 +++++++++++++++++++++++++++++
 3 files changed, 54 insertions(+)

commit e8ec81e2da654f5f07d94dc3f767d42f90fd12b4
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 19 15:48:27 2016 +0200

    GTK+3: add style class caja-desktop-window at top level
    
    The existing style class .caja-desktop does not match every widget
    which you see at the screen. Ie. the widget scrolledwindow,
    which is above the existing class in hierarchy.

 src/caja-desktop-window.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit bcd3aeb9f51d31911702992df087f0d1e6f5ef38
Author: monsta <monsta@inbox.ru>
Date:   Thu Apr 7 12:31:27 2016 +0300

    po: add missing languages to LINGUAS + fix sorting a bit

 po/LINGUAS | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 276a42f56a33001108f88ed843d8d364a66dee13
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 6 17:39:01 2016 +0200

    release 1.14.0

 NEWS         | 1 +
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 615ff70572c027864f3766fe0acdadd9e3f00f9c
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 6 17:21:22 2016 +0200

    Add Changelog generation

 Makefile.am | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit fae54eeb686160b85ad8ff3d0d1a859af709ee7a
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 6 17:14:20 2016 +0200

    add new languages and sync with transiflex

 po/LINGUAS        |    2 +
 po/af.po          | 1539 +++++------
 po/am.po          | 1615 ++++++------
 po/ar.po          | 1539 +++++------
 po/as.po          | 1539 +++++------
 po/ast.po         | 1539 +++++------
 po/az.po          | 1539 +++++------
 po/be.po          |    6 +-
 po/bg.po          | 1604 ++++++------
 po/bn.po          | 1539 +++++------
 po/bn_IN.po       | 1539 +++++------
 po/br.po          |    2 +-
 po/bs.po          | 1539 +++++------
 po/ca.po          |    8 +-
 po/ca@valencia.po | 1539 +++++------
 po/cmn.po         | 1539 +++++------
 po/crh.po         | 1539 +++++------
 po/cs.po          |    2 +-
 po/da.po          |  163 +-
 po/de.po          |    2 +-
 po/dz.po          | 1539 +++++------
 po/el.po          |    2 +-
 po/en_AU.po       |    2 +-
 po/en_CA.po       | 1539 +++++------
 po/en_GB.po       |    2 +-
 po/eo.po          | 1568 +++++------
 po/es.po          |   11 +-
 po/es_AR.po       | 7500 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_CO.po       | 1563 +++++------
 po/es_MX.po       |   73 +-
 po/et.po          | 1546 +++++------
 po/eu.po          | 1539 +++++------
 po/fa.po          | 1547 +++++------
 po/fi.po          | 1539 +++++------
 po/fr.po          |    2 +-
 po/frp.po         | 7499 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/fur.po         | 1537 +++++------
 po/fy.po          | 1537 +++++------
 po/ga.po          | 1539 +++++------
 po/gl.po          | 1539 +++++------
 po/gu.po          | 1539 +++++------
 po/ha.po          | 1539 +++++------
 po/hi.po          | 1539 +++++------
 po/hr.po          |    4 +-
 po/ia.po          | 1686 ++++++------
 po/id.po          | 1541 +++++------
 po/ig.po          | 1539 +++++------
 po/is.po          |    2 +-
 po/it.po          |    2 +-
 po/ja.po          | 1539 +++++------
 po/ka.po          | 1539 +++++------
 po/kk.po          | 1539 +++++------
 po/kn.po          | 1539 +++++------
 po/ko.po          | 1556 +++++------
 po/ku.po          | 1539 +++++------
 po/ky.po          | 1537 +++++------
 po/li.po          | 1539 +++++------
 po/lt.po          |   70 +-
 po/lv.po          | 1539 +++++------
 po/mai.po         | 1539 +++++------
 po/mg.po          | 1539 +++++------
 po/mi.po          | 1537 +++++------
 po/mk.po          | 1539 +++++------
 po/ml.po          | 1539 +++++------
 po/mn.po          | 1539 +++++------
 po/mr.po          | 1539 +++++------
 po/ms.po          |    2 +-
 po/nb.po          |  422 +--
 po/nds.po         | 1539 +++++------
 po/ne.po          |    2 +-
 po/nl.po          |    2 +-
 po/nn.po          | 1539 +++++------
 po/nso.po         | 1539 +++++------
 po/oc.po          | 1541 +++++------
 po/or.po          | 1539 +++++------
 po/pa.po          | 1539 +++++------
 po/pl.po          | 1541 +++++------
 po/ps.po          | 1539 +++++------
 po/pt.po          | 1539 +++++------
 po/pt_BR.po       |    4 +-
 po/ro.po          |   50 +-
 po/ru.po          |    4 +-
 po/rw.po          | 1537 +++++------
 po/si.po          | 1539 +++++------
 po/sk.po          |    2 +-
 po/sl.po          | 1541 +++++------
 po/sq.po          | 1539 +++++------
 po/sr.po          | 1539 +++++------
 po/sr@latin.po    | 1539 +++++------
 po/ta.po          | 1539 +++++------
 po/te.po          | 1539 +++++------
 po/th.po          |    6 +-
 po/tk.po          | 1539 +++++------
 po/tr.po          | 1557 +++++------
 po/ug.po          | 1539 +++++------
 po/uk.po          |  192 +-
 po/ur.po          | 1539 +++++------
 po/uz.po          | 1724 ++++++------
 po/vi.po          | 1539 +++++------
 po/wa.po          | 1539 +++++------
 po/xh.po          | 1539 +++++------
 po/yi.po          | 1537 +++++------
 po/yo.po          | 1539 +++++------
 po/zh_CN.po       |    6 +-
 po/zh_HK.po       | 1539 +++++------
 po/zh_TW.po       | 1539 +++++------
 po/zu.po          | 1539 +++++------
 107 files changed, 76414 insertions(+), 58707 deletions(-)

commit 02806483bb12c991695b677da1e5c3fd9741335f
Author: monsta <monsta@inbox.ru>
Date:   Wed Apr 6 15:29:55 2016 +0300

    NEWS: add 1.12.x entries, pack 1.13.x entries into single 1.14.0 one

 NEWS | 51 +++++++++++++++++++++++++++++++--------------------
 1 file changed, 31 insertions(+), 20 deletions(-)

commit c0bfecbb6f70bc732d35b477c57d538730c358bd
Author: Alexander van der Meij <alexandervdm@gliese.me>
Date:   Sun Mar 13 14:27:04 2016 +0100

    add default name/description for python extensions

 libcaja-private/caja-extensions.c | 25 ++++++++++++++++++-------
 1 file changed, 18 insertions(+), 7 deletions(-)

commit 2ca207ea1a91178d28583e2bdab5c3d6aac06d87
Author: Alexander van der Meij <alexandervdm@gliese.me>
Date:   Mon Mar 7 21:21:44 2016 +0100

    use exposed python filenames to list python extensions separately

 libcaja-extension/caja-extension-types.h |  1 +
 libcaja-private/caja-module.c            | 18 ++++++++++++++++++
 2 files changed, 19 insertions(+)

commit ce7cc9580809d4017c74b0128f7e82f94eb173d9
Author: monsta <monsta@inbox.ru>
Date:   Wed Mar 16 18:13:51 2016 +0300

    icon container: don't set label colors right after widget realize
    
    the background might be not yet set at this point, and when it will
    be set, the label colors will be properly set on a signal anyway.
    so let's not do the same work twice.

 libcaja-private/caja-icon-container.c | 4 ----
 1 file changed, 4 deletions(-)

commit c74212b4630767b3b11b41cb26a8df20090096f4
Author: monsta <monsta@inbox.ru>
Date:   Wed Mar 16 18:04:22 2016 +0300

    eel: never try to block background change signal
    
    that's what was causing random font color changes. the code in
    eel-background.c is a complete asynchronous mess, with queued
    callbacks sometimes being called in such order that it caused
    blocking the background change signal in the situations where
    it should never be blocked.

 eel/eel-background.c | 8 --------
 1 file changed, 8 deletions(-)

commit 828aea9083e19cec1a712c349285553197bc1c6f
Author: monsta <monsta@inbox.ru>
Date:   Wed Mar 16 18:00:49 2016 +0300

    icon container: restore original font color select logic
    
    that is, before 057df2dc1d8ea67b477d696ac6feea8aaf392763
    
    the logic itself is valid, but it was somewhat broken later in a few
    attempts to fix the annoying font color bugs. so let's restore it.

 libcaja-private/caja-icon-container.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 92607629fc6b2503f28e79dcc73e3ac9ed72bffa
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Mar 16 16:46:23 2016 -0400

    GTK 3.20-fix wrong desktop size right
    
    Reset default size of desktop window to -1 in GTK 3.19/20 only. The combination of a non-resizable
    window with a default size is what causes the desktop to open wrong size.
    
    based on https://github.com/GNOME/nautilus/commit/cf79068dc70c87e963e217e2e8ae149ee5ed1872
    
    "desktop-window: avoid wrong size"
    
    "gtk+ recently changed and unresizable windows now take into account
    the default size set. We set the default size for normal resizable
    windows in nautilus."
    
    "However the desktop window is a no resizable window. What happens now
    when setting a default size is that that size is used instead of the
    widget request size, since window sizing now takes precedence over
    widget sizing."
    
    "To fix it, set the default size to -1 to override what the nautilus
    window does by default, so we can avoid this misbehaviour."

 src/caja-desktop-window.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit c988bad5f4604b67e20c880ca6bef57aeed13304
Author: monsta <monsta@inbox.ru>
Date:   Tue Mar 1 13:55:42 2016 +0300

    remove ancient ChangeLog files from eel and po
    
    upstream did the same years ago:
    https://git.gnome.org/browse/nautilus/commit/?id=6cb7a112683a7dd1d22b471391619d901bfec039

 eel/ChangeLog |  9642 -------------------------------------
 po/ChangeLog  | 14540 --------------------------------------------------------
 2 files changed, 24182 deletions(-)

commit 250692c5164284759f2d5a027cea889f7acf5ff0
Author: monsta <monsta@inbox.ru>
Date:   Tue Mar 1 13:39:10 2016 +0300

    eel: drop unused eel-debug-drawing code

 eel/Makefile.am         |   2 -
 eel/eel-debug-drawing.c | 589 ------------------------------------------------
 eel/eel-debug-drawing.h |  75 ------
 eel/eel-image-table.c   |   1 -
 eel/eel-labeled-image.c |   1 -
 5 files changed, 668 deletions(-)

commit 8a826a675862d56b6d01c8467282bde9171f8cf8
Author: Alexander van der Meij <alexandervdm@gliese.me>
Date:   Mon Feb 29 15:16:21 2016 +0100

    fix loading multiple python extensions (regression since 1.9.3)

 libcaja-private/caja-module.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit bbdaab78b0f28b41543291557b5d3b545300b7d0
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Feb 21 14:14:56 2016 +0100

    release 1.13.1

 NEWS         | 14 ++++++++++++++
 configure.ac |  2 +-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit faac58e63ce64603ac1ec0be66160511acfa2592
Author: Martin Wimpress <code@flexion.org>
Date:   Fri Feb 19 14:05:42 2016 +0000

    Sync with Transifex.

 po/be.po    |  1597 +++----
 po/br.po    |  1539 +++----
 po/ca.po    |  1991 ++++-----
 po/cs.po    |  1541 +++----
 po/cy.po    | 13127 ++++++++++++++++++++++++++--------------------------------
 po/da.po    |  1875 +++++----
 po/de.po    |  1541 +++----
 po/el.po    |  1551 +++----
 po/en_AU.po |  1539 +++----
 po/en_GB.po |  1539 +++----
 po/es.po    |  1539 +++----
 po/es_MX.po |  1920 ++++-----
 po/fr.po    |  1539 +++----
 po/he.po    |  1542 +++----
 po/hr.po    |  1542 +++----
 po/hu.po    |  1552 +++----
 po/hy.po    |  2413 +++++------
 po/is.po    |  1545 +++----
 po/it.po    |  1569 +++----
 po/lt.po    |  1579 +++----
 po/ms.po    |  1539 +++----
 po/nb.po    |  1539 +++----
 po/ne.po    |  1539 +++----
 po/nl.po    |  1539 +++----
 po/pt_BR.po |  1542 +++----
 po/ro.po    |  1551 +++----
 po/ru.po    |  1545 +++----
 po/sk.po    |  1582 +++----
 po/sv.po    |  1716 ++++----
 po/th.po    |  1541 +++----
 po/uk.po    |  1755 ++++----
 po/zh_CN.po |  1539 +++----
 32 files changed, 31645 insertions(+), 31862 deletions(-)

commit 5d809e05ae9777160be237dc7878712be9850cc7
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Feb 18 18:36:55 2016 +0100

    GTK+3: add style class caja-property-browser

 src/caja-property-browser.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 502d58395f8937a0e9db30d53da3e5d5c6123499
Author: monsta <monsta@inbox.ru>
Date:   Tue Feb 16 14:21:25 2016 +0300

    [GTK+3] handle smooth scroll events for zooming (with Ctrl held)
    
    fixes https://github.com/mate-desktop/caja/issues/516
    
    adapted from:
    https://git.gnome.org/browse/nautilus/commit/?id=1a76e044a2c9b834d00c4ea30f1e3af3321d8cdd
    https://git.gnome.org/browse/nautilus/commit/?id=878e2a4f7ada26bb7c106e5bbdbd8434acf86c77
    https://git.gnome.org/browse/nautilus/commit/?id=f7b54cdba55a0856b201e62818059ac5007fac35
    https://git.gnome.org/browse/nautilus/commit/?id=3d275a971132a41809a3b1e5b8ac683d264d6c35

 src/file-manager/fm-directory-view.c | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit e5c29655e5301b6d4ba19a3d4970745804039c0e
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Mon Feb 8 18:49:41 2016 -0500

     .view style class on icon view scrolled window
    
    GTK 3.19/3.20 builds only:
    
    Applying the .view class to the icon container no longer works in gtk3.19, so apply it to the scrolled window instead.  Apply it in both icon view and compact view, as both need it.  Doing it from this file prevents it from being applied to the scrolled window under a treeview, thus preventing the exposed corner above the scrollbar in a treeview from showing the view background color.
    
    Tested this build in gtk3.19.8 with good results. Tested in my own theme (UbuntuStudio_Legacy),Adwaita,  BlackMATE, Green-Submarine, and BlueMenta, all still work right. Adwaita now shows the proper white view color, and my own theme gives a white icon view without also showing
    white squares over the treeview scrollbars. That was an unwanted side effect of applying the view color in the gtk theme to all the scrolled windows containing list, icon, or compact views as there is no way to tell them apart from the theme only.  This approach keeps the scrolled window under the treeview transparent but themes them under icon or compact views.
    
    Using .view rather than a custom class enables themes not written for MATE to set the Caja background to match expected view colors, just as it did on the icon container in gtk3.18 and earlier. Leave it on the icon container too, as it may be needed in some themes to theme elements within the icon view.
    
    Also, I found no ill effects from the added style class on gtk3.18. In that case, the .view style class on the icon container should cover over anything in the scrolled window. Since the style class is not applied to the scrolled window used by a list view, no ill effect there in gtk 3.19 or gtk3.18.  Applying to gtk3.19 only builds for now just in case

 src/file-manager/fm-icon-view.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit f8d6a14a1f551b3e2e9d3b3d76dbc9eace9cdee9
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 8 11:11:57 2016 +0300

    window-slot: fix wrong reference handling on dispose
    
    adapted from:
    https://git.gnome.org/browse/nautilus/commit/?id=97a2553ada8c8015fe22e6ec87e48123b29fa4d4
    https://git.gnome.org/browse/nautilus/commit/?id=fd2685f838e613387179968d8e0b1326fe503a16

 src/caja-window-slot.c | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

commit 883201a49341d588f5a6ffe2b7fd54676eb71019
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 8 10:48:43 2016 +0300

    use g_hash_table_remove_all and get rid of some callbacks
    
    taken from
    https://git.gnome.org/browse/nautilus/commit/?id=564264cc6cc6fa44390791248019547a7133d70d
    and applied in some other places as well

 libcaja-private/caja-desktop-directory.c | 4 ++--
 libcaja-private/caja-directory-async.c   | 8 +-------
 src/file-manager/fm-directory-view.c     | 8 +-------
 3 files changed, 4 insertions(+), 16 deletions(-)

commit 35a84bbc4f81914136c894dd55630f21acbeb54a
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 8 10:34:53 2016 +0300

    eel: fix some forgotten memory leaks
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=8f15b28dd7afdd1a5c5b9c0d54c05d978a10461a
    https://git.gnome.org/browse/nautilus/commit/?id=60217c642cb4b12297b2d8ddd2a2eae45671a5a7
    https://git.gnome.org/browse/nautilus/commit/?id=5f5bea72af6e23986b7367a2a2157fb15481f367

 eel/eel-glib-extensions.c | 10 ++++++++++
 eel/eel-gtk-extensions.c  |  1 +
 eel/eel-mate-extensions.c |  1 +
 3 files changed, 12 insertions(+)

commit b2737bb68c81e4095aa14c94fc93eb2acdd00ce0
Author: monsta <monsta@inbox.ru>
Date:   Sun Feb 7 14:10:57 2016 +0300

    fix crash when restoring file with special characters from trash
    
    for example, a file named simply "%s"
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=d69885bd67edc1fae76c790f6162807817d63b2f

 libcaja-private/caja-file.c | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit af1603f8f8dd3c575fdd87284cfe711d1d7ef75f
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Feb 6 23:20:30 2016 +0100

    properties-window: use 'bold and right-aligned are always FALSE' for gtk2 too
    
    This is needed to fix gtk3 build failure for gtk+-3.14, causes by different
    GTK_CHECK versions for deprecated GtkLabel for 3.16.

 src/file-manager/fm-properties-window.c | 22 ++++------------------
 1 file changed, 4 insertions(+), 18 deletions(-)

commit 3d29330d2eaca9ac890bdbb10c42e8df73ba1b87
Author: monsta <monsta@inbox.ru>
Date:   Fri Feb 5 14:42:15 2016 +0300

    fix random crash on startup when python-caja extension is enabled
    
    I hate Schroedinger's bugs...

 libcaja-private/caja-module.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b717d132ae9c16389f8dc81062e9fa08e6a94234
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Feb 2 04:01:11 2016 +0100

    GTK3: add 'caja-notebook' style class + fix deprecated theme warnings with gtk+-3.20

 src/caja-notebook.c | 24 +++---------------------
 1 file changed, 3 insertions(+), 21 deletions(-)

commit 32589e59a4456ac11ac63c9aff473ec99617684a
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Feb 2 01:53:31 2016 +0100

    GTK3 BlueMenta: add caja-pathbar style class
    
    Needed for gtk+-3.20

 src/caja-pathbar.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 6fd67036b7bb6bad36b9101b6e9b15e5d9852677
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Feb 2 00:42:11 2016 +0100

    GTK3: add caja-search-bar style class
    
    Needed fot gtk+-3.20

 src/caja-search-bar.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 147d7c7707f9fa2a22e66695d0b12b361f575642
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Feb 2 00:40:41 2016 +0100

    GTK3: add caja-location-entry style class
    
    Neeed for gtk+-3.20

 src/caja-location-entry.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 6ea2659b4574f8598e4c364f56bb2194bafc35c2
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Feb 1 20:29:20 2016 +0100

    GTK3 sid-pane: add 'caja-side-pane' style class
    
    All widgets for the sidebar can be selected with this style class
    on top. Needed for gtk+-3.20.

 src/caja-side-pane.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 334e89244987fcfe89ca765f3986fa85254395eb
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Feb 1 20:24:39 2016 +0100

    Gtk3 navigation-window: add 'caja-navigation-window' style class at top level
    
    This style selector can be use by themes to select the caja navigation window.
    Needed for gtk+-3.20

 src/caja-navigation-window.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 40d196aadb946363fddbf4dfe44477168f78e4a6
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 1 16:59:23 2016 +0300

    fix a build warning and a sudden build error that followed O_o

 src/file-manager/fm-tree-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 67c2e0ec70da71192964acdba4a828691aa5f5c7
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 1 16:59:02 2016 +0300

    fix several build warnings

 libcaja-private/caja-customization-data.c | 1 +
 libcaja-private/caja-extensions.c         | 2 +-
 libcaja-private/caja-extensions.h         | 2 +-
 libcaja-private/caja-module.c             | 1 +
 src/caja-application.c                    | 1 +
 src/caja-property-browser.c               | 1 +
 6 files changed, 6 insertions(+), 2 deletions(-)

commit 5b56a80e6d57e2d4d1236dfcd7683f377d29bb5c
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Jan 31 03:25:28 2016 +0100

    GTK3 desktop: add a caja-desktop style class to the desktop canvas
    
    So that themes can tweak the color/background of desktop canvas items
    separately.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=8b676a6

 libcaja-private/caja-icon-container.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit a255e7eb1e1951e699ae833f9816892f6e09177f
Author: monsta <monsta@inbox.ru>
Date:   Tue Jan 26 14:18:44 2016 +0300

    oops... add some includes back (got implicit declaration warnings)

 src/caja-application.c | 2 ++
 1 file changed, 2 insertions(+)

commit 5a346bff46de02cd2e9641fc4c72ef5d6b067d66
Author: monsta <monsta@inbox.ru>
Date:   Tue Jan 26 13:15:11 2016 +0300

    remove some unused/unneeded stuff

 src/caja-application.c   | 6 ------
 src/caja-bookmark-list.c | 1 -
 src/caja-window-menus.c  | 1 -
 src/caja-window.c        | 6 ------
 4 files changed, 14 deletions(-)

commit 6b552f7968a844990a1b920da01d8dafc5cc0c33
Author: monsta <monsta@inbox.ru>
Date:   Tue Jan 26 13:14:43 2016 +0300

    fix a few build warnings

 libcaja-private/caja-bookmark.c       | 2 +-
 src/caja-file-management-properties.c | 8 ++++----
 src/caja-freedesktop-dbus.c           | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

commit ebf820f112dd840b73183c693a832001f53b7bae
Author: monsta <monsta@inbox.ru>
Date:   Tue Jan 26 13:13:22 2016 +0300

    use g_strcmp0 instead of strcmp

 libcaja-private/caja-bookmark.c |  7 +++----
 src/caja-application.c          | 16 ++++++++--------
 2 files changed, 11 insertions(+), 12 deletions(-)

commit 1129e653f6e33ea34efe64601643fbbe9a9d6f28
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 25 16:58:46 2016 +0100

    release 1.13.0

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 1241ff234a8ec46542e97e48a6298b78c9a0d2b5
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 23 00:04:15 2016 +0100

    GTK3: fix deprecated GtkMisc

 eel/eel-gtk-extensions.c                        |  4 +-
 eel/eel-labeled-image.c                         | 22 ++++++---
 libcaja-private/caja-file-conflict-dialog.c     | 13 ++++--
 libcaja-private/caja-icon-container.c           |  7 +++
 libcaja-private/caja-mime-application-chooser.c |  4 +-
 libcaja-private/caja-open-with-dialog.c         |  8 ++--
 libcaja-private/caja-progress-info.c            |  8 ++--
 src/caja-autorun-software.c                     |  2 +-
 src/caja-connect-server-dialog.c                | 60 +++++++++++++++++--------
 src/caja-image-properties-page.c                |  6 +--
 src/caja-location-bar.c                         | 15 +++++--
 src/caja-notebook.c                             | 12 ++++-
 src/caja-x-content-bar.c                        |  4 +-
 src/file-manager/fm-directory-view.c            | 10 ++---
 src/file-manager/fm-ditem-page.c                |  4 +-
 src/file-manager/fm-list-view.c                 |  6 +--
 src/file-manager/fm-properties-window.c         |  4 +-
 17 files changed, 127 insertions(+), 62 deletions(-)

commit 130906c9182c71a6049eca472f8d3b91804124cf
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 21 20:07:43 2016 +0100

    GTK3 general: don't use deprecated gdk_app_launch_context_new()
    
    partially taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-2&id=bd151c8

 libcaja-private/caja-program-choosing.c | 30 ++++++++++++++++++++++++++++--
 src/caja-connect-server-dialog-main.c   |  4 ++++
 2 files changed, 32 insertions(+), 2 deletions(-)

commit b058255bef4dab6ce19c6b056af2b32cd2e386a0
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 23 17:59:42 2016 +0100

    GTK3 property-browser: expand the GtkScrolledWindow vertical

 src/caja-property-browser.c | 3 +++
 1 file changed, 3 insertions(+)

commit 709163687da777a4489b48d4a1f3da4637bab111
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 21 00:25:35 2016 +0100

    GTK3 property-browser: don't use GtkHBox for both toolkits +
    
    don't use deprecated gtk_hbox_new for gtk3

 src/caja-property-browser.c | 19 ++++---------------
 1 file changed, 4 insertions(+), 15 deletions(-)

commit 610b1913c3f4cfc082c52bada71731aaca8ffcd4
Author: monsta <monsta@inbox.ru>
Date:   Wed Jan 20 18:21:59 2016 +0300

    information-panel: use GtkWidget* instead of Gtk(V)Box
    
    and don't use deprecated function in GTK+3 build

 src/caja-information-panel.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 805c09d647f40ee44466be501ccc054688cd68ff
Author: monsta <monsta@inbox.ru>
Date:   Wed Jan 20 17:59:47 2016 +0300

    fm-properties-window: use more code in both GTK+ builds

 src/file-manager/fm-properties-window.c | 45 ++++++++++++++++++---------------
 1 file changed, 24 insertions(+), 21 deletions(-)

commit 129c6af2f177d9413bb1280f8dd5be2fbb82a150
Author: monsta <monsta@inbox.ru>
Date:   Wed Jan 20 17:32:38 2016 +0300

    information-panel: one more GtkWidget* usage
    
    also use GtkBox type in both GTK+ builds

 libcaja-private/caja-keep-last-vertical-box.c |  9 ++-------
 libcaja-private/caja-keep-last-vertical-box.h | 10 +---------
 src/caja-information-panel.c                  |  8 ++++----
 3 files changed, 7 insertions(+), 20 deletions(-)

commit 333dad8ccd723175c2949c7fa0ad34b554f6af3c
Author: monsta <monsta@inbox.ru>
Date:   Wed Jan 20 17:12:45 2016 +0300

    information-panel: use GtkWidget* instead of Gtk(H)Box
    
    and don't use deprecated function in GTK+3 build

 src/caja-information-panel.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 421d3ed2cea75931b62a3a59efdcd16a4989f008
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 22 16:27:38 2016 +0100

    navigation-pane: replace deprecated gtk_image_new_from_stock GTK_STOCK_EDIT
    
    Note: this icon is shiped by gtk+ itself

 src/caja-navigation-window-pane.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b14e1b5201694c68b51fd13545e303afa55b0328
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 22 04:26:55 2016 +0100

    GTK3: fix deprecated GtkStock in libcaja-private

 libcaja-private/caja-autorun.c              | 6 +++---
 libcaja-private/caja-bookmark.c             | 2 +-
 libcaja-private/caja-file-conflict-dialog.c | 2 +-
 libcaja-private/caja-progress-info.c        | 2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

commit ff6a32e8002be01e253a61a4abb9b61961252ddd
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 22 01:59:31 2016 +0100

    Gtk3: fix all possible deprecated GtkStock in src

 src/caja-connect-server-dialog.c | 12 ++++++------
 src/caja-location-entry.c        |  8 ++++----
 src/caja-notebook.c              |  2 +-
 src/caja-query-editor.c          |  4 ++--
 src/caja-search-bar.c            |  4 ++--
 src/caja-side-pane.c             |  2 +-
 src/caja-zoom-control.c          |  4 ++--
 7 files changed, 18 insertions(+), 18 deletions(-)

commit d99b7141da19a746a9329daece4a83704f0101b5
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 22 01:55:20 2016 +0100

    GTK3 side-pane + spartial-window: don't use deprecated gtk_arrow_new ()

 src/caja-side-pane.c      | 4 ++++
 src/caja-spatial-window.c | 4 ++++
 2 files changed, 8 insertions(+)

commit cc6a1d11d8903c3051d0af400559679cc5b4aed6
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 21 20:35:13 2016 +0100

    GTK3 query-editor: fix deprecated GTK_TYPE_VBOX usage

 src/caja-query-editor.c | 10 ++++++++++
 src/caja-query-editor.h |  8 ++++++++
 2 files changed, 18 insertions(+)

commit cb297b4c850e5c3149fad22fabcd7b18d05bd884
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 21 05:28:30 2016 +0100

    GTK3 file-conflict-dialog: fix size of dialog window if replacing folders

 libcaja-private/caja-file-conflict-dialog.c | 1 +
 1 file changed, 1 insertion(+)

commit 52d5bb9f398df3c7760006083c6969f3194c3e84
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 21 04:15:57 2016 +0100

    editable-labels: don't use deprecated gdk_cursor_new ()

 eel/eel-editable-label.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit e810ad1a06fecc9188951b348b0ea736dbafaa4e
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 21 04:13:16 2016 +0100

    GTK3 editable-label: don't use deprecated gtk_draw_insertion_cursor()
    
    + reduce if define hell a bit
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=377349b

 eel/eel-editable-label.c | 127 ++++++++++++++++++++++++++++++-----------------
 1 file changed, 81 insertions(+), 46 deletions(-)

commit aded26ee41b319149994e1ca9ca717e51b086f64
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 19 01:57:04 2016 +0100

    GTK3 mime-application-chooser: don't use deprecated gtk_hbutton_box_new

 libcaja-private/caja-mime-application-chooser.c | 4 ++++
 1 file changed, 4 insertions(+)

commit d6f6175563e204a6450ce60dadd90280dcb807f2
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 19 01:44:41 2016 +0100

    GTK3 fm-list-view: don't use deprecated gtk_tree_view_set_rules_hint

 src/file-manager/fm-list-view.c | 2 ++
 1 file changed, 2 insertions(+)

commit e2e45eb5558f3e43ca1fe901c8c94efdf2caef06
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 19 01:41:59 2016 +0100

    GTK3: don'use deprecated gtk_hseparator_new

 libcaja-private/caja-column-chooser.c   |  4 ++++
 src/file-manager/fm-properties-window.c | 10 +++++++---
 2 files changed, 11 insertions(+), 3 deletions(-)

commit 0ca18e1d5110c571d53afd631f0bad4d0097641e
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 19 01:34:31 2016 +0100

    GTK3 eel-wrap-table: don't use deprecated gtk_viewport_get_{h/v}adjustment

 eel/eel-wrap-table.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 54820f4200c190318ed1213d12ce585b9b422619
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 19 01:29:48 2016 +0100

    GTK: some missing GTK_TYPE_{H/V}BOX adjustments
    
    this completes https://github.com/mate-desktop/caja/commit/cf39567

 libcaja-private/caja-keep-last-vertical-box.h | 10 +++++++++-
 src/caja-emblem-sidebar.h                     |  8 ++++++++
 src/caja-side-pane.c                          |  7 +++++++
 src/caja-side-pane.h                          |  8 ++++++++
 src/caja-sidebar-title.h                      |  8 ++++++++
 src/caja-trash-bar.h                          |  8 ++++++++
 src/caja-x-content-bar.h                      |  8 ++++++++
 src/caja-zoom-control.h                       |  8 ++++++++
 8 files changed, 64 insertions(+), 1 deletion(-)

commit 1ff346876afd37a957aa490be25bdd2fd90e4773
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 15 01:29:22 2016 +0100

    fix fg-color of dark themes
    
    fixes https://github.com/mate-desktop/caja/issues/81

 libcaja-private/caja-icon-container.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit cf39567d3b05b69383c252812c5adf26382c866a
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 18 15:41:50 2016 +0100

    GTK3: fix deprecated GTK_TYPE_{H/V}BOX usage

 libcaja-private/caja-keep-last-vertical-box.c   |  7 +++++++
 libcaja-private/caja-mime-application-chooser.c |  7 +++++++
 src/caja-emblem-sidebar.c                       |  8 +++++++-
 src/caja-sidebar-title.c                        |  8 ++++++++
 src/caja-trash-bar.c                            |  7 +++++++
 src/caja-x-content-bar.c                        |  7 ++++++-
 src/caja-zoom-control.c                         | 11 +++++++++++
 7 files changed, 53 insertions(+), 2 deletions(-)

commit 0edcf869c2f6b28a5bd0ee6e612229db8c9f2d67
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 18 15:37:52 2016 +0100

    GTK3 icon-info: don't use deprecated gtk_icon_info_free
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=67028ca

 libcaja-private/caja-icon-info.c | 20 ++++++++++++++++----
 1 file changed, 16 insertions(+), 4 deletions(-)

commit 28ad0e568b51653d20413d83d1a8b9236b26874f
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 18 15:32:45 2016 +0100

    GTK3 desktop-icon-view: don't use deprecated GDK grab API
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-2&id=70df8fa

 src/file-manager/fm-desktop-icon-view.c | 40 +++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

commit acadd35e4cab5beb155496558597ae5c755f1225
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 18 15:30:10 2016 +0100

    GTK3 canvas: don't use deprecated GDK grab API
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-2&id=2ff006d

 eel/eel-canvas.c | 56 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 eel/eel-canvas.h |  7 +++++++
 2 files changed, 62 insertions(+), 1 deletion(-)

commit 57c2e8090698e8d05beec0c53e3a116fd8b88862
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Jan 17 21:45:22 2016 +0100

    GTK3: more deprecated GtkVBox/GtkHBox fixes

 libcaja-private/caja-column-chooser.c           |  8 +++++++-
 libcaja-private/caja-column-chooser.h           |  8 ++++++++
 libcaja-private/caja-mime-application-chooser.h |  8 ++++++++
 src/caja-image-properties-page.c                |  8 +++++++-
 src/caja-image-properties-page.h                |  8 ++++++++
 src/caja-window-slot.c                          |  9 +++++++++
 src/file-manager/fm-properties-window.c         | 14 +++++++++++++-
 7 files changed, 60 insertions(+), 3 deletions(-)

commit 312f33c5b54c735d15e78c9b96672b8b555f4834
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Jan 17 17:15:24 2016 +0100

    GTK3 connect-to-server-dialog: reduce if define hell

 src/caja-connect-server-dialog.c | 54 ++++++++++++----------------------------
 1 file changed, 16 insertions(+), 38 deletions(-)

commit 3c796cdf6020ac59cbcaca103453501292423c71
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 15 23:26:05 2016 +0100

    GTK3 all: don't use deprecated GDK pointer methods
    
    Use the new GdkDevice methods instead.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-4&id=a816e00
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-4&id=cdf858f

 eel/eel-art-gtk-extensions.c               | 13 +++++++++++++
 eel/eel-editable-label.c                   |  6 ++++++
 libcaja-private/caja-dnd.c                 | 11 +++++++++++
 libcaja-private/caja-icon-container.c      |  8 ++++++++
 libcaja-private/caja-tree-view-drag-dest.c | 11 ++++++++++-
 src/caja-notebook.c                        | 11 +++++++++++
 6 files changed, 59 insertions(+), 1 deletion(-)

commit 50970d1bb15d1f9c682e92dda345e59cfcf5330f
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 15 20:42:24 2016 +0100

    don't use deprecated gdk_cursor_new for both toolkit versions
    
    gdk_cursor_new i deprecated with gtk+-3.16 and
    gdk_cursor_new_for_display is available since 2.2

 libcaja-private/caja-icon-container.c   | 10 ++++++----
 src/caja-window.c                       |  6 +++++-
 src/file-manager/fm-list-view.c         |  4 ++--
 src/file-manager/fm-properties-window.c |  4 +++-
 4 files changed, 16 insertions(+), 8 deletions(-)

commit ccfe6d5364ecfd8f3bafef853e6a9fc7457a0af4
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 15 17:29:33 2016 +0100

    GTK3 test-caja-wrap-table: don't use deprecated gtk_scrolled_window_add_with_viewport ()
    
    gtk_scrolled_window_add_with_viewport () --> gtk_container_add ()

 test/test-caja-wrap-table.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 2de22faab6d8918f6d5001edeb3f794cac829710
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 15 16:09:47 2016 +0100

    GTK3 general: don't use gdk_cursor_unref()
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=74a8f78

 eel/eel-editable-label.c                | 6 ++++--
 libcaja-private/caja-icon-canvas-item.c | 4 ++++
 libcaja-private/caja-icon-container.c   | 4 ++++
 src/caja-window.c                       | 4 ++++
 src/file-manager/fm-list-view.c         | 4 ++++
 src/file-manager/fm-properties-window.c | 4 ++++
 6 files changed, 24 insertions(+), 2 deletions(-)

commit 76cad7a49fd7c5876e780bda4823d55a73ed2556
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 15 15:27:16 2016 +0100

    GTK3 icon-canvas-item: add a missing gtk_style_context_restore()
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=8296f8c

 libcaja-private/caja-icon-canvas-item.c | 2 ++
 1 file changed, 2 insertions(+)

commit f5825a429522af2c5e8390b2601c23da9dc8d880
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 15 15:19:54 2016 +0100

    GTK3 eel-editable-label: don't use deprecated gtk_widget_get_requisition ()
    
    gtk_widget_get_requisition () --> gtk_widget_get_preferred_size ()

 eel/eel-editable-label.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 782f9380134734731a1547970d4bc9ab7b57410e
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 15 13:36:52 2016 +0100

    GTK3: don't use deprecated gdk_threads_{enter/leave} ()
    
    Since we don't ever call gdk_threads_init()

 cut-n-paste-code/libegg/eggsmclient-xsmp.c | 13 ++++++++++---
 eel/eel-canvas.c                           |  4 ++++
 libcaja-private/caja-thumbnails.c          |  4 ++++
 src/caja-pathbar.c                         |  5 ++++-
 4 files changed, 22 insertions(+), 4 deletions(-)

commit 8187e18cc3044d8a9e9da1bb959b543a2afcb980
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 15 13:00:54 2016 +0100

    Revert "define max/min version of GLib"
    
    To avoid a glib redefine of a version defined by glib itself,
    which spams only the build log and nobody takes care of it.
    
    This reverts commit 3e9b28b2ebc9579bc868e2a8d1dc2d6f6b568c68.

 configure.ac                            | 6 ------
 libcaja-extension/caja-extension-i18n.h | 4 ++--
 2 files changed, 2 insertions(+), 8 deletions(-)

commit 7b5604b7e1af03445e7209b8a067ef359c2b4846
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 15 12:24:20 2016 +0100

    GTK3: don't use deprecated gtk_widget_size_request
    
    gtk_widget_size_request --> gtk_widget_get_preferred_size

 eel/eel-art-gtk-extensions.c          |  6 +++++-
 eel/eel-editable-label.c              |  8 ++++----
 eel/eel-labeled-image.c               | 10 +++++++---
 eel/eel-wrap-table.c                  |  8 ++++++--
 libcaja-private/caja-icon-container.c |  8 ++++----
 5 files changed, 26 insertions(+), 14 deletions(-)

commit 4c7f59163c415140d76330a1b3c57b1efe35ca14
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Tue Jan 12 14:01:05 2016 -0500

    Small additional for closing tabs with middle-click
    
    fixes https://github.com/mate-desktop/caja/issues/457

 src/caja-notebook.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3b7b4cfa969402c5cc9e45369f552729f2b65308
Merge: 3c5a4ef 1befe8d
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Wed Jan 13 15:15:35 2016 +0100

    Merge pull request #498 from mate-desktop/dev-GtkStyleContext
    
    port to gtk_style_context and other fixes

commit 1befe8ddf08c12b5c926d269b31d270fb94b9c3e
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 12 01:21:41 2016 +0100

    GTK3 file-conflict-dialog: don't use override_font
    
    Set the PangoAttributeList on the GtkLabel instead.
    
    and 'don't force a size request on the labels'
    This is not required anymore in GTK+ 3
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=52b8185
    https://git.gnome.org/browse/nautilus/commit/?id=b8077a7
    https://git.gnome.org/browse/nautilus/commit/?id=1457f53

 libcaja-private/caja-file-conflict-dialog.c | 32 +++++++++++++----------------
 1 file changed, 14 insertions(+), 18 deletions(-)

commit 4b2d71fef886fbdffd8d1a03a337cf1e794d1252
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 11 22:25:23 2016 +0100

    GTK3 icon-container: invalidate the layout cache on style-updated
    
    This way label sizes will be recomputed if e.g. DPI settings change.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=578468
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=2f064e5

 libcaja-private/caja-icon-container.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2c8e8a06a050d43d730475bf05cbd07508f32160
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 11 20:38:24 2016 +0100

    GTK3 icon-container: don't chain up style-updated for the desktop container
    
    Chaining up resets the background to the default color, which is not
    what we want for the desktop container.
    Fixes https://github.com/mate-desktop/caja/issues/445
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=83a7d27

 libcaja-private/caja-icon-container.c | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit 43e928f798eec8035a00ab9f58a0bc43a31f8ab8
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 11 19:29:39 2016 +0100

    GTK3 icon-container: use the "rubberband" style class for the selection item
    
    Instead of using a custom style property.
    
    Autor: lukefromdc
    
    same as:
    https://git.gnome.org/browse/nautilus/commit/?id=ca7f81e2

 libcaja-private/caja-icon-container.c | 121 ++++++++++++++++++++++------------
 1 file changed, 78 insertions(+), 43 deletions(-)

commit 4974f96274a7cbc0056983dea03b2d42615714e4
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 11 18:36:08 2016 +0100

    GTK3 icon-canvas-item: don't override parent container style flags
    
    When drawing the canvas item elements, don't override the parent
    container style flags, so we don't lose e.g. backdrop information.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=31dad6f

 libcaja-private/caja-icon-canvas-item.c | 27 ++++++++++-----------------
 1 file changed, 10 insertions(+), 17 deletions(-)

commit 8e4612599a9a6cb1f380dd6cbef9ad3d885cf77f
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 11 17:56:38 2016 +0100

    GTK3 icon-canvas-item: don't draw pango layouts when renaming
    
    Fixes a regression introduced in commit
    3a858857fff5e1d7e0bffcec63fea6d2a933ce27 that causes unwanted text to be
    drawn while renaming a file in icon view.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=f07aa75

 libcaja-private/caja-icon-canvas-item.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 412486b1f4c8a0a60d9aa07b39e38ed66852ae3d
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 11 17:48:12 2016 +0100

    GTK3 icon-canvas-item: render the additional text with gtk_render_layout()
    
    And add a style class for it.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=7732a6b
    https://git.gnome.org/browse/nautilus/commit/?id=2cb91c0

 libcaja-private/caja-icon-canvas-item.c | 35 +++++++++++++++++++++++++++++----
 1 file changed, 31 insertions(+), 4 deletions(-)

commit 5ec02960d6f78dd23b02af27e6f3c595ab4e99bc
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 11 15:08:16 2016 +0100

    GTK3 icon-container: remove unused code caching canvas item colors
    
    Caching colors in CajaIconContainer to use them in the canvas item
    is not needed anymore, as gtk_render_* fetches the right values directly
    from the style context.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=77eecef

 libcaja-private/caja-icon-container.c | 133 ++++------------------------------
 libcaja-private/caja-icon-private.h   |  16 +---
 2 files changed, 18 insertions(+), 131 deletions(-)

commit e9ecff6c51b4e84fc350ccfe972439ed8dbe7215
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 11 15:04:04 2016 +0100

    GTK3 icon-canvas-item: use gtk_render_* methods instead of direct cairo
    
    Instead of hardcoding colors and using direct cairo calls to draw the
    canvas items frame/background/labels, use gtk_render_* methods directly.
    This has the advantage of making them more friendly with GTK+ themes
    (by adding a caja-canvas-item style class to the canvas context when drawing)
    and removes a ton of convolut
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=95910c9

 libcaja-private/caja-icon-canvas-item.c | 385 ++++++++++++++++++++------------
 1 file changed, 243 insertions(+), 142 deletions(-)

commit d430735d425443f9fbfd301b4ece46c1058281eb
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 20:43:28 2016 +0100

    GTK3 editable-Label: render background
    
    Without this the rename widget background is always transparent, which
    makes it very hard to read on e.g. the desktop with a background
    image.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=c3b2b0a

 eel/eel-editable-label.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit d1c10a0a832731f81db1c627c07fe5d750543294
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 20:40:21 2016 +0100

    GTK3 editable-label: fix selection color in backdrop state
    
    Don't set the ACTIVE flag if we don't have focus, it just doesn't make
    sense.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=845d3fc

 eel/eel-editable-label.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 7a2f6641563b525bf32c18a2e52ac290f06c9a53
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 20:37:32 2016 +0100

    GTK3 editable-label: use GTK_STYLE_CLASS_ENTRY
    
    Because that's what it is actually...
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=e54ace0

 eel/eel-editable-label.c | 4 ++++
 1 file changed, 4 insertions(+)

commit de1bef38ac1fb7e33bf3742200635870eb22ae2e
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 20:34:56 2016 +0100

    GTK3 editable-label: use gtk_render_frame() instead of hardcoding a stroke
    
    This allows the stroke to use rounded corners and border images, among
    other things.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=b143b95

 eel/eel-editable-label.c | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit 930436556075111dc13d4c8d8d270a3c89a9cd13
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 20:31:36 2016 +0100

    GTK3 editable-label: don't hardcode black for the insertion cursor
    
    Use the theme foreground/text color instead.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=f9383ac

 eel/eel-editable-label.c | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 59d1c9281e80922c2bda883c4635379022beb375
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 20:29:00 2016 +0100

    GTK3 editable-label: make sure to size_request the padding set on the label
    
    And not the alignment, which is an offset inside the allocated size.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=8b87a3e

 eel/eel-editable-label.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 8b37981175499c9c876648165ddb7a5f94ae6849
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 18:12:16 2016 +0100

    GTK3 icon-canvas-item: make the icon frame transparent when not prelit
    
    This fixes icons on the desktop appearing weird
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=6a11ecd

 libcaja-private/caja-icon-canvas-item.c | 15 +++++----------
 1 file changed, 5 insertions(+), 10 deletions(-)

commit 6698c8b370f2d9aa278b63090cbc9957d7ca0e36
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 18:05:52 2016 +0100

    GTK3 editable-label: chain up in style_updated()
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=fbabd8e

 eel/eel-editable-label.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 098a34323263e29a4c221fb49305dd666296aa74
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 16:20:18 2016 +0100

    GTK3 editable-label: fix some drawing regressions
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=6d079cc

 eel/eel-editable-label.c | 229 +++--------------------------------------------
 1 file changed, 10 insertions(+), 219 deletions(-)

commit b1350c6d63250d5ecfab95804c1bb7f5eeefe29f
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 16:12:35 2016 +0100

    GTK3 general: use eel_create_spotlight_pixbuf()
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=8b13a04

 src/caja-places-sidebar.c        | 9 +++++++++
 src/file-manager/fm-list-model.c | 8 ++++++++
 src/file-manager/fm-tree-model.c | 8 ++++++++
 3 files changed, 25 insertions(+)

commit 8d89b454e7eb52922b2ca3847c0ac909b352e67f
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 16:09:15 2016 +0100

    GTK3 icon-canvas-item: remove an useless snippet of drawing code
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=09f0b79

 libcaja-private/caja-icon-canvas-item.c | 12 +-----------
 1 file changed, 1 insertion(+), 11 deletions(-)

commit ef3587fbf0d3e83b082ac94054799ce98b2fe52d
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 02:49:09 2016 +0100

    GTK3 icon-container: remove unused style properties
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=e652eb0

 libcaja-private/caja-icon-container.c | 47 +++--------------------------------
 libcaja-private/caja-icon-private.h   |  2 --
 2 files changed, 3 insertions(+), 46 deletions(-)

commit e2942ccb6206376293044bf0f7c885505e6a1113
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 01:14:42 2016 +0100

    GTK3 icon-container: hook to style_updated instead of style_set
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=a083fa0

 libcaja-private/caja-icon-container.c | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

commit b03a4c4078440f3ec1baea7ea158606f3c68e277
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 01:11:39 2016 +0100

    GTK3 icon-canvas-item: use eel_create_spotlight_pixbuf()
    
    Instead of passing eel_pixbuf_render() always the same values
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=a1fa4ea

 libcaja-private/caja-icon-canvas-item.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 288ceb4c5d5af35676031754db51cc1c5c53105f
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 8 00:50:35 2016 +0100

    GTK3 icon-container: fix setting the selection when renaming
    
    Closes: bgo #642766
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=a8a5b8d

 libcaja-private/caja-icon-container.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit f700d63c933877362ed1cb92d8bddd2df1e29227
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 8 00:41:46 2016 +0100

    GTK3 icon-container: fix a couple of ACTIVE -> NORMAL typos
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=d0d9059

 libcaja-private/caja-icon-container.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit fa7dd4677f4196750d0c752c7b1823fdd7c54cbb
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 8 22:04:08 2016 +0100

    GTK3 icon-container: remove useless theming properties
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=e2ca42cac78cb0287a1bbb73030e7bba8b171970

 libcaja-private/caja-icon-canvas-item.c | 16 ++++++---
 libcaja-private/caja-icon-container.c   | 57 +++++++++++++++++----------------
 2 files changed, 41 insertions(+), 32 deletions(-)

commit 390400e11e888ee65d4620a03615c5aa23e4d089
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 8 00:39:38 2016 +0100

    GTK3 icon-container: plug a memory leak
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=f394ce8

 libcaja-private/caja-icon-container.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit e5708b8799ecd7b74b0c6d890677c0281b762cee
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 8 21:24:28 2016 +0100

    GTK3 icon-container: fix rendering of text on the desktop
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=2e5f7a2

 libcaja-private/caja-icon-container.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 6a19cea2b87a4977a70b1bd6e14edb09a5ebde62
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 8 00:34:11 2016 +0100

    GTK3 icon-container: don't malloc() GdkRGBA colors manually
    
    As GdkRGBA might or might not use internally a different allocator, like
    g_slice.
    This should fix some memory corruption issues, thanks to Alban Browaeys
    for tracking down the bug.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=4c026bf

 libcaja-private/caja-icon-container.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit c0e9c136368c537209932431774edef5bb6b8982
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 8 00:22:27 2016 +0100

    GTK3 icon-dnd: set the right style class, and use GdkRGBA
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=5d811bb

 libcaja-private/caja-icon-dnd.c | 23 ++++++++++++++++++++---
 1 file changed, 20 insertions(+), 3 deletions(-)

commit 85faafb667ca2ab548347814595ac9b305c024b8
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 8 00:11:42 2016 +0100

    Gtk3 tree-drag-dest: set the right style class
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=18e3369

 libcaja-private/caja-tree-view-drag-dest.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 01e61137a215658271f8b727ba56b8b2272fe1b2
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 7 23:53:55 2016 +0100

    GTK3 icon-canvas-item: set the right style class
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=0668960

 libcaja-private/caja-icon-canvas-item.c | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit c8c302522c9692e616611def4594c8f7364e79d2
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 7 23:49:26 2016 +0100

    GTK3 editable-label: use gtk_style_context_get() to query standard props
    
    Also, fix a leak.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=ef8544b

 eel/eel-editable-label.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 34031cbce020b242d523258e06565c6a00c54e5d
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 7 23:42:36 2016 +0100

    GTK3 icon-info: plug a leak
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=705d814

 libcaja-private/caja-icon-info.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 7eea4d477154160e3dd52b76346218b0ca22f8ed
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 8 21:51:03 2016 +0100

    GTK3 editable-label: copy-paste code from GTK+ to sync drawing with GtkLabel
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=ca9f8d8
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=e3feaf8
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=caa55b7

 eel/eel-editable-label.c | 223 ++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 220 insertions(+), 3 deletions(-)

commit 95c80f76e565ed3943008593254b527550d2e1e0
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 7 23:32:07 2016 +0100

    GTK3 window: port to GtkStyleContext, plug a leak
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=465f576

 src/caja-window.c | 2 ++
 1 file changed, 2 insertions(+)

commit d125a70db28b8f37543ef93469f4736859afb53b
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 8 21:07:15 2016 +0100

    Gtk3 eel-gtk-extensions: do not use gtk_widget_modify_font
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=b5302eb

 eel/eel-gtk-extensions.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 1dffd0e4615ffe0ec3c2b86a61b02d735898ab90
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Dec 26 20:47:53 2015 +0100

    GTK3 eel-gdk-extensions: port to GtkStyleContext
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=1d3dd96

 eel/eel-gdk-extensions.c | 49 +++++++++++++++++++++++++++++++++---------------
 eel/eel-gdk-extensions.h | 10 ++++++++--
 2 files changed, 42 insertions(+), 17 deletions(-)

commit da1e7f715a4eb882abe97837eef02c7d38bd5e54
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 7 05:03:27 2016 +0100

    GTK3 window: port to GtkStyleContext
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=076886e

 src/caja-window.c | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 20dd53f7822de644ca60cc200f5286a90d3b28b3
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 7 04:57:44 2016 +0100

    GTK3 spatial-window: port to GtkStyleContext
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=507b56e3a527e28117b259dbf0dce48f1656dd7d

 src/caja-spatial-window.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 5a7203f46bcccc29271058d1f03ed149d6c2860b
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 7 04:55:59 2016 +0100

    GTK3 notebook: port to GtkStyleContext
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=bc5d290

 src/caja-notebook.c | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 39ce5849c81c688c53245316584489db5bc354ab
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 7 04:53:29 2016 +0100

    GTK3 location-bar: port to GtkStyleContext
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=5fc40ad

 src/caja-location-bar.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 2139cadd1b2143797287afd200dc4b6a6d687aee
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 7 04:49:57 2016 +0100

    GTK3 properties-window: port to GtkStyleContext
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=8e5689

 src/file-manager/fm-properties-window.c | 84 +++++++++++++++++++++++++++++++--
 1 file changed, 80 insertions(+), 4 deletions(-)

commit 3758b1025d59bd534717bd78d0e87dba9d45e542
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Thu Jan 7 04:37:43 2016 +0100

    GTK3 list-view: port to GtkStyleContext

 src/file-manager/fm-list-view.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit d74c80ebae7d2acd4804ac1d20f6d77b1df53a2a
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Jan 4 22:11:54 2016 +0100

    Gtk3 tree-view-drag-dest: port to GtkStyleContext
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=f8bdf9c

 libcaja-private/caja-tree-view-drag-dest.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 569a001e73f2963f239da92c433e62de2a030509
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Wed Jan 6 21:49:08 2016 +0100

    Gtk3 caja-sidebartitle: partial-port-to-GtkStyleContext

 src/caja-sidebar-title.c | 105 ++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 104 insertions(+), 1 deletion(-)

commit 5425761290d94b208efea117e3b6a865e9157b92
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Wed Jan 6 22:16:38 2016 +0100

    GTK3 icon-container: fix rendering of text on the desktop
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=2e5f7a23350016c67bb9e9cca86a9fb2360d79e2

 libcaja-private/caja-icon-canvas-item.c |  2 +-
 libcaja-private/caja-icon-container.c   | 14 +++++++-------
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 11fe5df21deec3181bbb72a577a26f7d2bb4d8b0
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 5 19:56:52 2016 +0100

    GTK3 icon-container: port to GtkStyleContext
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=4f23a0a

 libcaja-private/caja-icon-container.c | 234 +++++++++++++++++++++++++++++++++-
 libcaja-private/caja-icon-dnd.c       |   4 +-
 libcaja-private/caja-icon-private.h   |  16 +++
 3 files changed, 247 insertions(+), 7 deletions(-)

commit dca1155b3473e91ef12b03dca1506b86ccbaba07
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Dec 27 01:46:55 2015 +0100

    GTK3 icon-canvas-item: port to GtkStyleContext
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=fc74332

 libcaja-private/caja-icon-canvas-item.c | 90 +++++++++++++++++++++++++++------
 1 file changed, 74 insertions(+), 16 deletions(-)

commit 4df0d0df37e1a69a4c6bcd76580adc736d1f4e5f
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Dec 26 20:31:28 2015 +0100

    GTK3 file-conflict-dialog: port to GtkStyleContext
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=5da941e

 libcaja-private/caja-file-conflict-dialog.c | 24 +++++++++++++++++++++++-
 1 file changed, 23 insertions(+), 1 deletion(-)

commit b1b2cb896d0cbe4a210af4bf3b867cb89580c4c3
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Dec 26 20:20:19 2015 +0100

    GTK3 eel-gdk-pixbuf: use GdkRGBA everywhere
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=020adaf

 eel/eel-gdk-pixbuf-extensions.c | 12 ++++++++++++
 eel/eel-gdk-pixbuf-extensions.h |  4 ++++
 eel/eel-graphic-effects.c       | 17 +++++++++++++++++
 eel/eel-graphic-effects.h       |  9 +++++++++
 4 files changed, 42 insertions(+)

commit a781d9bffc37f71f4eeb68641f34095d92820507
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Dec 26 20:10:35 2015 +0100

    GTK3 editable-label: port to GtkStyleContext
    
    There are still some rendering artifacts, but we will fix them later. (maybe)
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=d6e07c7

 eel/eel-editable-label.c | 176 ++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 152 insertions(+), 24 deletions(-)

commit 74bc6ba6820170591cde83ff54037f50b41b6a22
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Dec 26 19:59:44 2015 +0100

    Gtk3 eel-canvas: port to GtkStyleContext

 eel/eel-canvas.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit d99909f05e151ace2b6b3eb4f87700c417e513d5
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Dec 26 19:58:09 2015 +0100

    GTK3 eel-canvas-rect: use RGBA colors only
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=f0691e7

 eel/eel-canvas-rect-ellipse.c | 83 +++++++++++++++++++++++++++++++++++++++++++
 eel/eel-canvas-rect-ellipse.h |  5 +++
 2 files changed, 88 insertions(+)

commit a461e0a356a76f81076d78dd3b08a854884cdeeb
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Dec 26 19:55:08 2015 +0100

    GTK3 icon-dnd: fix DnD highlighting regression
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=7bd06fa

 libcaja-private/caja-icon-dnd.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 2848d0359a8bc433ba9de56ccc93a04d2f6bbdf2
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Fri Jan 8 20:16:20 2016 +0100

    GTK3 eel-gdk-extensions: add eel_make_color_inactive() to public API
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=42e7268

 eel/eel-gdk-extensions.c | 32 ++++++++++++++++++++++++++++++++
 eel/eel-gdk-extensions.h |  3 +++
 2 files changed, 35 insertions(+)

commit 3c5a4ef68906a73850fa2ffe403cfcd37dc31ff9
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 01:05:50 2016 +0100

    GTK3 icon-container: remove spurious call to gtk_adjustment_changed()
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=42865d5

 libcaja-private/caja-icon-container.c | 2 --
 1 file changed, 2 deletions(-)

commit 65a3791db8209d7a001c1af6f944e8dd180859e1
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Jan 9 16:16:24 2016 +0100

    icon-info: use gdk_pixbuf_new_from_stream_at_scale()
    
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=83a83e3

 libcaja-private/caja-icon-info.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit f6f8c610ace0f0979237da8fba5b4afa6e137e67
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 12 01:27:46 2016 +0100

    conflict-dialog: make the rename entry expand the whole width
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=392359d

 libcaja-private/caja-file-conflict-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5bdb265cec05efa811f5818bb92a97c4a211712d
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 12 01:25:24 2016 +0100

    file-conflict-dialog: Don't use italic fonts
    
    It adds nothing and makes the text harder to read.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=d064618

 libcaja-private/caja-file-conflict-dialog.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit ed977d25e487400f547997f95802d139e4fce26b
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Fri Jan 8 10:04:18 2016 -0500

    Middle-click tab closing (#457)

 src/caja-navigation-window-pane.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 61800829da41036da5719b0e39e6f015cbd75f9a
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Tue Jan 5 20:57:49 2016 -0500

    Fix fontcolor in icon view with some light themes
    fixes #438

 libcaja-private/caja-icon-container.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 660f0f52647616d9e3a146e484afb8a31b74d03d
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 5 01:22:47 2016 +0100

    pre-bump version to 1.13.0

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit aa1509ee3d9dddfb88351627c361c3bac453235a
Author: ericcurtin <ericcurtin17@gmail.com>
Date:   Mon Jan 4 19:49:32 2016 +0000

    Fix spelling-error-in-manpage usr/share/man/man1/caja-file-management-properties.1.gz
    
    excutable -> executable

 docs/caja-file-management-properties.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa33f9db4d261aed3287da361437296354dd2ccd
Author: Monsta <monsta@inbox.ru>
Date:   Sat Jan 2 21:41:13 2016 +0300

    drop MateConf migration script

 libcaja-private/Makefile.am  |  4 ---
 libcaja-private/caja.convert | 83 --------------------------------------------
 2 files changed, 87 deletions(-)

commit db7c8c10af2006f7f87b8e001262eb2ad513db49
Author: Monsta <monsta@inbox.ru>
Date:   Sat Jan 2 16:28:41 2016 +0300

    remove unused #defines

 src/caja-notebook.c | 4 ----
 1 file changed, 4 deletions(-)

commit 2e4ced0b5fbf3cd5b09ccc74023c946df64fcace
Author: monsta <monsta@inbox.ru>
Date:   Fri Dec 25 11:06:54 2015 +0300

    pathbar: remove unneeded asserts

 src/caja-pathbar.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 5f53983105c83a649c47283577e4115f2d57d22d
Author: Monsta <monsta@inbox.ru>
Date:   Thu Dec 24 16:41:39 2015 +0300

    eel: remove unused function

 eel/eel-canvas.c | 36 ------------------------------------
 eel/eel-canvas.h |  7 -------
 2 files changed, 43 deletions(-)

commit 9f2270200e47229cb0b4316aaf708e28f94e4a9b
Author: monsta <monsta@inbox.ru>
Date:   Wed Dec 23 15:53:24 2015 +0300

    Release 1.12.2

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit f378fc76793ae0710e08bfb05b4b106a1f171a9c
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 22 17:06:09 2015 +0300

    set smclient mode to "no restart" when running as root or on other desktops

 src/caja-main.c | 3 +++
 1 file changed, 3 insertions(+)

commit 53f698436f2111bf8655ad9039c6a93948e10028
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 22 17:01:40 2015 +0300

    oops... fix build breakage introduced in last commit

 cut-n-paste-code/libegg/eggsmclient-private.h | 1 +
 1 file changed, 1 insertion(+)

commit a3a7cbd2e6d718e62904bcadd7ee01a6b283e1cf
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 22 16:40:07 2015 +0300

    smclient: drop win32/osx support, adjust indent

 cut-n-paste-code/libegg/eggsmclient-private.h |  32 ++---
 cut-n-paste-code/libegg/eggsmclient.c         |  12 +-
 cut-n-paste-code/libegg/eggsmclient.h         | 172 +++++++++++++-------------
 3 files changed, 96 insertions(+), 120 deletions(-)

commit c32f2770d9dd37769efd404b0c547946800b5d00
Author: monsta <monsta@inbox.ru>
Date:   Tue Dec 22 15:34:40 2015 +0300

    drop source files that aren't used for years

 libcaja-private/Makefile.am               |   2 -
 libcaja-private/caja-file.c               |   1 -
 libcaja-private/caja-users-groups-cache.c | 295 ------------------------------
 libcaja-private/caja-users-groups-cache.h |  34 ----
 4 files changed, 332 deletions(-)

commit 2e026b344d9b9a81172b3633968914ab2511e730
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Dec 21 13:51:35 2015 +0100

    Typo fix in code and g_param_spec: homogenous -> homogeneous.

 eel/eel-wrap-table.c | 6 +++---
 eel/eel-wrap-table.h | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 17260d6f9549e2a8e51a08b7a156bae77d5e8e75
Author: Monsta <monsta@inbox.ru>
Date:   Sat Dec 19 20:47:09 2015 +0300

    use g_strcmp0 instead of unsafe strcmp

 src/file-manager/fm-icon-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 706a0b60812c33d44210088706dbcf8d4324a9da
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Dec 5 04:43:01 2015 +0100

    GTK3 properties-window: bold and right-aligned are always FALSE
    
    So we can remove them
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=12bcaf9

 src/file-manager/fm-properties-window.c | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit acd9202389781d863abf05e8e8feb65c7b380300
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Sep 30 14:44:43 2015 +0200

    GTK3 properties-window: set max-width for value labels
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-16&id=ac83942

 src/file-manager/fm-properties-window.c | 1 +
 1 file changed, 1 insertion(+)

commit a0c71663bbcf89db74eeee61cdf6eaf815af2323
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Sep 30 14:37:10 2015 +0200

    GTK3: fm-properties-window, port GtkTable to GtkGrid
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-4&id=0026899
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-4&id=8b99f1f
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-4&id=b4877e5
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-16&id=0a5838

 src/file-manager/fm-properties-window.c | 919 ++++++++++++++++++++++++++++++--
 1 file changed, 880 insertions(+), 39 deletions(-)

commit f54aab0e53880c8e8c65d878ffe06e5e941e16e8
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Sep 30 12:49:16 2015 +0200

    GTK3: desktop-item-properties, port GtkTable to GtkGrid
    
    inspired from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-4&id=29dea2e

 src/file-manager/fm-ditem-page.c | 55 +++++++++++++++++++++++++++++++++++++++-
 1 file changed, 54 insertions(+), 1 deletion(-)

commit d96cb50cd99b8785482c610145035ca09322be47
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Sep 30 12:41:33 2015 +0200

    GTK3: fm-directory-view, port GtkTable to GtkGrid
    
    inspired from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-4&id=c6903f4

 src/file-manager/fm-directory-view.c | 69 ++++++++++++++++++++++++++++++++++++
 1 file changed, 69 insertions(+)

commit 05d56843bec81e24ff072ed63937bb02b2a6bde5
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Sep 30 12:15:33 2015 +0200

    GTK3: connect-server-dialog, port GtkTable to GtkGrid
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-4&id=7f3e5ce

 src/caja-connect-server-dialog.c | 169 +++++++++++++++++++++++++++++++--------
 1 file changed, 136 insertions(+), 33 deletions(-)

commit 36513d53535e0b3bae58948a1dbcd29639204453
Author: monsta <monsta@inbox.ru>
Date:   Fri Dec 4 13:58:58 2015 +0300

    properties -> custom icon dialog: add /usr/share/icons to Places
    
    fixes https://github.com/mate-desktop/caja/issues/283

 src/file-manager/fm-properties-window.c | 1 +
 1 file changed, 1 insertion(+)

commit bd118906732c342ad98a7b2d836032301235625f
Author: Monsta <monsta@inbox.ru>
Date:   Sun Nov 29 20:53:22 2015 +0300

    Bump version to 1.12.1

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit f7c7f3bc85e929de3519ca72ccd1f4d48180f8ef
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Fri Nov 20 15:16:31 2015 +0000

    Updated translations

 po/am.po    | 3032 ++++++++++++------------
 po/be.po    |   36 +-
 po/br.po    |  214 +-
 po/ca.po    |  341 +--
 po/cs.po    |    2 +-
 po/da.po    |    2 +-
 po/de.po    |    9 +-
 po/es_CO.po | 7464 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es_MX.po | 7464 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/fa.po    | 2840 +++++++++++------------
 po/fi.po    | 2756 +++++++++++-----------
 po/fr.po    |    2 +-
 po/hr.po    | 2758 +++++++++++-----------
 po/hy.po    |  104 +-
 po/ia.po    | 2756 +++++++++++-----------
 po/id.po    | 2766 +++++++++++-----------
 po/kk.po    |    2 +-
 po/mi.po    | 2756 +++++++++++-----------
 po/ms.po    | 2758 +++++++++++-----------
 po/oc.po    |    4 +-
 po/pt_BR.po |    2 +-
 po/ro.po    |   16 +-
 po/ru.po    | 2759 +++++++++++-----------
 po/rw.po    | 6305 ++++++++++++++++++++++++-------------------------
 po/sk.po    |    2 +-
 po/sq.po    | 2756 +++++++++++-----------
 po/sv.po    |    2 +-
 po/tr.po    |   14 +-
 po/uk.po    | 2761 +++++++++++-----------
 po/yi.po    | 6281 ++++++++++++++++++++++++-------------------------
 po/zh_CN.po |    8 +-
 31 files changed, 36821 insertions(+), 22151 deletions(-)

commit 0eaf1d0019b1cb4da4b87f6e2e034ec7e9979736
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Fri Nov 20 15:11:47 2015 +0000

    Fixed caja flooding .xsession-errors with "caja_menu_provider_get_background_items: assertion 'CAJA_IS_MENU_PROVIDER (provider)' failed"

 libcaja-extension/caja-menu-provider.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 88d2ff05f2a5f4c31a8012290ab3ef671d3b48a6
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Fri Nov 20 14:49:38 2015 +0000

    Don't translate default font value in gsettings schema

 libcaja-private/org.mate.caja.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ca2012998d187defac1079e1a8976e46c8b0c69e
Author: Monsta <monsta@inbox.ru>
Date:   Sun Nov 15 14:45:43 2015 +0300

    fix g_object_unref call
    
    it wasn't properly unref'ed and caused a runtime warning

 src/caja-application.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit fc6abce360d8f03f5812b8ec94fe6a1d700cc2ab
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Mon Nov 2 01:57:39 2015 +0100

    release 1.12.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 77afce566361b203591dbf7724b8798f37c35e7a
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sun Nov 1 18:26:03 2015 +0100

    Sync translations with transifex

 po/af.po          | 2756 ++++++++++++++++++++---------------------
 po/ar.po          | 2758 ++++++++++++++++++++---------------------
 po/as.po          | 2756 ++++++++++++++++++++---------------------
 po/ast.po         | 2756 ++++++++++++++++++++---------------------
 po/az.po          | 2756 ++++++++++++++++++++---------------------
 po/be.po          | 2756 ++++++++++++++++++++---------------------
 po/bg.po          | 2756 ++++++++++++++++++++---------------------
 po/bn.po          | 2756 ++++++++++++++++++++---------------------
 po/bn_IN.po       | 2756 ++++++++++++++++++++---------------------
 po/br.po          | 2827 +++++++++++++++++++++---------------------
 po/bs.po          | 2756 ++++++++++++++++++++---------------------
 po/ca.po          | 2758 ++++++++++++++++++++---------------------
 po/ca@valencia.po | 2756 ++++++++++++++++++++---------------------
 po/cmn.po         | 2758 ++++++++++++++++++++---------------------
 po/crh.po         | 2756 ++++++++++++++++++++---------------------
 po/cs.po          | 2757 ++++++++++++++++++++---------------------
 po/da.po          | 2758 ++++++++++++++++++++---------------------
 po/de.po          | 2828 +++++++++++++++++++++---------------------
 po/dz.po          | 2756 ++++++++++++++++++++---------------------
 po/el.po          | 2762 ++++++++++++++++++++---------------------
 po/en_AU.po       | 2760 ++++++++++++++++++++---------------------
 po/en_CA.po       | 2756 ++++++++++++++++++++---------------------
 po/en_GB.po       | 2758 ++++++++++++++++++++---------------------
 po/eo.po          | 2756 ++++++++++++++++++++---------------------
 po/es.po          | 2812 +++++++++++++++++++++---------------------
 po/et.po          | 2776 ++++++++++++++++++++---------------------
 po/eu.po          | 2758 ++++++++++++++++++++---------------------
 po/fr.po          | 2759 ++++++++++++++++++++---------------------
 po/fur.po         | 2756 ++++++++++++++++++++---------------------
 po/fy.po          | 2756 ++++++++++++++++++++---------------------
 po/ga.po          | 2756 ++++++++++++++++++++---------------------
 po/gl.po          | 2758 ++++++++++++++++++++---------------------
 po/gu.po          | 2756 ++++++++++++++++++++---------------------
 po/ha.po          | 2756 ++++++++++++++++++++---------------------
 po/he.po          | 2758 ++++++++++++++++++++---------------------
 po/hi.po          | 2756 ++++++++++++++++++++---------------------
 po/hu.po          | 2752 ++++++++++++++++++++---------------------
 po/hy.po          | 3539 +++++++++++++++++++++++++++--------------------------
 po/ig.po          | 2756 ++++++++++++++++++++---------------------
 po/is.po          | 2758 ++++++++++++++++++++---------------------
 po/it.po          | 2758 ++++++++++++++++++++---------------------
 po/ja.po          | 2763 ++++++++++++++++++++---------------------
 po/ka.po          | 2756 ++++++++++++++++++++---------------------
 po/kk.po          | 2758 ++++++++++++++++++++---------------------
 po/kn.po          | 2756 ++++++++++++++++++++---------------------
 po/ko.po          | 2758 ++++++++++++++++++++---------------------
 po/ku.po          | 2756 ++++++++++++++++++++---------------------
 po/ky.po          | 2756 ++++++++++++++++++++---------------------
 po/li.po          | 2756 ++++++++++++++++++++---------------------
 po/lt.po          | 2866 +++++++++++++++++++++----------------------
 po/lv.po          | 2758 ++++++++++++++++++++---------------------
 po/mai.po         | 2756 ++++++++++++++++++++---------------------
 po/mg.po          | 2756 ++++++++++++++++++++---------------------
 po/mk.po          | 2756 ++++++++++++++++++++---------------------
 po/ml.po          | 2756 ++++++++++++++++++++---------------------
 po/mn.po          | 2756 ++++++++++++++++++++---------------------
 po/mr.po          | 2758 ++++++++++++++++++++---------------------
 po/nb.po          | 2752 ++++++++++++++++++++---------------------
 po/nds.po         | 2756 ++++++++++++++++++++---------------------
 po/ne.po          | 2756 ++++++++++++++++++++---------------------
 po/nl.po          | 2762 ++++++++++++++++++++---------------------
 po/nn.po          | 2756 ++++++++++++++++++++---------------------
 po/nso.po         | 2758 ++++++++++++++++++++---------------------
 po/oc.po          | 2756 ++++++++++++++++++++---------------------
 po/or.po          | 2756 ++++++++++++++++++++---------------------
 po/pa.po          | 2756 ++++++++++++++++++++---------------------
 po/pl.po          | 2760 ++++++++++++++++++++---------------------
 po/ps.po          | 2756 ++++++++++++++++++++---------------------
 po/pt.po          | 2831 +++++++++++++++++++++---------------------
 po/pt_BR.po       | 2759 ++++++++++++++++++++---------------------
 po/ro.po          | 3388 +++++++++++++++++++++++++-------------------------
 po/si.po          | 2756 ++++++++++++++++++++---------------------
 po/sk.po          | 2759 ++++++++++++++++++++---------------------
 po/sl.po          | 2761 ++++++++++++++++++++---------------------
 po/sr.po          | 2756 ++++++++++++++++++++---------------------
 po/sr@latin.po    | 2756 ++++++++++++++++++++---------------------
 po/sv.po          | 2773 ++++++++++++++++++++---------------------
 po/ta.po          | 2756 ++++++++++++++++++++---------------------
 po/te.po          | 2756 ++++++++++++++++++++---------------------
 po/th.po          | 2756 ++++++++++++++++++++---------------------
 po/tk.po          | 2756 ++++++++++++++++++++---------------------
 po/tr.po          | 2763 ++++++++++++++++++++---------------------
 po/ug.po          | 2756 ++++++++++++++++++++---------------------
 po/ur.po          | 2758 ++++++++++++++++++++---------------------
 po/uz.po          | 2756 ++++++++++++++++++++---------------------
 po/vi.po          | 2756 ++++++++++++++++++++---------------------
 po/wa.po          | 2756 ++++++++++++++++++++---------------------
 po/xh.po          | 2756 ++++++++++++++++++++---------------------
 po/yo.po          | 2756 ++++++++++++++++++++---------------------
 po/zh_CN.po       | 2757 ++++++++++++++++++++---------------------
 po/zh_HK.po       | 2756 ++++++++++++++++++++---------------------
 po/zh_TW.po       | 2758 ++++++++++++++++++++---------------------
 po/zu.po          | 2756 ++++++++++++++++++++---------------------
 93 files changed, 129398 insertions(+), 128822 deletions(-)

commit fc51dd877d800b47dccb0e78bb6a3eaa584e6427
Author: monsta <monsta@inbox.ru>
Date:   Fri Oct 30 14:31:27 2015 +0300

    update NEWS for 1.12

 NEWS | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 597e229c69cf05e734ce0a08cc8ad1af4b2ebae8
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Sep 26 17:05:23 2015 +0200

    GTK3: do not use deprecated gtk_misc_set_alignment

 eel/eel-gtk-extensions.c                        |  4 +++
 eel/eel-labeled-image.c                         | 10 ++++++
 libcaja-private/caja-autorun.c                  | 13 ++++++++
 libcaja-private/caja-file-conflict-dialog.c     | 13 ++++++++
 libcaja-private/caja-mime-application-chooser.c |  4 +++
 libcaja-private/caja-open-with-dialog.c         |  8 +++++
 libcaja-private/caja-progress-info.c            |  8 +++++
 src/caja-autorun-software.c                     |  5 +++
 src/caja-connect-server-dialog.c                | 42 ++++++++++++++++++++++++-
 src/caja-image-properties-page.c                |  5 +++
 src/caja-location-bar.c                         |  5 +++
 src/caja-notebook.c                             |  4 +++
 src/caja-property-browser.c                     |  8 +++++
 src/caja-x-content-bar.c                        |  4 +++
 src/file-manager/fm-directory-view.c            | 12 +++++++
 src/file-manager/fm-ditem-page.c                |  4 +++
 src/file-manager/fm-list-view.c                 |  5 +++
 src/file-manager/fm-properties-window.c         |  4 +++
 test/test-eel-editable-label.c                  |  9 ++++++
 19 files changed, 166 insertions(+), 1 deletion(-)

commit 5609227c672d94e54edec26e2b4db5f9e1697e17
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Sep 27 17:07:04 2015 +0200

    GTK3: Replace gtk_{v,h}box new with gtk_box_new
    
    - gtk_{v,h}box usage is deprecated since gtk+-3.2.0

 eel/eel-debug-drawing.c                     |  4 ++++
 libcaja-private/caja-autorun.c              |  5 +++++
 libcaja-private/caja-column-chooser.c       |  4 ++++
 libcaja-private/caja-file-conflict-dialog.c |  5 +++++
 libcaja-private/caja-icon-container.c       |  4 ++++
 libcaja-private/caja-open-with-dialog.c     |  5 +++++
 libcaja-private/caja-progress-info.c        |  5 +++++
 src/caja-connect-server-dialog.c            |  5 +++++
 src/caja-emblem-sidebar.c                   |  4 ++++
 src/caja-image-properties-page.c            |  4 ++++
 src/caja-location-bar.c                     |  4 ++++
 src/caja-location-dialog.c                  |  4 ++++
 src/caja-navigation-window-pane.c           |  4 ++++
 src/caja-navigation-window.c                |  4 ++++
 src/caja-notebook.c                         |  4 ++++
 src/caja-pathbar.c                          |  4 ++++
 src/caja-property-browser.c                 | 16 ++++++++++++++++
 src/caja-query-editor.c                     |  5 +++++
 src/caja-search-bar.c                       |  4 ++++
 src/caja-side-pane.c                        |  4 ++++
 src/caja-sidebar-title.c                    |  4 ++++
 src/caja-spatial-window.c                   |  4 ++++
 src/caja-view-as-action.c                   |  4 ++++
 src/file-manager/fm-directory-view.c        |  4 ++++
 src/file-manager/fm-ditem-page.c            |  4 ++++
 src/file-manager/fm-list-view.c             |  4 ++++
 src/file-manager/fm-properties-window.c     |  5 +++++
 test/test-eel-editable-label.c              |  4 ++++
 test/test-eel-labeled-image.c               |  3 +++
 29 files changed, 134 insertions(+)

commit d14fef384a435471860130f7337d5dea5bb824a0
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Oct 14 16:05:27 2015 +0200

    Gtk3 places-sidebar: fixes accidental device eject

 src/caja-places-sidebar.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 85bc8e68e2abcebace4729468738271c1f44fe40
Author: monsta <monsta@inbox.ru>
Date:   Wed Oct 7 13:31:55 2015 +0300

    Add NEWS for 1.11.0 (and include 1.10.4 ones from 1.10 branch)

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit cfc0e59605709434a295813f253ac80f0a2f880e
Author: monsta <monsta@inbox.ru>
Date:   Wed Oct 7 13:25:17 2015 +0300

    fixed wrong link to gnome website in the comments

 libcaja-private/caja-file-utilities.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 50a1209e289a213c8c7ed500bc565582cf466ab6
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Oct 6 18:06:27 2015 +0200

    pre-bump version to 1.11.0

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 3d3d4a2fd72d0403b097fb4d0a38edb68d0d6c83
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Thu Aug 13 13:49:57 2015 -0400

    Fix for #383 - tree view open in new window

 src/file-manager/fm-tree-view.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 8ba6cc318da153c98a60b0de7f2db14b08f52fcf
Merge: f8ed2af 860b583
Author: Martin Wimpress <code@flexion.org>
Date:   Sat Sep 26 11:12:30 2015 +0100

    Merge pull request #463 from raveit65/master
    
    GTK3: reduce size of autorun-dialog

commit 860b5838a2d54011cd5a4b3678db9ddad65f67fc
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Sep 26 11:51:00 2015 +0200

    GTK3: reduce size of autorun-dialog

 libcaja-private/caja-autorun.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit f8ed2af9510cb20f2ad8101aeaab5c6458ade0d7
Author: monsta <monsta@inbox.ru>
Date:   Thu Sep 17 11:36:03 2015 +0300

    undostack: don't try restoring files w/o "trash::orig-path" attribute
    
    fixes https://github.com/mate-desktop/caja/issues/361

 libcaja-private/caja-undostack-manager.c | 5 +++++
 1 file changed, 5 insertions(+)

commit b1e9a7fe429546105ffda8424cc5719a13e8a295
Author: monsta <monsta@inbox.ru>
Date:   Thu Sep 17 11:06:53 2015 +0300

    use standard defines for "trash::" attributes

 libcaja-private/caja-file.c              | 4 ++--
 libcaja-private/caja-undostack-manager.c | 6 ++++--
 2 files changed, 6 insertions(+), 4 deletions(-)

commit d2dd87abc30e850bc18cd15b854e0246a22db880
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Thu Sep 10 14:25:34 2015 +0100

    When opening the first window, don't restore the position of the last closed window. It's confusing to users (the last closed window is irrelevant within one session with multiple windows open) and it can lead to really bad issues which users consider bugs (why is my first window behaving differently than other windows? why is my first window appearing in the corner of my screen? why when I open caja for the first time my window doesn't appear on the monitor my mouse presently is? etc..)

 src/caja-application.c | 24 +-----------------------
 1 file changed, 1 insertion(+), 23 deletions(-)

commit cd39b1a25d204ed9fe7899a895bd75f71032ded5
Author: infirit <infirit@gmail.com>
Date:   Sun Sep 6 16:46:20 2015 +0200

    Rework gsettings schema building
    
     * Bump intltool required version for gsettings support
     * Extract strings with intltool directly

 configure.ac                                       |   2 +-
 libcaja-private/Makefile.am                        |  10 +-
 libcaja-private/org.mate.caja.gschema.xml          | 469 +++++++++++++++++++++
 libcaja-private/org.mate.caja.gschema.xml.in       | 469 ---------------------
 .../org.mate.media-handling.gschema.xml            |  34 ++
 .../org.mate.media-handling.gschema.xml.in         |  34 --
 po/POTFILES.in                                     |   4 +-
 7 files changed, 509 insertions(+), 513 deletions(-)

commit 3e9b28b2ebc9579bc868e2a8d1dc2d6f6b568c68
Author: infirit <infirit@gmail.com>
Date:   Sun Sep 6 16:42:08 2015 +0200

    define max/min version of GLib

 configure.ac                            | 6 ++++++
 libcaja-extension/caja-extension-i18n.h | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit fb2a59dcdc87be6abcd67acf4c4028c921b607ae
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Fri Sep 4 21:51:14 2015 +0100

    Switch to org.gnome.SessionManager

 libcaja-private/caja-file-utilities.c |  8 +++----
 src/caja-application.c                | 43 ++++++++++++++++-------------------
 src/file-manager/fm-icon-view.c       | 19 ----------------
 3 files changed, 23 insertions(+), 47 deletions(-)

commit 5ce3040c0312f0ec838d03f97511fe4dcda276b3
Author: infirit <infirit@gmail.com>
Date:   Sun Aug 9 20:09:42 2015 +0200

    connect-server: add support for connecting to AFP-servers/volumes
    
    Since now gvfs support it.
    
    Patch by: Carl-Anton Ingmarsson <ca.ingmarsson@gmail.com>
    nautilus comnmit: 5f018ca8b978a9e488560aeeb8db5febb7259d13
    nautilus bug: https://bugzilla.gnome.org/show_bug.cgi?id=674497

 src/caja-connect-server-dialog.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 3d4693311627ef58f70a85258d03b1637e65c207
Author: Monsta <monsta@inbox.ru>
Date:   Tue Aug 25 16:07:31 2015 +0300

    removed suspicious win32 reference

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit a050471613f5b7092bce1c0ae87026e91c8e23b4
Author: Monsta <monsta@inbox.ru>
Date:   Mon Aug 24 15:19:37 2015 +0300

    list view: jump to parent with left key on collapsed rows
    
    fixes https://github.com/mate-desktop/caja/issues/452
    
    from https://github.com/GNOME/nautilus/commit/9eee9ff6ca3e93d5d363725282d8ba393a1e6d01

 src/file-manager/fm-list-view.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 17d512792703739148a6ebe216790eaa73a76f9f
Author: monsta <monsta@inbox.ru>
Date:   Tue Jul 21 11:15:21 2015 +0300

    Bump version to 1.10.3

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit d38397d5948cede78ff7a99112c18dfe8a8cfabf
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jul 20 15:43:07 2015 +0300

    file properties dialog: bring back two missing tabs
    
    Notes and Image Properties tabs went missing after https://github.com/mate-desktop/caja/commit/451eef9b275ce006b270a3569d96e531e24dd15a
    
    fixes https://github.com/mate-desktop/caja/issues/433

 src/file-manager/fm-properties-window.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit ef5065ad9422477f1c35703f34d9bef53279a7ba
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jul 20 13:34:53 2015 +0300

    removed useless call to g_list_free
    
    - first, we must not free the list of extensions at this point
    - second, the call did nothing as the argument is NULL after
      exiting the for loop

 libcaja-private/caja-extensions.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8214c04737f1f9d5a7234fda9664584df8939384
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jul 20 13:34:21 2015 +0300

    small indent fixes

 libcaja-private/caja-extensions.h       | 4 +---
 src/file-manager/fm-properties-window.c | 2 +-
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 421f39ef10b9293aec5bc69dbfdbcb423b850651
Author: monsta <monsta@inbox.ru>
Date:   Thu Jul 16 10:33:01 2015 +0300

    Bump version to 1.10.2

 NEWS         | 10 ++++++++++
 configure.ac |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 4b0d231fdf8dfd6d299ec07cc933000a610f0a74
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jul 13 11:31:48 2015 +0300

    don't manage desktop and exit with last window when either running
    as root or on other desktops
    
    thanks to @mtwebster (https://github.com/linuxmint/nemo/commit/acabbaf6ca8e5ffc29851d766339c602777c4427)
    and @tarakbumba (https://github.com/mate-desktop/caja/pull/409)

 src/caja-main.c | 31 ++++++++++++++++++++++++++-----
 1 file changed, 26 insertions(+), 5 deletions(-)

commit 88dc45f1bbe2ecf9d1d3fa6cedf09fa425a202ae
Author: infirit <infirit@gmail.com>
Date:   Thu Jul 9 16:10:09 2015 +0200

    Use accessor functions instead of direct access

 eel/eel-wrap-table.c            | 5 -----
 src/file-manager/fm-list-view.c | 2 +-
 2 files changed, 1 insertion(+), 6 deletions(-)

commit db6b62171abd6dbfcc0c8f9c928f29af445831cc
Merge: 374ca9e 0a42ba9
Author: monsta <monsta@inbox.ru>
Date:   Tue Jul 7 16:10:52 2015 +0300

    Merge pull request #431 from NiceandGently/master
    
    icon-container: reset the double click counter after a double click

commit 374ca9e7bde63733c828759fec20c129f27fe58e
Author: Monsta <monsta@inbox.ru>
Date:   Tue Jul 7 11:11:21 2015 +0300

    Revert "Help menu/F1 shortcut: show the right help page from m-u-g"
    
    This reverts commit d01fbc6c9921253bb023d3e40bd763f4a931e840.

 src/caja-window-menus.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 236551366f45361cfa4bea60d1360b086ac36366
Author: Monsta <monsta@inbox.ru>
Date:   Tue Jul 7 11:09:42 2015 +0300

    Revert "show main caja help page from m-u-g in all dialogs"
    
    This reverts commit b4e25754bf17ef54569367718eda57ea759108c5.

 src/caja-bookmarks-window.c             | 3 +--
 src/caja-connect-server-dialog.c        | 3 +--
 src/caja-file-management-properties.c   | 5 +----
 src/caja-location-dialog.c              | 3 +--
 src/caja-property-browser.c             | 3 +--
 src/file-manager/fm-directory-view.c    | 3 +--
 src/file-manager/fm-properties-window.c | 3 +--
 7 files changed, 7 insertions(+), 16 deletions(-)

commit e704022661db84095633b71b4ccc712186e5999a
Merge: 2cdfa50 0ad3772
Author: Martin Wimpress <code@flexion.org>
Date:   Sat Jun 27 08:11:10 2015 +0100

    Merge pull request #436 from obache/neatsrc
    
    Use g_malloc instead of malloc to be safe

commit 0ad3772ad8850197a62d8a388857c6cd532edd77
Author: OBATA Akio <obache@users.noreply.github.com>
Date:   Sat Jun 27 14:11:39 2015 +0900

    Use g_malloc instead of malloc to be safe

 libcaja-private/caja-undostack-manager.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2cdfa50d1108f0e0300ecd73111bb9c04132cb53
Merge: 2726ada e76236f
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Jun 25 02:31:29 2015 +0100

    Merge pull request #434 from mate-desktop/leave-my-scrollbar-alone
    
    compact view: don't auto-scroll to the right on long filenames

commit e76236f4739b9deee107c09b9b2f9a87c537c9a7
Author: Monsta <monsta@inbox.ru>
Date:   Wed Jun 24 16:54:28 2015 +0300

    compact view: don't auto-scroll to the right on long filenames
    
    however, now it will auto-scroll to the left if you manually
    scroll to the right and then click on any filename. I presume
    this behavior is more desired than the previous one. if it's
    not so, let me know (in the comments).
    
    adapted from
    https://github.com/linuxmint/nemo/commit/72c2214c82637ab622438d46c28e67289a49d472
    (thanks to @glebihan)
    
    fixes https://github.com/mate-desktop/caja/issues/406

 libcaja-private/caja-icon-container.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 2726adabc5efab673c1607de3780b3303e7f8b17
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Tue Jun 23 16:32:22 2015 +0200

    Sync translations with transifex

 po/fa.po | 39 ++++++++++++++++++++-------------------
 1 file changed, 20 insertions(+), 19 deletions(-)

commit 9c78e27b3a78945b1ffd0b3f85437f67a0c35baf
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Fri Jun 12 09:36:49 2015 +0200

    Sync translations with transifex

 po/am.po |  38 +++---
 po/fi.po |  18 +--
 po/hr.po | 442 ++++++++++++++++++++++++++++++++-------------------------------
 po/id.po |  39 +++---
 po/ms.po |  22 ++--
 po/ru.po |  89 ++++++++++++-
 po/sq.po | 115 +++++++++--------
 po/uk.po | 382 +++++++++++++++++++++++++++---------------------------
 8 files changed, 616 insertions(+), 529 deletions(-)

commit 0a42ba9721b78bd1e85885e42e57ed5eb59bd0ce
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Jun 21 10:32:15 2015 +0200

    icon-container: reset the double click counter after a double click
    
    If we don't do this, we ignore any other double click event that happen
    during the next 'gtk-double-click-time' interval after the first double
    click.
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?id=a8539a6

 libcaja-private/caja-icon-container.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 4e88a3edcbba1c2c6775f4144fa426017f9bd73b
Merge: 77ebf88 c4c4fed
Author: Martin Wimpress <code@flexion.org>
Date:   Sat Jun 20 14:23:29 2015 +0100

    Merge pull request #430 from mate-desktop/eel-stuff
    
    [GTK+3] eel: fix bad positioning of rename window in certain cases

commit c4c4fed16fd80654d40b356700076a27e49fc227
Author: Monsta <monsta@inbox.ru>
Date:   Fri Jun 19 15:22:02 2015 +0300

    [GTK+3] eel: fix bad positioning of rename window in certain cases
    
    adapted from https://github.com/linuxmint/nemo/commit/d5377cfd53034b6ab5588376322126f48782ec59
    (thanks to @mtwebster and nautilus developer who did the original commit)
    
    fixes https://github.com/mate-desktop/caja/issues/376

 eel/eel-canvas.c | 19 +++++++++++++++----
 1 file changed, 15 insertions(+), 4 deletions(-)

commit 77ebf88b678149862def827a7e5d134e9df13122
Merge: e3147a2 2365acd
Author: monsta <monsta@inbox.ru>
Date:   Fri Jun 19 10:45:43 2015 +0300

    Merge pull request #428 from NiceandGently/master
    
    GTK3: editable-label : only clear the selection if we change to insensitive

commit e3147a24808fdd0cedecfa6b6ca42f376128c76c
Merge: b4e2575 3fdb9a1
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Jun 18 19:00:22 2015 +0100

    Merge pull request #429 from mate-desktop/sux-bugs-and-drag-n-drop
    
    places-sidebar: enable both creating bookmarks and dropping files

commit 3fdb9a14077b14263e8acfc93addc8fbcf568ca1
Author: Monsta <monsta@inbox.ru>
Date:   Thu Jun 18 17:03:47 2015 +0300

    places-sidebar: enable both creating bookmarks and dropping files
    
    - drag a folder to the top or bottom of the bookmark list to add
    a new bookmark. a horizontal line will be shown and the mouse
    pointer will have a '+' at its right side.
    - if there are no bookmarks (and that section isn't shown), drag
    a folder over the network section's heading. this will add a new
    bookmark and make the bookmarks list visible.
    - drag a file or a folder over some existing bookmark to move it
    into the bookmarked folder. the mouse pointer will have an arrow
    at its right side.
    - if you want to copy a file or a folder there instead, perform
    the same operation but hold ctrl during that. the mouse pointer
    will have a '+' at its right side. no horizontal line will be
    shown, so you will be able to distinguish this operation from
    adding a new bookmark. :)
    
    adapted from https://github.com/linuxmint/nemo/commit/f18c4dd842be0998cbe6a519d9904bfd9993ca3e
    (thanks to @mtwebster)
    
    fixes https://github.com/mate-desktop/caja/issues/345
    closes https://github.com/mate-desktop/caja/issues/423

 src/caja-places-sidebar.c | 24 ++++++++++++++++++------
 1 file changed, 18 insertions(+), 6 deletions(-)

commit 5690a7f39eb644c4cd7c299fd092b0fd5a1a3cd9
Author: Monsta <monsta@inbox.ru>
Date:   Thu Jun 18 16:09:40 2015 +0300

    places sidebar: fix indentation a bit

 src/caja-places-sidebar.c | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 2365acdcb607f7cbb3820900b2a979b1bf23778a
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Jun 18 02:15:03 2015 +0200

    editable-label GTk3: only clear the selection if we change to insensitive
    
    this fixes non selected text if renaming a file
    
    taken from:
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-0&id=d2c3410

 eel/eel-editable-label.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit b4e25754bf17ef54569367718eda57ea759108c5
Author: Monsta <monsta@inbox.ru>
Date:   Wed Jun 17 16:20:11 2015 +0300

    show main caja help page from m-u-g in all dialogs
    
    this should be corrected when m-u-g will be complete
    (e.g. will contain help for all these dialogs)

 src/caja-bookmarks-window.c             | 3 ++-
 src/caja-connect-server-dialog.c        | 3 ++-
 src/caja-file-management-properties.c   | 5 ++++-
 src/caja-location-dialog.c              | 3 ++-
 src/caja-property-browser.c             | 3 ++-
 src/file-manager/fm-directory-view.c    | 3 ++-
 src/file-manager/fm-properties-window.c | 3 ++-
 7 files changed, 16 insertions(+), 7 deletions(-)

commit d01fbc6c9921253bb023d3e40bd763f4a931e840
Author: Monsta <monsta@inbox.ru>
Date:   Wed Jun 17 16:05:43 2015 +0300

    Help menu/F1 shortcut: show the right help page from m-u-g

 src/caja-window-menus.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aaf9b090839e846c8c548f3737f3bf0d5fc98ea3
Merge: 7fd8cee b0a9b60
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Jun 11 22:40:28 2015 +0100

    Merge branch 'master' of github.com:mate-desktop/caja

commit 7fd8ceec5e220e2573d9c6ab19258cb2e0b5f301
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Jun 11 22:39:59 2015 +0100

    Bump version to 1.10.1

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit b0a9b60e902fbdfcea77cb74c7ae1a6eae681d48
Merge: 1d0cd08 0414509
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Jun 11 22:11:07 2015 +0100

    Merge pull request #424 from flexiondotorg/master
    
    Revert "places-sidebar: allow dropping of files to bookmarks"

commit 04145091c35efdf09f131a8e20511db204ff3f2d
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Jun 11 13:40:54 2015 +0100

    Revert "places-sidebar: allow dropping of files to bookmarks"
    
    This reverts commit 910b9141ac634a86d8f53fda534e33787a160efb.

 src/caja-places-sidebar.c | 129 +++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 115 insertions(+), 14 deletions(-)

commit 1d0cd082130636df0ed1087464380d4d0ebdd57f
Merge: 9815888 b9f3254
Author: monsta <monsta@inbox.ru>
Date:   Mon Jun 8 12:01:37 2015 +0300

    Merge pull request #400 from tarakbumba/fix_automunt_on_locked_screen
    
    Fix automount on locked screen

commit 98158880047235a60bd928b44144ea9a3f97b23e
Merge: b507f88 60449bc
Author: monsta <monsta@inbox.ru>
Date:   Tue May 19 13:53:51 2015 +0300

    Merge pull request #419 from NiceandGently/master
    
    GTK3: set top and bottom margin of statusbar to zero

commit 60449bc32bb7671abc5a090287018e4b04bfe507
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue May 19 10:43:37 2015 +0200

    GTK3: set top and bottom margin of statusbar to zero
    
    This reduce the size of the statusbar that it looks like GTK2 version.
    The size can now controled with .frame.flat and/or .flat.button selector
    by the theme.

 src/caja-window.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit b507f88175ddccd6c4dd17261e92426ac24d17a4
Merge: 304866d ae0e855
Author: Martin Wimpress <code@flexion.org>
Date:   Tue May 12 21:53:55 2015 +0100

    Merge pull request #401 from NiceandGently/master
    
    U fixes for file management preferences

commit ae0e8557f924b5940e1aaea18fd43cceb0ee7203
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 7 11:59:34 2015 +0200

    Ui: set a default window size for file management preferences
    
    This fixes wrong window size in GTK3 version.
    For GTK2 best size is 600x600, best size for GTK3 is 800x600.
    But the smallest size works perfect for both GTK+ versions.

 src/caja-file-management-properties.ui | 2 ++
 1 file changed, 2 insertions(+)

commit 7b2976250eb354b989348a9be2778992c2e63ad1
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 7 11:49:00 2015 +0200

    Ui: expand list columns in file management preferences
    
    no need to have a scrollbar for a few entries

 src/caja-file-management-properties.ui | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b9f3254b87c9a20dd75238694a8e93ba8020792a
Author: tarakbumba <tarakbumba@gmail.com>
Date:   Tue Apr 7 00:16:35 2015 +0300

    Fix g_bus_unwatch_name assertion
    
    Guard the g_bus_unwatch_name() call to only run when we
    actually have set a watcher to the screensaver.

 src/caja-application.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit adc45ec84298f6246d9ed219607bb5c169f50e08
Author: tarakbumba <tarakbumba@gmail.com>
Date:   Tue Apr 7 00:07:27 2015 +0300

    Fix for https://github.com/mate-desktop/caja/issues/398
    
    On the Shmoocon at 2011 there was a presentation by Jon Larimer demonstrating
    how to abuse vulnerabilities and bugs, or even just creating socially or
    security compromising thumbnails in mounting and thumbnailing, which happens
    on automounting USB drives. This is a particular issue when this happens on a
    locked box where the attacker doesn't otherwise have access to the user
    account:
    
    http://www.net-security.org/secworld.php?id=10544
    
    Disable automounting if the MATE screen saver is currently locked.
    
    See also https://bugzilla.gnome.org/show_bug.cgi?id=642020
    
    This commit is merely based on :
    https://git.gnome.org/browse/nautilus/commit/?h=gnome-2-32&id=b7262fa945ef1ea936c15f0d248ad7a024d97dca

 src/caja-application.c | 232 ++++++++++++++++++++++++++++++++++++++++++++++++-
 src/caja-application.h |   4 +
 2 files changed, 232 insertions(+), 4 deletions(-)

commit 304866dd42e3ec1d8f1694f42c69af247a772330
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 6 18:26:41 2015 +0200

    Bump version to 1.10.0

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit d1e4b3bedd398803d8c6ef586266337a8709b4d6
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sat Apr 4 16:47:23 2015 +0200

    Sync translations with transifex

 po/LINGUAS |    1 +
 po/be.po   |  290 +--
 po/br.po   |  188 +-
 po/de.po   |   26 +-
 po/el.po   |   12 +-
 po/es.po   |   11 +-
 po/et.po   |    6 +-
 po/hu.po   |    4 +-
 po/ia.po   | 7458 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/kk.po   |   60 +-
 po/ko.po   |    6 +-
 po/ky.po   |    8 +-
 po/mi.po   | 2099 ++++++++---------
 po/pt.po   |  118 +-
 po/ro.po   |   50 +-
 po/sk.po   |   90 +-
 po/sl.po   |   33 +-
 po/tr.po   |    8 +-
 18 files changed, 8993 insertions(+), 1475 deletions(-)

commit c69374566247cea1a63bb4551e3a91dd0156b28f
Author: Monsta <monsta@inbox.ru>
Date:   Wed Mar 18 16:10:04 2015 +0300

    places-sidebar: fix crash
    
    taken from upstream commits:
    https://git.gnome.org/browse/nautilus/commit/?id=cda2c75df4b95a481e8b774081ec1240d47fa45f
    https://git.gnome.org/browse/nautilus/commit/?id=4764a856c7a6e5a84d4067e7b105c09a93ffdbe4
    
    Closes https://github.com/mate-desktop/caja/pull/395

 src/caja-places-sidebar.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit aeccda42c6da068ec646b9be32c1e9e96ac09353
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Mar 4 22:35:23 2015 +0100

    GTK3: add missing style class view to FMIconContainer
    
    Closes https://github.com/mate-desktop/caja/pull/392
    Closes https://github.com/mate-desktop/caja/issues/382

 src/file-manager/fm-icon-container.c | 4 ++++
 1 file changed, 4 insertions(+)

commit f57f76f2a293b4ed22dba91bba23bcf227e873c7
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 24 20:28:18 2015 +0100

    Bump version to 1.9.90

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6d3947218ce1cf61adf8fcfe5847e3b28df6e65a
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Tue Feb 24 20:27:50 2015 +0100

    Sync translations with transifex

 po/ar.po |  6 +++---
 po/de.po |  6 +++---
 po/el.po | 12 ++++++------
 po/hu.po |  8 ++++----
 po/ro.po | 24 ++++++++++++------------
 po/uk.po |  8 ++++----
 6 files changed, 32 insertions(+), 32 deletions(-)

commit 23b75dadd35f039a8cd93111528a8a66dde8888e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 21 14:53:39 2015 +0100

    Disable desktop if we arent inside MATE

 src/caja-main.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 842da48a34f98463c5c7d536ee56f0f24e373606
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Tue Jan 20 18:55:03 2015 +0100

    Sync translations with transifex

 po/ar.po    |   31 +-
 po/cs.po    |   23 +-
 po/da.po    |   10 +-
 po/de.po    |   18 +-
 po/en_AU.po |   22 +-
 po/en_GB.po |   12 +-
 po/es.po    |  115 +--
 po/et.po    |   24 +-
 po/fi.po    |  109 +--
 po/hu.po    |    6 +-
 po/ko.po    |   10 +-
 po/lt.po    |   11 +-
 po/pt.po    |  100 +--
 po/pt_BR.po |   13 +-
 po/ro.po    |   41 +-
 po/sk.po    |   22 +-
 po/sq.po    |   14 +-
 po/sr.po    | 2287 ++++++++++++++++++++++++++++++-----------------------------
 po/zh_CN.po |   11 +-
 19 files changed, 1444 insertions(+), 1435 deletions(-)

commit 663333cfad242f09c0e12153ce7175cf7dd7bda2
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jan 12 16:41:30 2015 +0300

    drop support for GTK+ < 2.12

 cut-n-paste-code/libegg/eggdesktopfile.c | 8 --------
 1 file changed, 8 deletions(-)

commit 53ec021ce6e0ee923bd86e11b4f516b2a19bc2e8
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jan 12 16:04:13 2015 +0300

    drop support for GLib < 2.36
    
    Closes https://github.com/mate-desktop/caja/pull/372

 configure.ac                                    |  2 +-
 eel/eel-glib-extensions.c                       |  2 -
 eel/eel-string.c                                |  4 --
 libcaja-private/caja-autorun.c                  |  2 -
 libcaja-private/caja-clipboard.c                |  2 -
 libcaja-private/caja-customization-data.c       |  4 +-
 libcaja-private/caja-debug-log.c                | 14 -----
 libcaja-private/caja-directory-async.c          |  2 -
 libcaja-private/caja-directory.c                |  2 -
 libcaja-private/caja-dnd.c                      |  2 -
 libcaja-private/caja-emblem-utils.c             |  2 -
 libcaja-private/caja-file-changes-queue.c       | 30 -----------
 libcaja-private/caja-file-dnd.c                 |  2 -
 libcaja-private/caja-file-operations.c          | 14 ++---
 libcaja-private/caja-file-utilities.c           |  2 -
 libcaja-private/caja-file.c                     | 60 ++++++++-------------
 libcaja-private/caja-icon-canvas-item.c         |  2 -
 libcaja-private/caja-icon-container.c           |  2 -
 libcaja-private/caja-merged-directory.c         |  2 -
 libcaja-private/caja-mime-actions.c             |  2 -
 libcaja-private/caja-mime-application-chooser.c |  2 -
 libcaja-private/caja-open-with-dialog.c         |  2 -
 libcaja-private/caja-program-choosing.c         |  2 -
 libcaja-private/caja-query.c                    |  2 -
 libcaja-private/caja-search-engine-beagle.c     |  2 -
 libcaja-private/caja-search-engine-simple.c     |  2 -
 libcaja-private/caja-search-engine-tracker.c    |  2 -
 libcaja-private/caja-undostack-manager.c        | 70 -------------------------
 src/Makefile.am                                 |  1 -
 src/caja-application.c                          |  2 -
 src/caja-bookmark-list.c                        |  2 -
 src/caja-convert-metadata.c                     |  4 --
 src/caja-emblem-sidebar.c                       |  2 -
 src/caja-history-sidebar.c                      |  2 -
 src/caja-information-panel.c                    |  2 -
 src/caja-main.c                                 |  4 --
 src/caja-navigation-window-slot.c               |  2 -
 src/caja-pathbar.c                              |  2 -
 src/caja-places-sidebar.c                       |  2 -
 src/caja-property-browser.c                     |  2 -
 src/caja-query-editor.c                         |  2 -
 src/caja-spatial-window.c                       |  2 -
 src/caja-trash-bar.c                            |  2 -
 src/caja-window-manage-views.c                  |  2 -
 src/caja-window-slot.c                          |  2 -
 src/caja-window.c                               |  2 -
 src/file-manager/fm-directory-view.c            | 14 ++---
 src/file-manager/fm-list-model.c                |  2 -
 src/file-manager/fm-list-view.c                 |  2 -
 src/file-manager/fm-properties-window.c         | 40 +++++---------
 src/file-manager/fm-tree-model.c                |  2 -
 src/file-manager/fm-tree-view.c                 |  2 -
 src/glibcompat.h                                | 59 ---------------------
 test/test-caja-search-engine.c                  |  4 --
 test/test-copy.c                                |  6 +--
 55 files changed, 46 insertions(+), 362 deletions(-)

commit d327a96cfb61acd0ce606c4bf80349454b66bd44
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jan 13 08:27:27 2015 +0100

    Bump version to 1.9.4

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6a039eff3f9a762fc0239b6ba58c18cb3d09b364
Author: Monsta <monsta@inbox.ru>
Date:   Sun Jan 11 21:08:57 2015 +0300

    show mate-user-guide help

 src/caja-window-menus.c | 17 +++++------------
 1 file changed, 5 insertions(+), 12 deletions(-)

commit 5706c595970bc76e11feb56ed56c190452c076d6
Author: Monsta <monsta@inbox.ru>
Date:   Sat Jan 10 13:20:30 2015 +0300

    use mate_gdk_spawn_command_line_on_screen like other MATE apps do
    
    Closes https://github.com/mate-desktop/caja/pull/370

 eel/eel-mate-extensions.c            | 20 ++------------------
 src/caja-window-menus.c              | 34 ++++++++--------------------------
 src/file-manager/fm-directory-view.c | 22 +++++-----------------
 3 files changed, 15 insertions(+), 61 deletions(-)

commit 54404f04a0e85c08a11f1a7557d1e0bddb34e036
Author: Balló György <ballogyor@gmail.com>
Date:   Sat Jan 10 17:16:32 2015 +0100

    audio-preview: Add support for GStreamer 1.0

 src/file-manager/fm-icon-view.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 28ffdb0bdc33e1bc0ce20d4eef41907a03dc110c
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jan 5 17:44:39 2015 +0300

    some optimizations in the access to lists

 libcaja-private/caja-icon-container.c | 39 +++++++++--------------------------
 1 file changed, 10 insertions(+), 29 deletions(-)

commit c863b05d1a9eb6b174603e84c4b3864b9048ca81
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jan 5 17:44:21 2015 +0300

    some NULL pointer checks

 src/caja-bookmark-list.c | 4 ++++
 1 file changed, 4 insertions(+)

commit b474b31308b269d60721b650fd0e34a7fa2743da
Author: Monsta <monsta@inbox.ru>
Date:   Wed Jan 7 13:13:33 2015 +0300

    drop support for ancient versions of exempi and exif

 configure.ac                     | 18 ++++--------------
 src/caja-image-properties-page.c | 28 +++++++++-------------------
 2 files changed, 13 insertions(+), 33 deletions(-)

commit 5b4e98dbe0ce1cd9c108b1a69810aac61a5c96fc
Author: infirit <infirit@gmail.com>
Date:   Mon Dec 29 11:46:58 2014 +0100

    Revert "dbus-manager: add a skeleton of NautilusDBusManager"
    
    This reverts commit 08bc0644ebc869ff1db320cc2bdfc4a471a6f9ac.

 libcaja-private/Makefile.am         |   2 -
 libcaja-private/caja-dbus-manager.c | 171 ------------------------------------
 libcaja-private/caja-dbus-manager.h |  10 ---
 src/caja-application.c              |   5 --
 4 files changed, 188 deletions(-)

commit 1690e1b22e5617dc1ab4d00822547a5d798ad399
Author: infirit <infirit@gmail.com>
Date:   Mon Dec 29 11:46:50 2014 +0100

    Revert "dbus-manager: implement the CopyURIs method"
    
    This reverts commit be39d4a5f6b03a142e21d3d0448ef0e779e7e173.

 libcaja-private/caja-dbus-manager.c | 81 ++++++++-----------------------------
 libcaja-private/caja-dbus-manager.h | 22 ----------
 2 files changed, 17 insertions(+), 86 deletions(-)

commit 3f31cb74f7acac3ff5ea70be4b1e8319a8b47920
Author: infirit <infirit@gmail.com>
Date:   Mon Dec 29 11:46:42 2014 +0100

    Revert "dbus-manager: add an EmptyTrash operation"
    
    This reverts commit 8116b5a43e11493d6e81a0a1e1ba67fa0d6289a4.

 libcaja-private/caja-dbus-manager.c | 18 ------------------
 1 file changed, 18 deletions(-)

commit a823778ec6c091cada6f4473413f220d6732ed7a
Author: 高群凯 <lenky0401@gmail.com>
Date:   Mon Dec 29 17:29:07 2014 +0800

    fixed: Adjust Default _zoom level always get the last "old" value
    
    The callback function update_auto_enum should be connected before the default_zoom_level_changed, otherwise the new_level always get the last "old" value in default_zoom_level_changed and the desktop-view display strange.

 src/file-manager/fm-desktop-icon-view.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8116b5a43e11493d6e81a0a1e1ba67fa0d6289a4
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 16 14:21:43 2014 +0100

    dbus-manager: add an EmptyTrash operation

 libcaja-private/caja-dbus-manager.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit be39d4a5f6b03a142e21d3d0448ef0e779e7e173
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 16 14:20:13 2014 +0100

    dbus-manager: implement the CopyURIs method

 libcaja-private/caja-dbus-manager.c | 81 +++++++++++++++++++++++++++++--------
 libcaja-private/caja-dbus-manager.h | 22 ++++++++++
 2 files changed, 86 insertions(+), 17 deletions(-)

commit 08bc0644ebc869ff1db320cc2bdfc4a471a6f9ac
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 16 13:54:43 2014 +0100

    dbus-manager: add a skeleton of NautilusDBusManager

 libcaja-private/Makefile.am         |   2 +
 libcaja-private/caja-dbus-manager.c | 171 ++++++++++++++++++++++++++++++++++++
 libcaja-private/caja-dbus-manager.h |  10 +++
 src/caja-application.c              |   5 ++
 4 files changed, 188 insertions(+)

commit ff9b49f940395684689a38117082632c3fe5819c
Author: Monsta <monsta@inbox.ru>
Date:   Thu Dec 11 11:57:44 2014 +0300

    simplify configure.ac a bit due to libunique being mandatory now

 configure.ac | 22 ++++++----------------
 1 file changed, 6 insertions(+), 16 deletions(-)

commit a9d81bd98e2b644f8c422a6a8adab6afc69fa7fd
Author: infirit <infirit@gmail.com>
Date:   Mon Dec 15 14:24:51 2014 +0100

    autoconf: cleanup X11 and pango checks

 configure.ac | 58 ++++++++--------------------------------------------------
 1 file changed, 8 insertions(+), 50 deletions(-)

commit 15771ce4ea5245d07c33b3812763684f03669e93
Author: monsta <monsta@inbox.ru>
Date:   Sat Nov 29 12:41:38 2014 +0300

    va_start should be paired with va_end

 cut-n-paste-code/libegg/eggsmclient-xsmp.c | 1 +
 1 file changed, 1 insertion(+)

commit 499fa21c3070a5230770dcab80ff617a94281f69
Author: Monsta <monsta@inbox.ru>
Date:   Tue Oct 28 18:09:39 2014 +0300

    zero-init all signals arrays

 cut-n-paste-code/libegg/eggsmclient.c      | 2 +-
 eel/eel-background.c                       | 2 +-
 eel/eel-canvas.c                           | 4 ++--
 libcaja-extension/caja-menu-item.c         | 2 +-
 libcaja-private/caja-bookmark.c            | 2 +-
 libcaja-private/caja-clipboard-monitor.c   | 2 +-
 libcaja-private/caja-column-chooser.c      | 2 +-
 libcaja-private/caja-directory.c           | 2 +-
 libcaja-private/caja-entry.c               | 2 +-
 libcaja-private/caja-file.c                | 2 +-
 libcaja-private/caja-icon-container.c      | 2 +-
 libcaja-private/caja-merged-directory.c    | 2 +-
 libcaja-private/caja-search-engine.c       | 2 +-
 libcaja-private/caja-signaller.c           | 2 +-
 libcaja-private/caja-trash-monitor.c       | 2 +-
 libcaja-private/caja-tree-view-drag-dest.c | 2 +-
 src/caja-bookmark-list.c                   | 2 +-
 src/caja-information-panel.c               | 2 +-
 src/caja-navigation-bar.c                  | 2 +-
 src/caja-notebook.c                        | 2 +-
 src/caja-query-editor.c                    | 2 +-
 src/caja-search-bar.c                      | 2 +-
 src/caja-side-pane.c                       | 2 +-
 src/caja-zoom-control.c                    | 2 +-
 src/file-manager/fm-directory-view.c       | 2 +-
 25 files changed, 26 insertions(+), 26 deletions(-)

commit d615da81cf6a34dac7b4bbbcf8b01323b0e9d6c3
Author: monsta <monsta@inbox.ru>
Date:   Sat Nov 29 12:45:12 2014 +0300

    NULL-init a pointer for g_assert to work correctly

 eel/eel-wrap-table.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit adbd317d170aa6379b5672ee792a16728aeb7ef4
Author: monsta <monsta@inbox.ru>
Date:   Fri Nov 14 14:55:57 2014 +0300

    properly zero-init a variable

 src/caja-places-sidebar.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b1b2da32f2166adfdf239f3662ee309827f71e53
Author: Monsta <monsta@inbox.ru>
Date:   Sat Nov 8 14:41:10 2014 +0300

    added checks for NULL pointer where it's needed

 libcaja-private/caja-file-operations.c | 2 +-
 libcaja-private/caja-file.c            | 2 +-
 src/caja-connect-server-dialog.c       | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 7aec152ba9f1f6af1706a5c7608bec317b8fbe79
Author: monsta <monsta@inbox.ru>
Date:   Sat Nov 8 14:25:44 2014 +0300

    don't leak memory

 libcaja-private/caja-icon-container.c | 1 +
 libcaja-private/caja-query.c          | 1 +
 src/caja-location-bar.c               | 2 ++
 3 files changed, 4 insertions(+)

commit 523ca6754f1f1f5e86367c644bb721b20f5fbebd
Author: Monsta <monsta@inbox.ru>
Date:   Wed Dec 3 16:05:43 2014 +0300

    libcaja-private: don't leak memory

 libcaja-private/caja-emblem-utils.c         |  3 +-
 libcaja-private/caja-file-conflict-dialog.c |  5 ++-
 libcaja-private/caja-file-utilities.c       | 13 ++----
 libcaja-private/caja-link.c                 | 21 +++++-----
 libcaja-private/caja-undostack-manager.c    | 62 +++++++++++------------------
 5 files changed, 43 insertions(+), 61 deletions(-)

commit 78661bd703b26343621b209f4f13e5e9fcbad802
Author: Monsta <monsta@inbox.ru>
Date:   Tue Dec 2 14:44:39 2014 +0300

    connect-server-dialog: don't leak memory

 src/caja-connect-server-dialog.c | 2 ++
 1 file changed, 2 insertions(+)

commit ae2b0bcee1db078730bd7ea1578df3b33642214a
Author: Monsta <monsta@inbox.ru>
Date:   Tue Dec 2 14:22:35 2014 +0300

    file-manager: don't leak memory

 src/file-manager/fm-directory-view.c    | 3 ++-
 src/file-manager/fm-ditem-page.c        | 3 +--
 src/file-manager/fm-properties-window.c | 4 +++-
 3 files changed, 6 insertions(+), 4 deletions(-)

commit e94434691e9f6831072a3353bde9804509e0b624
Author: Monsta <monsta@inbox.ru>
Date:   Sat Nov 29 12:52:08 2014 +0300

    eel: fix logic a bit

 eel/eel-background.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 4ef3498229bfccc76e9354bbd8755fe116063b44
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sat Nov 22 11:48:29 2014 +0100

    Sync translations with transifex

 po/de.po | 12 ++++++------
 po/hr.po | 34 +++++++++++++++++-----------------
 po/nl.po | 28 ++++++++++++++--------------
 3 files changed, 37 insertions(+), 37 deletions(-)

commit 852c503c1b81add4d705001b1f2a83af95ba0d94
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sun Nov 16 15:33:55 2014 +0100

    Sync translations with transifex

 po/af.po          |  30 ++-
 po/am.po          |  30 ++-
 po/ar.po          |  30 ++-
 po/as.po          |  30 ++-
 po/ast.po         |  30 ++-
 po/az.po          |  30 ++-
 po/be.po          |  30 ++-
 po/bg.po          |  30 ++-
 po/bn.po          |  30 ++-
 po/bn_IN.po       |  30 ++-
 po/br.po          |  30 ++-
 po/bs.po          |  30 ++-
 po/ca.po          |  30 ++-
 po/ca@valencia.po |  30 ++-
 po/cmn.po         |  30 ++-
 po/crh.po         |  30 ++-
 po/cs.po          |  30 ++-
 po/da.po          |  30 ++-
 po/de.po          |  42 ++--
 po/dz.po          |  30 ++-
 po/el.po          |  30 ++-
 po/en_AU.po       |  30 ++-
 po/en_CA.po       |  30 ++-
 po/en_GB.po       |  30 ++-
 po/en_US.po       |  30 ++-
 po/eo.po          |  30 ++-
 po/es.po          | 625 +++++++++++++++++++++++++++++-------------------------
 po/et.po          |  30 ++-
 po/eu.po          |  30 ++-
 po/fa.po          |  30 ++-
 po/fi.po          |  30 ++-
 po/fr.po          |  28 ++-
 po/fur.po         |  30 ++-
 po/fy.po          |  30 ++-
 po/ga.po          |  30 ++-
 po/gl.po          |  30 ++-
 po/gu.po          |  30 ++-
 po/ha.po          |  30 ++-
 po/he.po          |  30 ++-
 po/hi.po          |  30 ++-
 po/hr.po          |  30 ++-
 po/hu.po          |  30 ++-
 po/hy.po          |  30 ++-
 po/id.po          |  28 ++-
 po/ig.po          |  30 ++-
 po/is.po          |  30 ++-
 po/it.po          |  31 ++-
 po/ja.po          |  43 ++--
 po/ka.po          |  30 ++-
 po/kk.po          |  30 ++-
 po/kn.po          |  30 ++-
 po/ko.po          |  28 ++-
 po/ku.po          |  30 ++-
 po/ky.po          |  30 ++-
 po/li.po          |  30 ++-
 po/lt.po          |  30 ++-
 po/lv.po          |  30 ++-
 po/mai.po         |  30 ++-
 po/mg.po          |  30 ++-
 po/mk.po          |  30 ++-
 po/ml.po          |  30 ++-
 po/mn.po          |  30 ++-
 po/mr.po          |  30 ++-
 po/ms.po          |  30 ++-
 po/nb.po          |  30 ++-
 po/nds.po         |  30 ++-
 po/ne.po          |  30 ++-
 po/nl.po          |  30 ++-
 po/nn.po          |  30 ++-
 po/nso.po         |  30 ++-
 po/oc.po          |  30 ++-
 po/or.po          |  30 ++-
 po/pa.po          |  30 ++-
 po/pl.po          |  28 ++-
 po/ps.po          |  30 ++-
 po/pt.po          |  30 ++-
 po/pt_BR.po       |  30 ++-
 po/ro.po          |  30 ++-
 po/ru.po          |  28 ++-
 po/si.po          |  30 ++-
 po/sk.po          |  30 ++-
 po/sl.po          |  30 ++-
 po/sq.po          |  30 ++-
 po/sr.po          |  30 ++-
 po/sr@latin.po    |  30 ++-
 po/sv.po          |  30 ++-
 po/ta.po          |  30 ++-
 po/te.po          |  30 ++-
 po/th.po          |  30 ++-
 po/tk.po          |  30 ++-
 po/tr.po          |  28 ++-
 po/ug.po          |  30 ++-
 po/uk.po          |  28 ++-
 po/ur.po          |  30 ++-
 po/uz.po          |  30 ++-
 po/vi.po          |  30 ++-
 po/wa.po          |  30 ++-
 po/xh.po          |  30 ++-
 po/yo.po          |  30 ++-
 po/zh_CN.po       |  30 ++-
 po/zh_HK.po       |  30 ++-
 po/zh_TW.po       |  28 ++-
 po/zu.po          |  30 ++-
 103 files changed, 2786 insertions(+), 909 deletions(-)

commit c9afac886191ea81cb6297923f0f78b6fe204ce3
Author: infirit <infirit@gmail.com>
Date:   Mon Nov 10 13:19:19 2014 +0100

    appdata: Add necessary markers for translation

 data/caja.appdata.xml.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7c5bf761f45b836d64dcde2c1a821c630c198aaa
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Nov 10 09:29:41 2014 +0100

    Bump version to 1.9.3

 NEWS         | 3 ++-
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 7a84f1f4268ff3dc5089cfd5db43b4d477343ebe
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Mon Nov 10 09:10:07 2014 +0100

    Sync translations with transifex

 po/af.po          | 602 +++++++++++++++++----------------
 po/am.po          | 604 +++++++++++++++++----------------
 po/ar.po          | 604 +++++++++++++++++----------------
 po/as.po          | 602 +++++++++++++++++----------------
 po/ast.po         | 602 +++++++++++++++++----------------
 po/az.po          | 602 +++++++++++++++++----------------
 po/be.po          | 840 +++++++++++++++++++++++-----------------------
 po/bg.po          | 604 +++++++++++++++++----------------
 po/bn.po          | 602 +++++++++++++++++----------------
 po/bn_IN.po       | 602 +++++++++++++++++----------------
 po/br.po          | 602 +++++++++++++++++----------------
 po/bs.po          | 602 +++++++++++++++++----------------
 po/ca.po          | 604 +++++++++++++++++----------------
 po/ca@valencia.po | 602 +++++++++++++++++----------------
 po/cmn.po         | 604 +++++++++++++++++----------------
 po/crh.po         | 602 +++++++++++++++++----------------
 po/cs.po          | 606 ++++++++++++++++++----------------
 po/da.po          | 604 +++++++++++++++++----------------
 po/de.po          | 614 +++++++++++++++++-----------------
 po/dz.po          | 602 +++++++++++++++++----------------
 po/el.po          | 606 ++++++++++++++++++----------------
 po/en_AU.po       | 606 ++++++++++++++++++----------------
 po/en_CA.po       | 602 +++++++++++++++++----------------
 po/en_GB.po       | 616 +++++++++++++++++-----------------
 po/en_US.po       | 602 +++++++++++++++++----------------
 po/eo.po          | 602 +++++++++++++++++----------------
 po/et.po          | 973 ++++++++++++++++++++++++++++--------------------------
 po/eu.po          | 604 +++++++++++++++++----------------
 po/fa.po          | 602 +++++++++++++++++----------------
 po/fi.po          | 602 +++++++++++++++++----------------
 po/fr.po          | 604 +++++++++++++++++----------------
 po/fur.po         | 602 +++++++++++++++++----------------
 po/fy.po          | 602 +++++++++++++++++----------------
 po/ga.po          | 602 +++++++++++++++++----------------
 po/gl.po          | 604 +++++++++++++++++----------------
 po/gu.po          | 602 +++++++++++++++++----------------
 po/ha.po          | 602 +++++++++++++++++----------------
 po/he.po          | 604 +++++++++++++++++----------------
 po/hi.po          | 602 +++++++++++++++++----------------
 po/hr.po          | 604 +++++++++++++++++----------------
 po/hu.po          | 602 +++++++++++++++++----------------
 po/hy.po          | 602 +++++++++++++++++----------------
 po/id.po          | 606 ++++++++++++++++++----------------
 po/ig.po          | 602 +++++++++++++++++----------------
 po/is.po          | 604 +++++++++++++++++----------------
 po/it.po          | 607 ++++++++++++++++++----------------
 po/ja.po          | 841 +++++++++++++++++++++++-----------------------
 po/ka.po          | 602 +++++++++++++++++----------------
 po/kk.po          | 604 +++++++++++++++++----------------
 po/kn.po          | 602 +++++++++++++++++----------------
 po/ko.po          | 607 ++++++++++++++++++----------------
 po/ku.po          | 602 +++++++++++++++++----------------
 po/ky.po          | 604 +++++++++++++++++----------------
 po/li.po          | 602 +++++++++++++++++----------------
 po/lt.po          | 604 +++++++++++++++++----------------
 po/lv.po          | 604 +++++++++++++++++----------------
 po/mai.po         | 602 +++++++++++++++++----------------
 po/mg.po          | 602 +++++++++++++++++----------------
 po/mk.po          | 602 +++++++++++++++++----------------
 po/ml.po          | 602 +++++++++++++++++----------------
 po/mn.po          | 602 +++++++++++++++++----------------
 po/mr.po          | 604 +++++++++++++++++----------------
 po/ms.po          | 606 ++++++++++++++++++----------------
 po/nb.po          | 602 +++++++++++++++++----------------
 po/nds.po         | 602 +++++++++++++++++----------------
 po/ne.po          | 602 +++++++++++++++++----------------
 po/nl.po          | 604 +++++++++++++++++----------------
 po/nn.po          | 602 +++++++++++++++++----------------
 po/nso.po         | 602 +++++++++++++++++----------------
 po/oc.po          | 602 +++++++++++++++++----------------
 po/or.po          | 602 +++++++++++++++++----------------
 po/pa.po          | 602 +++++++++++++++++----------------
 po/pl.po          | 606 ++++++++++++++++++----------------
 po/ps.po          | 602 +++++++++++++++++----------------
 po/pt.po          | 604 +++++++++++++++++----------------
 po/pt_BR.po       | 604 +++++++++++++++++----------------
 po/ro.po          | 604 +++++++++++++++++----------------
 po/ru.po          | 604 +++++++++++++++++----------------
 po/si.po          | 602 +++++++++++++++++----------------
 po/sk.po          | 606 ++++++++++++++++++----------------
 po/sl.po          | 604 +++++++++++++++++----------------
 po/sq.po          | 602 +++++++++++++++++----------------
 po/sr.po          | 602 +++++++++++++++++----------------
 po/sr@latin.po    | 602 +++++++++++++++++----------------
 po/sv.po          | 604 +++++++++++++++++----------------
 po/ta.po          | 602 +++++++++++++++++----------------
 po/te.po          | 602 +++++++++++++++++----------------
 po/th.po          | 602 +++++++++++++++++----------------
 po/tk.po          | 602 +++++++++++++++++----------------
 po/tr.po          | 604 +++++++++++++++++----------------
 po/ug.po          | 602 +++++++++++++++++----------------
 po/uk.po          | 604 +++++++++++++++++----------------
 po/ur.po          | 604 +++++++++++++++++----------------
 po/uz.po          | 602 +++++++++++++++++----------------
 po/vi.po          | 602 +++++++++++++++++----------------
 po/wa.po          | 602 +++++++++++++++++----------------
 po/xh.po          | 602 +++++++++++++++++----------------
 po/yo.po          | 602 +++++++++++++++++----------------
 po/zh_CN.po       | 614 +++++++++++++++++-----------------
 po/zh_HK.po       | 602 +++++++++++++++++----------------
 po/zh_TW.po       | 604 +++++++++++++++++----------------
 po/zu.po          | 602 +++++++++++++++++----------------
 102 files changed, 32218 insertions(+), 30166 deletions(-)

commit 93ffa10e9626eef68132e593f6a78270fa601c37
Author: infirit <infirit@gmail.com>
Date:   Sun Nov 9 23:07:26 2014 +0100

    appdata: Add autotool bits for appdata

 data/Makefile.am         |  7 +++++++
 data/caja.appdata.xml    | 41 -----------------------------------------
 data/caja.appdata.xml.in | 41 +++++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in           |  1 +
 4 files changed, 49 insertions(+), 41 deletions(-)

commit 6552ae30564e045c2cf30dc3f3f7700fe5498d2b
Author: alxpl <alxpl@users.noreply.github.com>
Date:   Sun Nov 9 14:26:22 2014 +0200

    Create caja.appdata.xml
    
    An appdata file for inclusion in the upcoming software centers as per the new freedesktop.org specs.
    
    It should be placed in /usr/share/appdata/ similar to the way .desktop files are placed in /usr/share/applications/, e.g. if you have a "$(datadir)/applications" definition in your makefiles, you need to add a "$(datadir)/appdata" as well.
    
    Please, skim through the file in case I made a mistake and please, include it in the 1.8 branch as well.
    
    Thanks!

 data/caja.appdata.xml | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

commit 38ac39670151f9d8d1c689d3f6d16570a18290e9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Nov 6 08:48:15 2014 +0100

    Fix segmentation fault if extensions dont provide information file

 src/caja-file-management-properties.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit df913aef213e9314e8037944fdb9a44f6dc7f9cf
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Nov 3 15:04:19 2014 +0100

    Add about dialog for extensions

 libcaja-private/caja-extensions.c      | 10 +++++-
 libcaja-private/caja-extensions.h      |  4 +++
 src/caja-file-management-properties.c  | 62 +++++++++++++++++++++++++++++++---
 src/caja-file-management-properties.ui |  4 +--
 4 files changed, 73 insertions(+), 7 deletions(-)

commit 3600fc2b4208a17217750bbce3e1928e760307fd
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sun Nov 2 17:54:47 2014 +0100

    Sync translations with transifex

 po/es.po | 13 +++++++------
 po/hu.po |  4 ++--
 2 files changed, 9 insertions(+), 8 deletions(-)

commit f4c1ed23ddb3bf5d8ba6d1faf46c26b91346d926
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Oct 27 15:21:59 2014 +0100

    Allow extensions to define an ini file with name, icon and description

 libcaja-private/caja-extensions.c     | 32 ++++++++++++++++++---------
 libcaja-private/caja-extensions.h     |  3 +++
 src/caja-file-management-properties.c | 41 ++++++++++++++++++++++++++---------
 3 files changed, 56 insertions(+), 20 deletions(-)

commit 451eef9b275ce006b270a3569d96e531e24dd15a
Author: Alexander van der Meij <alexandervdm@gliese.me>
Date:   Fri Aug 29 20:52:13 2014 +0200

    implementation of extension interface and status management (gsoc2014)

 libcaja-private/Makefile.am                  |    2 +
 libcaja-private/caja-column-utilities.c      |    3 +-
 libcaja-private/caja-extensions.c            |  205 +++
 libcaja-private/caja-extensions.h            |   48 +
 libcaja-private/caja-file.c                  |    4 +-
 libcaja-private/caja-global-preferences.c    |    1 +
 libcaja-private/caja-global-preferences.h    |    5 +-
 libcaja-private/caja-module.c                |   11 +-
 libcaja-private/caja-module.h                |    2 +-
 libcaja-private/org.mate.caja.gschema.xml.in |    9 +
 src/caja-application.c                       |    4 +-
 src/caja-file-management-properties-main.c   |    2 +-
 src/caja-file-management-properties.c        |   93 ++
 src/caja-file-management-properties.ui       | 1783 +++++++++-----------------
 src/caja-window-manage-views.c               |    3 +-
 src/caja-window-menus.c                      |    3 +-
 src/caja-window-toolbars.c                   |    3 +-
 src/file-manager/fm-directory-view.c         |    3 +-
 src/file-manager/fm-properties-window.c      |    3 +-
 19 files changed, 1017 insertions(+), 1170 deletions(-)

commit 2ce11c50a5f7cca914af7646cae5fb6d5362b5cf
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Fri Oct 24 15:48:13 2014 +0200

    Sync translations with transifex

 po/af.po          | 385 ++++++++++++++++++-----------------
 po/am.po          | 389 +++++++++++++++++------------------
 po/ar.po          | 393 ++++++++++++++++++------------------
 po/as.po          | 385 ++++++++++++++++++-----------------
 po/ast.po         | 385 ++++++++++++++++++-----------------
 po/az.po          | 469 ++++++++++++++++++++++++------------------
 po/be.po          | 593 +++++++++++++++++++++++++++---------------------------
 po/bg.po          | 397 ++++++++++++++++++------------------
 po/bn.po          | 385 ++++++++++++++++++-----------------
 po/bn_IN.po       | 385 ++++++++++++++++++-----------------
 po/br.po          | 385 ++++++++++++++++++-----------------
 po/bs.po          | 385 ++++++++++++++++++-----------------
 po/ca.po          | 393 ++++++++++++++++++------------------
 po/ca@valencia.po | 385 ++++++++++++++++++-----------------
 po/cmn.po         | 389 +++++++++++++++++------------------
 po/crh.po         | 385 ++++++++++++++++++-----------------
 po/cs.po          | 397 ++++++++++++++++++------------------
 po/da.po          | 389 +++++++++++++++++------------------
 po/de.po          | 420 +++++++++++++++++++-------------------
 po/dz.po          | 385 ++++++++++++++++++-----------------
 po/el.po          | 402 ++++++++++++++++++------------------
 po/en_AU.po       | 389 +++++++++++++++++------------------
 po/en_CA.po       | 385 ++++++++++++++++++-----------------
 po/en_GB.po       | 393 ++++++++++++++++++------------------
 po/en_US.po       | 391 +++++++++++++++++------------------
 po/eo.po          | 385 ++++++++++++++++++-----------------
 po/es.po          | 391 +++++++++++++++++------------------
 po/eu.po          | 391 +++++++++++++++++------------------
 po/fa.po          | 389 +++++++++++++++++------------------
 po/fi.po          | 387 +++++++++++++++++------------------
 po/fr.po          | 393 ++++++++++++++++++------------------
 po/fur.po         | 385 ++++++++++++++++++-----------------
 po/fy.po          | 385 ++++++++++++++++++-----------------
 po/ga.po          | 385 ++++++++++++++++++-----------------
 po/gl.po          | 395 ++++++++++++++++++------------------
 po/gu.po          | 385 ++++++++++++++++++-----------------
 po/ha.po          | 385 ++++++++++++++++++-----------------
 po/he.po          | 389 +++++++++++++++++------------------
 po/hi.po          | 385 ++++++++++++++++++-----------------
 po/hr.po          | 403 +++++++++++++++++++------------------
 po/hu.po          | 393 ++++++++++++++++++------------------
 po/hy.po          | 385 ++++++++++++++++++-----------------
 po/id.po          | 392 ++++++++++++++++++------------------
 po/ig.po          | 385 ++++++++++++++++++-----------------
 po/is.po          | 387 +++++++++++++++++------------------
 po/it.po          | 389 +++++++++++++++++------------------
 po/ka.po          | 385 ++++++++++++++++++-----------------
 po/kk.po          | 387 +++++++++++++++++------------------
 po/kn.po          | 385 ++++++++++++++++++-----------------
 po/ko.po          | 398 ++++++++++++++++++------------------
 po/ku.po          | 385 ++++++++++++++++++-----------------
 po/ky.po          | 389 +++++++++++++++++------------------
 po/li.po          | 385 ++++++++++++++++++-----------------
 po/lt.po          | 391 +++++++++++++++++------------------
 po/lv.po          | 389 +++++++++++++++++------------------
 po/mai.po         | 385 ++++++++++++++++++-----------------
 po/mg.po          | 385 ++++++++++++++++++-----------------
 po/mk.po          | 385 ++++++++++++++++++-----------------
 po/ml.po          | 385 ++++++++++++++++++-----------------
 po/mn.po          | 385 ++++++++++++++++++-----------------
 po/mr.po          | 393 ++++++++++++++++++------------------
 po/ms.po          | 389 +++++++++++++++++------------------
 po/nb.po          | 387 +++++++++++++++++------------------
 po/nds.po         | 385 ++++++++++++++++++-----------------
 po/ne.po          | 385 ++++++++++++++++++-----------------
 po/nl.po          | 391 +++++++++++++++++------------------
 po/nn.po          | 385 ++++++++++++++++++-----------------
 po/nso.po         | 385 ++++++++++++++++++-----------------
 po/oc.po          | 385 ++++++++++++++++++-----------------
 po/or.po          | 385 ++++++++++++++++++-----------------
 po/pa.po          | 387 +++++++++++++++++------------------
 po/pl.po          | 394 ++++++++++++++++++------------------
 po/ps.po          | 385 ++++++++++++++++++-----------------
 po/pt.po          | 391 +++++++++++++++++------------------
 po/pt_BR.po       | 389 +++++++++++++++++------------------
 po/ro.po          | 391 +++++++++++++++++------------------
 po/ru.po          | 391 +++++++++++++++++------------------
 po/si.po          | 385 ++++++++++++++++++-----------------
 po/sk.po          | 389 +++++++++++++++++------------------
 po/sl.po          | 395 ++++++++++++++++++------------------
 po/sq.po          | 387 +++++++++++++++++------------------
 po/sr.po          | 387 +++++++++++++++++------------------
 po/sr@latin.po    | 387 +++++++++++++++++------------------
 po/sv.po          | 391 +++++++++++++++++------------------
 po/ta.po          | 387 +++++++++++++++++------------------
 po/te.po          | 385 ++++++++++++++++++-----------------
 po/th.po          | 389 +++++++++++++++++------------------
 po/tk.po          | 385 ++++++++++++++++++-----------------
 po/tr.po          | 392 ++++++++++++++++++------------------
 po/ug.po          | 385 ++++++++++++++++++-----------------
 po/uk.po          | 394 ++++++++++++++++++------------------
 po/ur.po          | 391 +++++++++++++++++------------------
 po/uz.po          | 385 ++++++++++++++++++-----------------
 po/vi.po          | 385 ++++++++++++++++++-----------------
 po/wa.po          | 385 ++++++++++++++++++-----------------
 po/xh.po          | 385 ++++++++++++++++++-----------------
 po/yo.po          | 385 ++++++++++++++++++-----------------
 po/zh_CN.po       | 391 +++++++++++++++++------------------
 po/zh_HK.po       | 387 +++++++++++++++++------------------
 po/zh_TW.po       | 396 ++++++++++++++++++------------------
 po/zu.po          | 385 ++++++++++++++++++-----------------
 101 files changed, 20064 insertions(+), 19469 deletions(-)

commit b7338cedacbb77f59dadf6ae92be67adf1d48415
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Oct 21 16:08:24 2014 +0200

    Check result of symlink function to avoid warnings
    
    Translate also Perberos spanish comments

 src/file-manager/fm-directory-view.c | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit e5f731375d73fe2106304310e84bd68dc8da12fa
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Oct 21 12:06:19 2014 +0200

    Fix g_desktop_app_info_set_desktop_env deprecation

 src/caja-main.c | 2 ++
 1 file changed, 2 insertions(+)

commit 0ecd4559229017cffa3f4986f5c33cb5ac49ed57
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Oct 2 21:34:56 2014 +0200

    Bump version to 1.9.2

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6fd04ac5f915e07ca8168fd8754c0cce27a283ec
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Thu Oct 2 21:34:29 2014 +0200

    Sync translations with transifex

 po/et.po | 68 ++++++++++++++++++++++++++++++++--------------------------------
 po/ja.po | 44 ++++++++++++++++++++---------------------
 2 files changed, 56 insertions(+), 56 deletions(-)

commit 29f52914fc496786db6bd1227232e861c8b2b1b0
Author: infirit <infirit@gmail.com>
Date:   Sun Oct 5 21:04:13 2014 +0200

    Use g_get_user_config_dir instead of harcoding to $HOME/.config

 libcaja-private/caja-file-utilities.c | 2 +-
 src/caja-application.c                | 2 +-
 src/caja-convert-metadata.c           | 2 +-
 src/file-manager/fm-directory-view.c  | 4 ++--
 4 files changed, 5 insertions(+), 5 deletions(-)

commit b0207b8d83807564e35142c0f8ab04e5fdb9715d
Author: infirit <infirit@gmail.com>
Date:   Sun Oct 5 20:52:39 2014 +0200

    Move accel file to the proper place. Fixes #276

 libcaja-private/caja-file-utilities.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 69464ff40d770523036fabc56244763346f8df49
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Jan 16 10:28:40 2012 -0500

    extension: add some more missing gir annotations

 libcaja-extension/caja-column-provider.c        |  6 ++++++
 libcaja-extension/caja-menu-provider.c          | 16 ++++++++++++++++
 libcaja-extension/caja-menu.c                   | 11 +++++++++++
 libcaja-extension/caja-property-page-provider.c |  4 ++--
 4 files changed, 35 insertions(+), 2 deletions(-)

commit a6ff3b7b6d7259403a2ab9b1d8a3b11b194b0bc6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Jan 9 17:20:16 2012 -0500

    extension: add some annotations

 libcaja-extension/caja-file-info.c                | 64 +++++++++++++++++++++++
 libcaja-extension/caja-location-widget-provider.c |  8 +++
 2 files changed, 72 insertions(+)

commit a209601a8043bf395941a28f95153c7a14836af1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Oct 3 13:54:09 2014 +0200

    file-conflict-dialog: Alt+S is already used in Skip button

 libcaja-private/caja-file-conflict-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 96fb1c780e7cebaf9fe6c4f48c8ddc5127d297d4
Author: Boris Egorov <egorov@linux.com>
Date:   Wed Sep 24 13:05:49 2014 +0700

    libcaja-private: fix always-false expressions
    
    CppCheck detected a few 'always false' expressions in caja.
    
    First two definitely appeareed due to copy-paste (mime-types
    comparison). It would be nice to move x_content_type's and corresponding
    greetings to some table (array of structs), wouldn't it?
    
    The last one looks like copy-paste problem too. There were two identical
    blocks of code in move_file_prepare() checking conflict type. BTW, there
    is exactly the same code in the same file inside copy_move_file().
    According to DRY, it would be nice to move this code to its own
    function.

 libcaja-private/caja-autorun.c         | 4 ++--
 libcaja-private/caja-file-operations.c | 6 ------
 2 files changed, 2 insertions(+), 8 deletions(-)

commit 95eb87d34c69dc7d2596e2a4344898630e63c5bb
Author: Phillip Susi <psusi@ubuntu.com>
Date:   Thu Sep 25 11:50:03 2014 +0200

    limit deep scount (folder contents and size) to one filesystem
    
    Closes https://github.com/mate-desktop/caja/issues/194
    Thanks to monsta <monsta@inbox.ru> to have suggested this solution
    
    Original GNOME commit:
    https://git.gnome.org/browse/nautilus/commit/?id=a645da5f1043c59203fd194fe85b6976d75d2ece
    
    When getting the size of the root directory, nautilus was descending
    into other filesystems including /proc, causing it to report nonsensical
    sizes.
    Store the fsid of the starting directory, and do not recurse into
    other mount points.
    https://bugzilla.gnome.org/show_bug.cgi?id=629394
    https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/585472

 libcaja-private/caja-directory-async.c | 43 ++++++++++++++++++++++++++++++----
 1 file changed, 39 insertions(+), 4 deletions(-)

commit 97b50471090b4fcca8c42f1da2cfafa1ec05ada0
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sun Sep 21 16:41:27 2014 +0200

    Sync translations with transifex

 po/am.po    |  18 +--
 po/de.po    |  25 +--
 po/en_AU.po |   6 +-
 po/es.po    |  74 ++++-----
 po/et.po    | 505 ++++++++++++++++++++++++++++++------------------------------
 po/hr.po    |  19 +--
 po/ja.po    | 157 ++++++++++---------
 po/lt.po    | 309 +++++++++++++++++++------------------
 po/pt_BR.po |  33 ++--
 po/sv.po    |  11 +-
 po/tr.po    |   6 +-
 po/uk.po    | 120 +++++++--------
 12 files changed, 646 insertions(+), 637 deletions(-)

commit 05ca17c6975f2210885927e273280016fe1f9e20
Author: infirit <infirit@gmail.com>
Date:   Tue Jul 22 13:23:44 2014 +0200

    libunique is no optional
    
    This is most likely the beginning of a GtkApplication port that did not happen.

 configure.ac | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 7601bf40073cd13576c6ebf394af1070ef0b1408
Author: infirit <infirit@gmail.com>
Date:   Tue Jul 22 13:21:13 2014 +0200

    Move LIBUNIQUE_VERSION to the other gtk api depenant variables

 configure.ac | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 571aeaa8218bc34ab69e56c12a9fe8e49edf2ac8
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Fri Jul 11 22:31:47 2014 +0200

    Sync translations with transifex

 po/am.po |  10 +-
 po/de.po |  24 ++---
 po/eu.po |  14 +--
 po/id.po |  13 +--
 po/lt.po |  24 ++---
 po/pt.po |  60 +++++------
 po/ro.po |  31 +++---
 po/ru.po |   9 +-
 po/sk.po |  80 +++++++--------
 po/tr.po | 339 ++++++++++++++++++++++++++++++++-------------------------------
 10 files changed, 305 insertions(+), 299 deletions(-)

commit 5c00ec63c8e6c73706e67876cb4b88837112f5d9
Merge: 055af12 e2c56fc
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 8 11:36:24 2014 +0200

    Merge pull request #298 from bl0ckeduser/master
    
    Handle metadata key deletions (fixes #296)

commit e2c56fc2f8182c361684b9ae29beb998749912dc
Author: bl0ckeduser <bl0ckedusersoft@gmail.com>
Date:   Sat Jul 5 13:06:33 2014 -0400

    Handle metadata key deletions (fixes #296)

 libcaja-private/caja-desktop-metadata.c | 26 ++++++++++++++++++++++----
 1 file changed, 22 insertions(+), 4 deletions(-)

commit 055af122062667206828a6e971d7c8cc8b29d519
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 1 18:47:00 2014 +0200

    Bump version to 1.9.1

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7814fa4c9f24c220cc55ae728d717107f754cb72
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jun 27 13:08:53 2014 +0200

    Add option in the UI to set IEC units usage
    
    Closes https://github.com/mate-desktop/caja/issues/293

 src/caja-file-management-properties.c  |  5 +++
 src/caja-file-management-properties.ui | 67 ++++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

